#!/bin/sh
#
#--------------------------------------------------------------------------------------------------
# NAME
#   setlocalpath.sh
#
# SYNOPSIS
#   setlocalpath.sh
#
# DESCRIPTION
#   Set architecture dependent master path
#
# OPTIONS
#   None
#
# EXAMPLES
#   > . setlocalpath.sh
#   > echo $HOMELOCALPATH
#   /home/bf/local/linux
#
# ENVIRONMENT
#   An environment variable
#     HOMELOCALPATH
#   is set.
#
# PROCEDURE
#
# WARNINGS
#
# BUGS
#
# TODO
#
# MODIFICATION HISTORY
#   2003-08-27 (B.F.) First version
#   2010-01-07 (B.F. Lyon) More cases
#--------------------------------------------------------------------------------------------------
#
#echo "Set local master path"
#echo "====================="
#
MACHINE=`uname -m`
#if [ "${MACHINE}" = 'i686' ]; then
#  MACMODEL=`cat /proc/cpuinfo | grep "model name" | sed -e "s/^.*: \(.*\)(.*/\1/" | sed -e "s/^\(.*[^ ]\) *$/\1/" | sed -e "s/(.*)//g" | head -1`
#else
#  MACMODEL=''
#fi
#
# === Find machine dependent path extension =======================================================
MAC=''
#
if [ "${MACHINE}" = 'sv1' ]; then
  # --- Cray SV1 (craSHi) -------------------------------------------------------------------------
  MAC="sv1"
  #
elif [ "${MACHINE}" = 'alpha' ]; then
  # --- alpha ------------------------------------------------------------------------------------
  MAC="alpha"
  #
elif [ `echo ${MACHINE} | sed -e "s/^\(....\).*/\1/"` = '9000' ]; then
  # --- HP 9000 -----------------------------------------------------------------------------------
  # 9000/800 (zeipel), 9000/785 (jay1)
  MAC="hp"
  #
elif [ "${MACHINE}" = 'ia64' ]; then
  # --- HP ia64 (Itanium) -------------------------------------------------------------------------
  MAC="hpia64"
  #
elif [ "${MACHINE}" = 'SR8000' ]; then
  # --- Hitachi -----------------------------------------------------------------------------------
  MAC="vx1"
  #
elif [ "${MACHINE}" = 'i686' ]; then
  MAC="linux"
  #
elif [ "${MACHINE}" = 'x86_64' ]; then
  MAC="x86_64"
  #
elif [ "${MACHINE}" = 'i386' ]; then
  MAC="mac_i386"
  #
elif [ "${MACHINE}" = 'IBM' ]; then
  # --- IBM p690 (Power4 CPUs)  -------------------------------------------------------------------
  MAC="ibm"
  #
elif [ "${MACHINE}" = 'SX-5' ] || [ "${MACHINE}" = 'SX-6' ] || [ "${MACHINE}" = 'SX-8' ]; then
  # --- NEC SX-5,6,8-------------------------------------------------------------------------------
  MAC="nec"
  #
elif [ "${MACHINE}" = 'IP35' ]; then
  # --- SGI ---------------------------------------------------------------------------------------
  MAC="sgi"
  #
elif [ "${MACHINE}" = 'sun4u' ] || [ "${MACHINE}" = 'i86pc' ]; then
  # --- Sun ---------------------------------------------------------------------------------------
  MAC="sun"
  #
elif [ "${MACHINE}" = 'armv4l' ]; then
  # --- Sharp Zaurus ------------------------------------------------------------------------------
  MAC="zaurus"
  #
else
  # --- Unknown machine ---------------------------------------------------------------------------
  #echo 'Unknown architecture' ${MACHINE}
  MAC="dummy"
  #
fi
#
#echo MAC ${MAC}
#
# --- Compose path ---
HOMELOCALPATH="${HOME}/local/${MAC}"
export HOMELOCALPATH
#
#echo HOMELOCALPATH "${HOMELOCALPATH}"
