***   Fundamental constants, GAS values adopted
***   in DOUBLE PRECISION

***   Mathematical constants 
***   ----------------------
***   D20PI : Two times pi
      DOUBLE PRECISION D20PI
      PARAMETER( D20PI = 6.283185307179586E+00)

***   Physical constants 
***   ------------------

***   BOLTZK: Boltzmann's constant
***   PLNCKH: Planck's constant
***   WTUNIT: Atomic mass unit [g]
***   UGC   : Universal gas constant
***   ERGEV : 1.0 eV in erg
      DOUBLE PRECISION BOLTZK, PLNCKH, WTUNIT, UGC, ERGEV
      PARAMETER( BOLTZK = 1.38054E-16, PLNCKH = 6.6256E-27, 
     >           WTUNIT = 1.6604E-24,  UGC = 8.3144E+07,
     >           ERGEV = 1.6021E-12)

***   Atomic weights ...
***   WTH2  : Atomic weight H_2 - molecule
***   WTH   : Atomic weight Hydrogene I
***   WTHP  : Atomic weight Hydrogene II
***   WTHE  : Atomic weight Helium I
***   WTHEP : Atomic weight Helium II
***   WTHEPP: Atomic weight Helium III
***   WTEL  : Atomic weight electron 
      DOUBLE PRECISION WTH2, WTH, WTHP, WTHE, WTHEP, WTHEPP, WTEL
C***   Unsoeld
C      PARAMETER( WTH = 1.0080, WTHE = 4.0026, WTEL = 5.4847E-04)
C***   Consistent to GAS
C      PARAMETER( WTH = 1.0080, WTHE = 4.0026, WTEL = 5.486065394E-4)
***   Electron mass UPAP (1961)
      PARAMETER( WTH = 1.0080, WTHE = 4.0026, WTEL = 5.48609E-4)
      PARAMETER( WTHP = WTH-WTEL, WTHEP = WTHE-WTEL, WTHEPP= WTHEP-WTEL)
      PARAMETER( WTH2 = WTH + WTH)

***   Ionization energies (erg) ...
***   EIH   : H   -> H+
***   EIHE  : He  -> He+
***   EIHEP : He+ -> He++
      DOUBLE PRECISION EIH, EIHE, EIHEP
      PARAMETER( EIH = 2.1785E-11, EIHE = 3.9391E-11, 
     >           EIHEP = 8.7179E-11)

***   Dissoziation energies (erg) ...
***   EDH2  : H-H -> H + H
      DOUBLE PRECISION EDH2
***   From GAS Q2P1-Parameter
      PARAMETER( EDH2 = 7.17436E-12)
C IONDIS:     PARAMETER( EDH2 = 7.1726E-12)
