      SUBROUTINE OWNINV (N,NDIM,A)
C*******************************************************************************
C***  MATRIX INVERSION 
C***  MATRIX A
C***  N = RANK OF SUBMATRIX (LEFT UPPER BLOCK) TO BE INVERTED
C***  NDIM = ROW DIMENSION OF TOTAL MATRIX
C***  N .LE. NDIM .LE. 100
C***
C***  Converted to standard FORTRAN 77 by HGL 31-MAR-1992 15:26:33
C***  Converted to double precision by HGL 4-APR-1992 15:58:29
C*******************************************************************************
      DOUBLE PRECISION A(NDIM,NDIM)
      DOUBLE PRECISION AMAX, ABAMAX, SAVE, AIK
      INTEGER IK(100),J K(100)
      IF (N .GT. NDIM) THEN
            WRITE( *, *) 'N .GT. NDIM'
            WRITE( *, *) 'ERROR IN OWNINV'
            STOP 
            ENDIF
      IF (NDIM .GT. 100) THEN
            WRITE( *, *) 'NDIM .GT. 100'
            WRITE( *, *) 'ERROR IN OWNINV'
            STOP 
            ENDIF
C
      DO 100  K=1,N
C
C     SUCHE MAXIMALES MATRIXELEMENT
      AMAX=0.
      ABAMAX=0.
      DO 30 J=K,N
        L=N+1-K
      IMAX=ISAMAX(L,A(K,J),1)+K-1
      IF(ABAMAX.GT.ABS(A(IMAX,J))) GOTO 30
      AMAX=A(IMAX,J)
      ABAMAX=ABS(AMAX)
      IK(K)=IMAX
      JK(K)=J
   30 CONTINUE
C
C***  STOP IN CASE OF SINGULARITY (PIVOT ELEMENT = 0 )
      IF (AMAX .EQ. .0) THEN
            WRITE( *, *) 'SINGULARITY DISCOVERED'
            WRITE( *, *) 'ERROR IN OWNINV'
            STOP 
            ENDIF
C
C     VERTAUSCHEN DER ZEILEN I UND K
      I=IK(K)
      IF(I.EQ.K) GOTO 51
      DO 50 J=1,N
      SAVE =A(K,J)
      A(K,J)=A(I,J)
   50 A(I,J)=-SAVE
C
C     VERTAUSCHEN DER SPALTEN J UND K
   51 J=JK(K)
      IF(J.EQ.K) GOTO 61
      DO 60 I=1,N
      SAVE = A(I,K)
      A(I,K)=A(I,J)
   60 A(I,J)=-SAVE
C
C     DIVISION DER SPALTE K DURCH AMAX
   61 DO 70  I=1,N
      A(I,K)=-A(I,K)/AMAX
   70 CONTINUE
      A(K,K)=0.
C
C     UMFORMEN DER ZEILEN UND SPALTEN
C***  ELEMENTARE UMFORMUNG:  ZEILE I = ZEILE I + A(I,K) * ZEILE K
      DO 81 I=1,N
      IF (I .EQ. K) GOTO 81
      AIK=A(I,K)
      DO 80 J=1,N
      A(I,J)=A(I,J)+AIK*A(K,J)
   80 CONTINUE
   81 CONTINUE
C
C***  SPALTE K: DIVISION DUCH AMAX
      DO 90 J=1,N
      A(K,J)=A(K,J)/AMAX
  90  CONTINUE
C
C***  DIAGONALELEMENT
      A(K,K)=1./AMAX
  100 CONTINUE
C
C
C     ZEILEN UND SPALTEN RUECKTAUSCHOPERATIONEN
      DO 130 L=1,N
      K=N-L+1
      J=IK(K)
      IF(J.LE.K) GOTO 111
C***  VERTAUSCHEN DER SPALTEN J UND K
      DO 110 I=1,N
       SAVE=A(I,K)
      A(I,K)=-A(I,J)
  110 A(I,J)=SAVE
  111 I=JK(K)
      IF(I .LE. K) GOTO 130
C***  VERTAUSCHEN DER ZEILEN I UND K
      DO 120 J=1,N
      SAVE=A(K,J)
      A(K,J)=-A(I,J)
  120 A(I,J)=SAVE
  130 CONTINUE
C
      RETURN
      END

      INTEGER FUNCTION ISAMAX( N, SX, INCX)
***   ISAMAX finds the first index of the largest absolute value of the
***   elements of a vector. This function exists as CRAY routine.
***   Double precision version!
      DOUBLE PRECISION SX(*), CURMAX, TMP
      ISAMAX = 1
      CURMAX   = ABS( SX( 1))
      DO 10 I = 1, N, INCX
        TMP = ABS( SX( I))
        IF ( TMP .GT. CURMAX) THEN
          CURMAX = TMP
          ISAMAX = I
        ENDIF          
10    CONTINUE
      RETURN
      END
