C-----------------------------------------------------------------------
C FORTRAN-Include-File:
C
C File    : TR3COM.INC
C Author  : S. Hoefner
C Created : 12-JUN-2003 
C Modified: 
C
C Functional description:
C
C    dust formation along tracks from 3D models: COMMON include file
C
C-----------------------------------------------------------------------
C Constants:
C
C    INTMAX: Maximum number of integration steps
C
C-----------------------------------------------------------------------
C Further comments:
C
C    none
C
C***********************************************************************
C-----------------------------------------------------------------------
C Constants:

      INTEGER  
     # NGMAX,INTMAX,NTRMAX,NTSMAX, 
     # IPAR,ITR3,ILIS,IINF,IOUT,IPLT

      PARAMETER (NGMAX=8, INTMAX=10000, NTRMAX=500, NTSMAX=1000)

      PARAMETER (IPAR=1, ITR3=2, ILIS=7, IINF=8, IOUT=3, IPLT=4)

      DOUBLE PRECISION  PP

      PARAMETER (PP=10.0D+00)

C-----------------------------------------------------------------------
C COMMON section:
C-----------------------------------------------------------------------
C Control variables:

      INTEGER  ITRAF,ITRAL,IPLDAT,NSTEP

      DOUBLE PRECISION
     # EPSI,ANFFAK,TMIN,TMAX,CZUO,SGMIN

      COMMON /PAR/
     # EPSI,ANFFAK,TMIN,TMAX,CZUO,SGMIN,ITRAF,ITRAL,IPLDAT,NSTEP

C-----------------------------------------------------------------------
C Integration variables:

      INTEGER  NINT,NINTA,NINTK,INITR,INIXC,NTST(NTRMAX)

      DOUBLE PRECISION
     # XTI(INTMAX),XK0(INTMAX),XK1(INTMAX),XK2(INTMAX),XK3(INTMAX),
     # XKN(INTMAX),XRG(INTMAX),XTG(INTMAX),R0DUST

      COMMON /INT/
     # XTI,XK0,XK1,XK2,XK3,XKN,XRG,XTG,R0DUST,
     # NINT,NINTA,NINTK,INITR,INIXC,NTST

C-----------------------------------------------------------------------
C Track variables:

      INTEGER  NTSTTR,NTRACK,NTRTOT

      DOUBLE PRECISION
     # AGETAB(NTSMAX,NTRMAX),RHOTAB(NTSMAX,NTRMAX),
     # TEMTAB(NTSMAX,NTRMAX),X1CTAB(NTSMAX,NTRMAX),
     # X2CTAB(NTSMAX,NTRMAX),X3CTAB(NTSMAX,NTRMAX),
     # ENETAB(NTSMAX,NTRMAX),XK0TAB(NTSMAX,NTRMAX),
     # XK1TAB(NTSMAX,NTRMAX),XK2TAB(NTSMAX,NTRMAX),
     # XK3TAB(NTSMAX,NTRMAX),XKNTAB(NTSMAX,NTRMAX),
     # AGETRA(NTSMAX),RHOTRA(NTSMAX),TEMTRA(NTSMAX)

      COMMON  /TRA/  
     # AGETAB,RHOTAB,TEMTAB,X1CTAB,X2CTAB,X3CTAB,ENETAB,
     # XK0TAB,XK1TAB,XK2TAB,XK3TAB,XKNTAB,
     # AGETRA,RHOTRA,TEMTRA,
     # NTSTTR,NTRACK,NTRTOT

C-----------------------------------------------------------------------
C End of ANFCOM.INC.
C-----------------------------------------------------------------------
