! --- Compute contribution to radiative relaxation time scale from optical thickness ---
! --- Use if-then-else construct                                                     ---
! --- 28.11.02 (B.F.)                                                                ---
!
thickflagnew=(dtauhalfnew >= dtauthick_limit)
!
if (.not. thickflagnew) then
  ! --- Optically thin regime ---
  !
  wthick=(min(dtauhalfnew/dtauthick_limit,1.0))**2
  taucouple= &
        wthick * ((expl2t_mdtauhalfnew - dtauhalfnew) * &
                 ((expl2t_mdtauhalfnew - dtauhalfnew) * (expl2t_mdtauhalfold - dtauhalfold + 1.0)+&
                                                 2.0  * (expl2t_mdtauhalfold - dtauhalfold) &
                 ) &
                ) / (dtauhalfnew + dtauhalfold) + &
   (1.0-wthick) * 2.0*dtauhalfnew
else
  ! --- Optically thick regime ---
  !
  taucouple=((exp_mdtauhalfnew - 1.0) * &
             ((exp_mdtauhalfnew - 1.0) *  exp_mdtauhalfold + &
                                  2.0  * (exp_mdtauhalfold - 1.0) &
             ) &
            ) / (dtauhalfnew + dtauhalfold)
endif
