! --- Interpolated source function ---
Scenter=Sold + dtauhalfold/(dtauhalfold+dtauhalfnew)*(Snew-Sold)
!
thickflagold=(dtauhalfold >= dtauthick_limit)
thickflagnew=(dtauhalfnew >= dtauthick_limit)
!
! --- Radiation transport in first interval ---
! 
! --- Change in reduced intensity ---
if (.not. thickflagold) then
  ! --- Optically thin regime ---
  !
  wS    =1.0 - (dtauhalfold/dtauthick_limit)**2
  Sbound=wS * Sold + (1.0-wS) * Scenter
  !
  dIold = (Iold   - Sold) * (expl2t_mdtauhalfold - dtauhalfold) + &
          (Sbound - Sold) / dtauhalfold * expl2t_mdtauhalfold
else
  ! --- Optically thick regime ---
  !
  dIold = (Iold + (Scenter - Sold)/dtauhalfold) * (exp_mdtauhalfold - 1.0)
endif
!
deiold=dIold
!
! --- Update of reduced intensity itself ---
Icenterold=Iold + dIold
!
! --- Mapping of reduced boundary intensity ---
if (thickflagold .neqv. thickflagnew) then
  if (thickflagold) then
    Icenternew=Icenterold + Scenter
  else
    Icenternew=Icenterold - Scenter
  endif
else
  Icenternew=Icenterold
endif
!
! --- Radiation transport in second interval ---
!
! --- Change in reduced intensity ---
if (.not. thickflagnew) then
  ! --- Optically thin regime ---
  !
  wS    =1.0-(dtauhalfnew/dtauthick_limit)**2
  Sbound=wS * Snew + (1.0-wS) * Scenter
  !
  dInew = (Icenternew - Sbound) * (expl2t_mdtauhalfnew - dtauhalfnew) + &
          (Snew       - Sbound) / dtauhalfnew * expl2t_mdtauhalfnew
else
  ! --- Optically thick regime ---
  !
  dInew = (Icenternew + (Snew - Scenter)/dtauhalfnew) * (exp_mdtauhalfnew - 1.0)
endif
!
deinew=dInew
!
! --- Update of reduced intensity itself ---
Inew=Icenternew + dInew
