! --- Interpolated source function ---
Scenter=Sold + dtauhalfold/(dtauhalfold+dtauhalfnew)*(Snew-Sold)
!
thickflagold=(dtauhalfold >= dtauthick_limit)
thickflagnew=(dtauhalfnew >= dtauthick_limit)
!
if (thickflagold .neqv. thickflagnew) then
  ! --- Do S slope reduction in case of cool optically thick cell in thin environment ---
  if (thickflagold) then
    wS=(1.0 - (min(Sold               /Snew           , 1.0)**2)**2) * &
       (1.0 -  min(dtauhalfnew        /dtauthick_limit, 1.0)**2    ) * &
       (1.0 - (min(dtaucoolthick_limit/dtauhalfold    , 1.0)**2)**2)
    !
    Sreduce=wS * Sold + (1.0-wS) * Scenter
  else
    wS=(1.0 - (min(Snew               /Sold           , 1.0)**2)**2) * &
       (1.0 -  min(dtauhalfold        /dtauthick_limit, 1.0)**2    ) * &
       (1.0 - (min(dtaucoolthick_limit/dtauhalfnew    , 1.0)**2)**2)
    !
    Sreduce=wS * Snew + (1.0-wS) * Scenter
  endif
else
  Sreduce=Scenter
endif
!
! --- Radiation transport in first interval ---
! 
! --- Change in reduced intensity ---
if (.not. thickflagold) then
  ! --- Optically thin regime ---
  !
  wS    =1.0 - (dtauhalfold/dtauthick_limit)**2
  Sbound=wS * Sold + (1.0-wS) * Scenter
  !
  dIold = (Iold   - Sold) * (expl2t_mdtauhalfold - dtauhalfold) + &
          (Sbound - Sold) / dtauhalfold * expl2t_mdtauhalfold
else
  ! --- Optically thick regime ---
  !
  dIold = (Iold + (Sreduce - Sold)/dtauhalfold) * (exp_mdtauhalfold - 1.0)
endif
!
deiold=dIold
!
! --- Update of reduced intensity itself ---
Icenterold=Iold + dIold
!
! --- Mapping of reduced boundary intensity ---
if (thickflagold .neqv. thickflagnew) then
  if (thickflagold) then
    Icenternew=Icenterold + Sreduce
  else
    Icenternew=Icenterold - Sreduce
  endif
else
  Icenternew=Icenterold
endif
!
! --- Radiation transport in second interval ---
!
! --- Change in reduced intensity ---
if (.not. thickflagnew) then
  ! --- Optically thin regime ---
  !
  wS    =1.0-(dtauhalfnew/dtauthick_limit)**2
  Sbound=wS * Snew + (1.0-wS) * Scenter
  !
  dInew = (Icenternew - Sbound) * (expl2t_mdtauhalfnew - dtauhalfnew) + &
          (Snew       - Sbound) / dtauhalfnew * expl2t_mdtauhalfnew
else
  ! --- Optically thick regime ---
  !
  dInew = (Icenternew + (Snew - Sreduce)/dtauhalfnew) * (exp_mdtauhalfnew - 1.0)
endif
!
deinew=dInew
!
! --- Update of reduced intensity itself ---
Inew=Icenternew + dInew
