!!$ thickmaskold=0.5+sign(0.5, dtauhalfold - dtauthick_limit)
!!$ thickmasknew=0.5+sign(0.5, dtauhalfnew - dtauthick_limit)
!
! --- Interpolated source function ---
Scenter=Sold + dtauhalfold/(dtauhalfold+dtauhalfnew)*(Snew-Sold)
!
! --- Temporary variables: weights, 1/dtauhalf, S_ratio
wSold          =1.0 -  min(dtauhalfold/dtauthick_limit, 1.0)**2
wSnew          =1.0 -  min(dtauhalfnew/dtauthick_limit, 1.0)**2
OneOdtauhalfold=1.0/dtauhalfold
OneOdtauhalfnew=1.0/dtauhalfnew
Sratio4        =((Snew/Sold)**2)**2
!
! --- Do S slope reduction in case of cool cell in thinner environment ---
wS=(1.0 -  min(1.0/Sratio4                , 1.0)   ) * &
   wSnew                                             * &
   (1.0 -  min(dtauhalfnew*OneOdtauhalfold, 1.0)**2)
Sreduce=wS * Sold + (1.0-wS) * Scenter
!
wS=(1.0 -  min(Sratio4                    , 1.0)**2) * &
   wSold                                             * &
   (1.0 -  min(dtauhalfold*OneOdtauhalfnew, 1.0)**2)
Sreduce=wS * Snew + (1.0-wS) * Sreduce
!
! === Radiation transport in first interval ===
! 
! --- Change in reduced intensity ---
Sbound=wSold * Sold + (1.0-wSold) * Sreduce
!
dIold=(1.0-thickmaskold) * ((Iold   - Sold) * (expl2t_mdtauhalfold - dtauhalfold) + &
                            (Sbound - Sold) * OneOdtauhalfold * expl2t_mdtauhalfold    ) + &
           thickmaskold  * ((Iold + (Sreduce - Sold)*OneOdtauhalfold) * (exp_mdtauhalfold - 1.0)) 
!
deiold=dIold
!
! --- Update of reduced intensity itself ---
Icenterold=Iold + dIold
!
! --- Mapping of reduced boundary intensity ---
Icenternew=Icenterold + Sreduce * (thickmaskold-thickmasknew)
!
! === Radiation transport in second interval ===
!
! --- Change in reduced intensity ---
Sbound=wSnew * Snew + (1.0-wSnew) * Sreduce
!
dInew=(1.0-thickmasknew) * ((Icenternew - Sbound) * (expl2t_mdtauhalfnew - dtauhalfnew) + &
                            (Snew       - Sbound) * OneOdtauhalfnew * expl2t_mdtauhalfnew    ) + &
           thickmasknew  * ((Icenternew + (Snew - Sreduce)*OneOdtauhalfnew) * (exp_mdtauhalfnew-1.0))
!
deinew=dInew
!
! --- Update of reduced intensity itself ---
Inew=Icenternew + dInew
