function meanmedian, q
;
;------------------------------------------------------------------------------
;+
; NAME:
;   meanmedian ('mean_median')
;
; PURPOSE:
;   Compute a smooth mean that ignores outliers
;
; CATEGORY:
;
; CALLING SEQUENCE:
;
; INPUT:
;
; OUTPUT:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   2009-03-17 Written by Bernd Freytag, CRAL-ENS Lyon
;-
;------------------------------------------------------------------------------

COMPILE_OPT defint32, strictarr

qmean=mean(q)
qmedian=median(q)

if (qmean eq qmedian) then begin
  qout=qmedian
endif else begin
  qmeanabsdev=meanabsdev(q, /median)
  ind=where(abs(q-qmedian) le (1.0*qmeanabsdev), nind)
;  qmeanabsdev=meanabsdev(q)
;  ind=where(abs(q-qmean) le (1.0*qmeanabsdev), nind)
  if (nind eq 0) then begin
    qout=qmedian
  endif else begin
    qout=mean(q[ind])
  endelse
endelse

return, qout

end ; meanmedian
