; pro monobicubic_test
;
;------------------------------------------------------------------------------
;+
; NAME:
;   monobicubic_test
;
; PURPOSE:
;   Test the interpolation function monobicubic
;
; CATEGORY:
;   Test
;
; CALLING SEQUENCE:
;   @monobicubic_test
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;   monobicubic - Function for bicubic interpolation
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;    9. 5.96 Written by Bernd Freytag, Astrophysik Kiel
;-
;------------------------------------------------------------------------------
;
nx=6
ny=9
x=-findgen(nx)/(nx-1.)
y=-findgen(ny)
xx=rebin(reform(x,nx,1),nx,ny)
yy=rebin(reform(y,1,ny),nx,ny)
f=xx^2 + sin(yy)
surface, f, x, y
;
nxf=nx*2
nyf=ny*2
xfine=findgen(nxf)/(nxf-1.)*(x(nx-1)-x(0)) + x(0)
yfine=findgen(nyf)/(nyf-1.)*(y(ny-1)-y(0)) + y(0)
xxfine=rebin(reform(xfine,nxf,1),nxf,nyf)
yyfine=rebin(reform(yfine,1,nyf),nxf,nyf)
ffine=monobicubic(f,x,y, xxfine,yyfine)
;
for n=0,9 do begin &$
surface, f, x, y &$
empty &$
surface, ffine, xfine, yfine &$
empty &$
endfor
;
; end ; monobicubic_test
