function SIGNUM, a, epsilon=epsilon
;
;+
; NAME:
;   SIGNUM
; PURPOSE:
;   Compute the sign of a number (or vector or array)
; CALLING SEQUNECE:
;   result=signum(a)
; INPUTS:
;   a - The sign of this variable is computed
; KEYWORDS:
;   epsilon - limit value (default=0)
; SIDE EFFECTS:
;   None
; PROCEDURE:
;   Computes: fix(a gt epsilon) - fix(a lt (-epsilon))
; MODIFICATION HISTORY:
;   Written: 24.5.94 (B.F.)
;-
;
if (not keyword_set(epsilon)) then epsilon=0
;
return, fix(a gt epsilon) - fix(a lt (-epsilon))
;
end ; SIGNUM
