; pro start_minimal

; ------------------------------------------------------------------------------
;+
; NAME:
;   start_minimal ('start_minimal')
;
; PURPOSE:
;   Demo initialization script
;
; CATEGORY:
;   Initialization
;
; CALLING SEQUENCE:
;   @start_minimal
;
; INPUTS:
;   None
;
; OUTPUTS:
;   None
;
; KEYWORD PARAMETERS:
;   None
;
; SIDE EFFECTS:
;   The new system variables !CTV and !CON are created.
;   The color table is modified.
;   The number of available colors is set.
;   Some common blocks for the UIO file handling are created.
;
; SUBROUTINES:
;   setctv_idl4: Create new system variable !CTV and modify color table.
;   setcon:      Create new system variable !CON with some usefull constants.
;   uio_init:    Initialize UIO routines.
;
; PROCEDURE:
;   Call some init routines.
;
; EXAMPLE:
;   @start_minimal
;
; MODIFICATION HISTORY:
;   25. 2.94 Written by Bernd Freytag, Astrophysik Kiel
;   ...
;    7. 7.05 (B.F. LA) Derived from full start script
;-
; ------------------------------------------------------------------------------

; --- Set number of colors, define color table ---
window, 0, xsize=100, ysize=100
;window, 0, color=220, xsize=100, ysize=100   ; --- On pseudo color terminals
wdelete, 0
@setctv_idl4

; --- Define physical constants ---
setcon

; --- Initialize uio-routines ---
uio_init, progrm='by hand'

; end ; start_minimal
