pro find_line_containing, string, unit
   text = ' '
   while (strpos(text, string) lt 0) do readf, unit, format='(A)', text
return
end

pro dfopta, filename

;   2009-10-30 (B.F. Lyon) Weights wtbbd put into common block
;   2009-10-30 (B.F. Lyon) Normalize wtbbd only for nband > 1

common opta_common, nt, np, nband, topta, popta, xopta, wtbbd

dum      = strarr(1)

get_lun, unit
openr, unit, filename

nt    = 0
np    = 0
nband = 0
find_line_containing, 'NT', unit
readf, unit, nt
find_line_containing, 'NP', unit
readf, unit, np
find_line_containing, 'NBAND', unit
readf, unit, nband

topta = fltarr(nt)
popta = fltarr(np)
xopta = fltarr(nt, np, nband+1) ; Rosseland averages in band 0
dum   = fltarr(nt)

find_line_containing, 'TABT', unit
readf, unit, topta
find_line_containing, 'TABP', unit
readf, unit, popta

idum = 1
for i = 0, np-1 do begin
for j = 0, nband do begin
  find_line_containing, 'log10 P', unit
  readf, unit, idum
  readf, unit, dum
  xopta[*,i,j] = dum
endfor
endfor

wtbbd=fltarr(nt,nband+1)
dum   = fltarr(nt)
for j = 0, nband do begin
  find_line_containing, 'IBAND', unit
  readf, unit, idum
  readf, unit, dum
  wtbbd[*,j]=dum
endfor ; j
if (nband gt 1) then begin
  ; --- Normalize WTBBD fractions ---
  wtbbdtot=rebin(reform(total(wtbbd[*,1:*], 2), nt,1), nt,nband)
  wtbbd[*,1:*]=wtbbd[*,1:*]/wtbbdtot
endif

close, unit
free_lun, unit

return
end
