; pro eosinter_test
;
;------------------------------------------------------------------------------
;+
; NAME:
;   eosinter_test ('equation_of_state_interpolation_test')
;
; PURPOSE:
;   Test gas2eos tables
;
; CATEGORY:
;   EOS, Plotting
;
; CALLING SEQUENCE:
;   @eosinter_test
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   26. 4.99 Written by Bernd Freytag, Astronomical Observatory Copenhagen
;-
;------------------------------------------------------------------------------
;
disk='/b/bf/eos/dat/'
gasfile='gas_mm00.eos'
eosfile='eos_mm00.eos'
;
if (n_elements(init) eq 0) then begin &$
  tabinter_rdcoeff, disk + gasfile, gas &$
  tabinter_rdcoeff, disk + eosfile, eos &$
  init=1 &$
endif
;
nP=30 & Pmin=1.0E-02 & Pmax=6.0E06
nT=100 & Tmin=2000.0  & Tmax=80000.0
;
Paxis=Pmin*10.0^((alog10(Pmax)-alog10(Pmin))*findgen(nP)/float(nP-1))
P0=rebin(reform( Paxis ,nP,1),nP,nT)
Taxis=Tmin+(Tmax-Tmin)*findgen(nT)/float(nT-1)
T0=rebin(reform( Taxis ,1,nT),nP,nT)
;
gasinter, P0, T0, rho1, xcp1, Gamma11, xct1, h1, s1, cs1, eos=gas, ierror=ierror1
ei1=h1-P0/rho1
;
eosinter, rho1, ei1, P2, dPdrho2, dPdei2, T2, dTdei2, s2, eos=eos, ierror=ierror2
Gamma12=dPdrho2*rho1/P2 + dPdei2/rho1
Gamma32=dPdrho2*rho1*P2 + dPdei2/rho1
sqr_cs2=P2*dPdei2/rho1^2 + dPdrho2
cs2=sqrt(sqr_cs2 > 0.0)
;
; end ; eosinter_test
