; pro gasinter_test
;
;------------------------------------------------------------------------------
;+
; NAME:
;   gasinter_test
;
; PURPOSE:
;   Test gas2eos tables
;
; CATEGORY:
;   EOS, Plotting
;
; CALLING SEQUENCE:
;   @gasinter_test
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   22. 5.97 Written by Bernd Freytag, Astrophysik Kiel
;-
;------------------------------------------------------------------------------
;
disk='bak/'
file='eos_zm00_pt_80_400.dat'
;
if (n_elements(init) eq 0) then begin &$
  uio_data, mode='open', file=disk+file &$
  c_rho=uio_d('c1') &$
  rho=exp(reform(c_rho(0,*,*))) &$
  lastindex,rho,nx1,nx2 &$
  c_h=uio_d('c2') &$
  h=reform(c_h(0,*,*)) &$
  c_s=uio_d('c3') &$
  s=reform(c_s(0,*,*)) &$
  c_p=uio_d('x1') &$
  p=reform(c_p(*,0:nx1-1,*)) &$
  c_T=uio_d('x2') &$
  T=reform(c_T(*,*,0:nx2-1)) &$
  init=1 &$
endif
;
; p/rho=mu*R*T
parr=rebin(reform(p,nx1,1),nx1,nx2)
Tarr=rebin(reform(T,1,nx2),nx1,nx2)
mu=Parr/(rho*Tarr*!con.Rgas)
;
dlnrhodlnp=reform(c_rho(1,*,*))
dlnrhodlnT=reform(c_rho(4,*,*))
;
dhdlnp=reform(c_h(1,*,*))
dhdlnT=reform(c_h(4,*,*))
;
dsdlnp=reform(c_s(1,*,*))
dsdlnT=reform(c_s(4,*,*))
;
iT=1
iP=1
dp=3
;plot,alog10(P(iP:iP+dP)),dlnrhodlnP(iP:iP+dP,iT),/ynoz,psym=-1
;P0=(alog(P(iP+2))-alog(P(iP+1))) *(findgen(121)/30.-1.5)
;dlnrhodlnP0=c_rho(1,iP+1,iT) + P0*(2.0*c_rho(2,iP+1,iT) + P0*3.0*c_rho(3,iP+1,iT))
;oplot, alog10(P(iP+1))+alog10(exp(P0)), dlnrhodlnP0, color=!ctv.red
plot,alog10(P(iP:iP+dP)),dlnrhodlnT(iP:iP+dP,iT),/ynoz,psym=-1
P0=(alog(P(iP+2))-alog(P(iP+1))) *(findgen(121)/30.-1.5)
dlnrhodlnT0=c_rho(4,iP+1,iT) + P0*(c_rho(5,iP+1,iT) + P0*(c_rho(6,iP+1,iT) + $
                               P0*c_rho(7,iP+1,iT)))
oplot, alog10(P(iP+1))+alog10(exp(P0)), dlnrhodlnT0, color=!ctv.red
;
; end ; gasinter_test
