pro meos2opta, m, o

; Creates opta-structure o from meos structure m
; Not fully functional!

nband=14

o = { nt:m.itsize, $
      np:m.ipsize, $
      nband:nband, $
      tabt: alog10(m.t), $
      tabp: alog10(m.p), $
      logx:fltarr(m.ipsize,m.itsize,nband+1,/nozero), $
      wtbbd: fltarr(m.itsize,nband+1,/nozero)}

lnt = alog(m.t)
tmp =alog10(dustsmooth(m.xro,lnt)) 
o.logx(*,*,0) = tmp
o.logx(*,*,1) = tmp - 0.25
o.logx(*,*,2) = tmp + 0.00
o.logx(*,*,3) = tmp + 0.25
o.logx(*,*,4) = tmp + 0.50
o.logx(*,*,5) = tmp + 0.75
o.logx(*,*,6) = tmp + 1.00
o.logx(*,*,7) = tmp + 1.25
o.logx(*,*,8) = tmp + 1.50
o.logx(*,*,9) = tmp + 1.75
o.logx(*,*,10)= tmp + 2.00
o.logx(*,*,11)= tmp + 2.25
o.logx(*,*,12)= tmp + 2.50
o.logx(*,*,13)= tmp + 2.75
o.logx(*,*,14)= tmp + 3.00

return
end

pro wropta, optafile, opa, mode=mode0
;
;------------------------------------------------------------------------------
;+
; NAME:
;   wropta ('write_opacity_table')
;
; PURPOSE:
;   Write opacity table from structure into file
;
; CATEGORY:
;   I/O, opacities
;
; CALLING SEQUENCE:
;   wropta, optafile, opa, mode=mode
;
; INPUT:
;   optafile: ('opacity_table_file') String with file name
;   opa:      ('opacities') Structure with output data
;
; OUTPUT:
;   None (a file is written)
;
; KEYWORDS:
;   mode:     ('mode') Integer with mode selector
;             0: Default short output (gas opacities)
;             1: Long output (gas opacities)
;             2: Long output (dust opacities)
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;
; SIDE EFFECTS:
;   A file is written.
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   Old        (HGL) First version
;   2009-07-10 (B.F. Paris) Output of complete data
;   2015-08-31 (B.F. Uppsala) Replace 1X with '' '' for GDL for mode 1
;-
;------------------------------------------------------------------------------

if (keyword_set(mode0)) then begin
  mode=mode0
endif else begin
  mode=0
endelse

; --- Some format statements (analogous to Fortran) ---
format62  = '(''*     log10 P = '', F6.3, '', IBAND = '', I2)'
format63  = '(''*     log10 R = '', F6.3, '', IBAND = '', I2)'
;format65  = '( 8( F8.4, 1X))'
format65  = '( 8( F8.4, '' ''))'
format110 = '( ''*     IBAND = '', I2)'
;format111 = '( 8( F8.5, 1X))'
;format111 = '( 6( E11.5, 1X))'
format111 = '( 6( E11.5, '' ''))'

if (mode eq 0) then begin
  ; --- HGL original simple version ---
  ; tags:
  ; .nband
  ; .tabt(nt)
  ; .tabp(np)
  ; .logx(np,nt,nband+1)
  ; .wtbbd(nt,nband+1)
  ;
  get_lun, u
  openw, u, optafile
  ;
  printf, u, '*     TABT', format='(A)' 
  printf, u, opa.tabt, format='( 10( F6.3, 1X))'
  ;
  printf, u, '*     TABP', format='(A)' 
  printf, u, opa.tabp, format='( 10( F6.3, 1X))'
  ;
  printf, u, '*     Opacities', format='(A)' 
  printf, u, '*     ---------', format='(A)' 
  printf, u, '*     TABKAP', format='(A)' 
  for ip = 0, opa.np-1 do begin
    printf, u, '*', format='(A)' 
    for iband = 0, opa.nband do begin
      printf, u, opa.tabp[ip], iband, format=format62
      printf, u, ip+1, iband, format='( I3, 3X, I3)'
      ; --- Here, the opacities sit in logx and have swapped iP and iT indices ---
      printf, u, opa.logx[ip,*,iband], format=format65
    endfor
  endfor
  ;
  for iband = 0, opa.nband do begin
    printf, u, '*', format='(A)' 
    printf, u, iband, format=format110
    printf, u, iband
    printf, u, opa.wtbbd[*,iband], format=format111
  endfor
  ;
  close, u
  free_lun, u
  ;
endif else if (mode eq 1) then begin
  ; --- Full output of gas opacities ---
  ;
  ; --- Open file ---
  get_lun, u
  openw, u, optafile
  ;
  ; --- Write comment header ---
  printf, u, '************************************************************************', format='(A)'
  printf, u, opa.header    , format='(A)' 
  printf, u, '************************************************************************', format='(A)'
  printf, u, '*'           , format='(A)'
  ;
  ; --- Write data ---
  printf, u, '*     IDVERS', format='(A)'
  printf, u, opa.idvers    , format='(I2)'
  printf, u, '*     OPTANA', format='(A)'
  printf, u, opa.optana    , format='(A)'
  printf, u, '*     DATEX' , format='(A)'
  printf, u, opa.datex     , format='(A)'
  printf, u, '*     IDMEAN', format='(A)'
  printf, u, opa.idmean    , format='(I2)'
  printf, u, '*'           , format='(A)'
  ;
  printf, u, '*     NT'    , format='(A)'
  printf, u, opa.nt        , format='(I3)'
  printf, u, '*     NTBN'  , format='(A)'
  printf, u, opa.ntbn      , format='(I3)'
  printf, u, '*     NP'    , format='(A)'
  printf, u, opa.np        , format='(I3)'
  printf, u, '*     NPBN'  , format='(A)'
  printf, u, opa.npbn      , format='(I3)'
  printf, u, '*     NBAND' , format='(A)'
  printf, u, opa.nband     , format='(I3)'
  printf, u, '*     MSTEP' , format='(A)'
  printf, u, opa.mstep     , format='(I3)'
  printf, u, '*     NULO'  , format='(A)'
  printf, u, opa.nulo      , format='(I6)'
  printf, u, '*     NUHI'  , format='(A)'
  printf, u, opa.nuhi      , format='(I6)'
  printf, u, '*     NUMNU' , format='(A)'
  printf, u, opa.numnu     , format='(I6)'
  printf, u, '*     INTMDX', format='(A)'
  printf, u, opa.intmdx    , format='(I3)'
  printf, u, '*'           , format='(A)'
  ;
  printf, u, '*     Temperatures', format='(A)' 
  printf, u, '*     ------------', format='(A)' 
  printf, u, '*     TABT'  , format='(A)'
  printf, u, opa.tabt      , format='( 10( F6.3, '' ''))'
  printf, u, '*     TABTBN', format='(A)'
  printf, u, opa.tabtbn    , format='( 10( F6.3, '' ''))'
  printf, u, '*     IDXTBN', format='(A)'
  printf, u, opa.idxtbn    , format='( 10( I6, '' ''))'
  printf, u, '*     TABDTB', format='(A)'
  printf, u, opa.tabdtb    , format='( 10( F6.3, '' ''))'
  printf, u, '*'           , format='(A)'
  ;
  printf, u, '*     Pressures', format='(A)' 
  printf, u, '*     ---------', format='(A)' 
  printf, u, '*     TABP', format='(A)'
  printf, u, opa.tabp, format='( 10( F6.3, '' ''))'
  printf, u, '*     TABPBN', format='(A)'
  printf, u, opa.tabpbn    , format='( 10( F6.3, '' ''))'
  printf, u, '*     IDXPBN', format='(A)'
  printf, u, opa.idxpbn    , format='( 10( I6, '' ''))'
  printf, u, '*     TABDPB', format='(A)'
  printf, u, opa.tabdpb    , format='( 10( F6.3, '' ''))'
  printf, u, '*'           , format='(A)'
  ;
  printf, u, '*     Opacities', format='(A)'
  printf, u, '*     ---------', format='(A)'
  printf, u, '*     TABKAP', format='(A)'
  for ip=0, opa.np-1 do begin
    printf, u, '*', format='(A)'
    for iband = 0, opa.nband do begin
      printf, u, opa.tabp[ip], iband, format=format62
      printf, u, ip+1, iband, format='( I3, ''   '', I3)'
      printf, u, opa.xopta[*,ip,iband], format=format65
    endfor ; iband
  endfor ; ip
  printf, u, '*'           , format='(A)'
  ;
  printf, u, '*     Integration weights', format='(A)'
  printf, u, '*     -------------------', format='(A)'
  printf, u, '*     WTBBD', format='(A)' 
  for iband=0, opa.nband do begin
    printf, u, '*', format='(A)' 
    printf, u, iband, format=format110
    printf, u, iband, format='(I12)'
    printf, u, opa.wtbbd[*,iband], format=format111
  endfor ; iband
  printf, u, '*'           , format='(A)'
  ;
  printf, u, '*     Frequency - band - correspondence', format='(A)'
  printf, u, '*     ---------------------------------', format='(A)'
  printf, u, '*     INBAND', format='(A)'
;  printf, u, opa.inband    , format='( 2(10(I2,'' ''), '' ''))'
;  printf, u, opa.inband    , format='( 10(I2,'' ''), '' '', 10(I2,'' ''))'
;  printf, u, opa.inband    , format='( 10(I2,'' ''), 1X, 10(I2,'' ''))'
  for ig=0, (opa.numnu-1L)/20L do begin
    printf, u, opa.inband[ig*20L:((ig*20L+19L)<(opa.numnu-1L))], format='( 2(10(I2,'' ''), '' ''))'
  endfor ; ig
  printf, u, '*'           , format='(A)'
  ;
  printf, u, '*     End of KPX file', format='(A)'
  printf, u, '*     ---------------', format='(A)'
  ;
  ; --- Close file ---
  close, u
  free_lun, u
  ;
endif else begin
  ; --- Full output of dust opacities ---
  ;
  ; --- Open file ---
  get_lun, u
  openw, u, optafile
  ;
  ; --- Write comment header ---
  printf, u, '************************************************************************', format='(A)'
  printf, u, opa.header    , format='(A)' 
  printf, u, '************************************************************************', format='(A)'
  printf, u, '*'           , format='(A)'
  ;
  ; --- Write data ---
  printf, u, '*     IDVERS', format='(A)'
  printf, u, opa.idvers    , format='(I2)'
  printf, u, '*     OPTANA', format='(A)'
  printf, u, opa.optana    , format='(A)'
  printf, u, '*     DATEX' , format='(A)'
  printf, u, opa.datex     , format='(A)'
  printf, u, '*     IDMEAN', format='(A)'
  printf, u, opa.idmean    , format='(I2)'
  printf, u, '*'           , format='(A)'
  ;
  printf, u, '*     NT'    , format='(A)'
  printf, u, opa.nt        , format='(I3)'
  printf, u, '*     NTBN'  , format='(A)'
  printf, u, opa.ntbn      , format='(I3)'
  printf, u, '*     NR'    , format='(A)'
  printf, u, opa.nr        , format='(I3)'
  printf, u, '*     NRBN'  , format='(A)'
  printf, u, opa.nrbn      , format='(I3)'
  printf, u, '*     NBAND' , format='(A)'
  printf, u, opa.nband     , format='(I3)'
  printf, u, '*     MSTEP' , format='(A)'
  printf, u, opa.mstep     , format='(I3)'
  printf, u, '*     NULO'  , format='(A)'
  printf, u, opa.nulo      , format='(I6)'
  printf, u, '*     NUHI'  , format='(A)'
  printf, u, opa.nuhi      , format='(I6)'
  printf, u, '*     NUMNU' , format='(A)'
  printf, u, opa.numnu     , format='(I6)'
  printf, u, '*     INTMDX', format='(A)'
  printf, u, opa.intmdx    , format='(I3)'
  printf, u, '*'           , format='(A)'
  ;
  printf, u, '*     Temperatures', format='(A)' 
  printf, u, '*     ------------', format='(A)' 
  printf, u, '*     TABT'  , format='(A)'
  printf, u, opa.tabt      , format='( 10( F6.3, 1X))'
  printf, u, '*     TABTBN', format='(A)'
  printf, u, opa.tabtbn    , format='( 10( F6.3, 1X))'
  printf, u, '*     IDXTBN', format='(A)'
  printf, u, opa.idxtbn    , format='( 10( I6, 1X))'
  printf, u, '*     TABDTB', format='(A)'
  printf, u, opa.tabdtb    , format='( 10( F6.3, 1X))'
  printf, u, '*'           , format='(A)'
  ;
  printf, u, '*     Radii', format='(A)' 
  printf, u, '*     -----', format='(A)' 
  printf, u, '*     TABR', format='(A)'
  printf, u, opa.tabr, format='( 10( F6.3, 1X))'
  printf, u, '*     TABRBN', format='(A)'
  printf, u, opa.tabrbn    , format='( 10( F6.3, 1X))'
  printf, u, '*     IDXRBN', format='(A)'
  printf, u, opa.idxrbn    , format='( 10( I6, 1X))'
  printf, u, '*     TABDRB', format='(A)'
  printf, u, opa.tabdrb    , format='( 10( F6.3, 1X))'
  printf, u, '*'           , format='(A)'
  ;
  printf, u, '*     Opacities', format='(A)'
  printf, u, '*     ---------', format='(A)'
  printf, u, '*     TABKAR', format='(A)'
  for ir=0, opa.nr-1 do begin
    printf, u, '*', format='(A)'
    for iband = 0, opa.nband do begin
      printf, u, opa.tabr[ir], iband, format=format63
      printf, u, ir+1, iband, format='( I3, 3X, I3)'
      printf, u, opa.xopta[*,ir,iband], format=format65
    endfor ; iband
  endfor ; ir
  printf, u, '*'           , format='(A)'
  ;
  printf, u, '*     Integration weights', format='(A)'
  printf, u, '*     -------------------', format='(A)'
  printf, u, '*     WTBBD', format='(A)' 
  for iband=0, opa.nband do begin
    printf, u, '*', format='(A)' 
    printf, u, iband, format=format110
    printf, u, iband, format='(I12)'
    printf, u, opa.wtbbd[*,iband], format=format111
  endfor ; iband
  printf, u, '*'           , format='(A)'
  ;
  printf, u, '*     Frequency - band - correspondence', format='(A)'
  printf, u, '*     ---------------------------------', format='(A)'
  printf, u, '*     INBAND', format='(A)' 
  printf, u, opa.inband    , format='( 2(10(I2,1X), 1X))'
  printf, u, '*'           , format='(A)'
  ;
  printf, u, '*     End of KPX file', format='(A)'
  printf, u, '*     ---------------', format='(A)'
  ;
  ; --- Close file ---
  close, u
  free_lun, u
  ;
endelse

end
