pro bubble2d_init, n1, n2, u
;
;------------------------------------------------------------------------------
;+
; NAME:
;   bubble2d_init ('bubble_2_dimension_init')
;
; PURPOSE:
;   Prepare initial bubble configuration for "bubble equation" in 2D.
;
; CATEGORY:
;   Hydrodynamics, Plotting.
;
; CALLING SEQUENCE:
;   bubble2d_init, n1, n2, u
;
; INPUT:
;   n1:     ('number_1') integer with number of x1 axis values
;   n2:     ('number_2') integer with number of x2 axis values
;
; OUTPUT:
;   u:      ('u') 2D real array with bubble amplitude
;
; KEYWORDS:
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;   bubble2d_operator:
;
; SIDE EFFECTS:
;   None
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   26. 3.01 Written by Bernd Freytag, Astronomical Observatory Uppsala
;-
;------------------------------------------------------------------------------
;
; --- Parameters ---
n_iterinit=100
;
; --- Initial random amplitude ---
u=randomu(seed, n1, n2)
;
; --- Iterate bubble equation to give a relaxed state ---
for i=1,n_iterinit do begin
  bubble2d_operator, u
endfor ; i
;
end ; bubble2d_init
