; pro bubble2d_plot
;
;------------------------------------------------------------------------------
;+
; NAME:
;   bubble2d_plot ('bubble_2_dimension_plot')
;
; PURPOSE:
;
; CATEGORY:
;
; CALLING SEQUENCE:
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   20. 3.01 Written by Bernd Freytag, Astronomical Observatory Uppsala
;-
;------------------------------------------------------------------------------
;
t_sample=0
mpeg_flag=1
mpeg_file='bubble2d_08.mpg'
;
n1   =n_elements(u(*,0,0))
n2   =n_elements(u(0,*,0))
ntime=n_elements(u(0,0,*))
;
;drange=minmax(u)
drange=[0.0, 1.2*max(sqrt(v1^2+v2^2))]
;drange=0.0
;
ditime=10
nframe=(ntime-1)/ditime+1
;
win_id=0
xsize=2*n1 & ysize=2*n2
window, win_id, xsize=xsize, ysize=ysize, retain=2
;normct,-2
loadct,3 ; --- I ---
;loadct,6 ; --- s ---
;loadct,4 ; --- T ---
;normct
;!ctv.colorrange1=[0,!P.color]
;normct, -3, color=!ctv.colorrange1, drange=drange, gamma=0.3
;normct, -2, color=!ctv.colorrange1
;normct, 3, color=!ctv.colorrange1
;
!P.BACKGROUND=!ctv.black
!P.CHARSIZE=1.2
!X.STYLE=5     & !Y.STYLE=5
!X.MARGIN=[0,0] &!Y.MARGIN=[0,0]
;!P.COLOR=0.5*!P.COLOR
;
if (mpeg_flag) then begin &$
  print, 'Open MPEG file' &$
  MPEG_ID=MPEG_open([xsize, ysize]) &$
endif
;
for i=0,nframe-1 do begin &$
  itime=i*ditime &$
  print, '--- ', i, itime, ' ---' , format='(A,I4,I6,A)' &$
;  tvscl, rebin(reform(-0.5>u(*,*,itime)<1.8),xsize,ysize) &$
;  tvscl, rebin(sqrt(v1^2+v2^2), xsize, ysize) &$
  ut=rebin(reform(u(*,*,itime)), xsize, ysize) &$
  plotfield, sqrt(v1^2+v2^2), $
    drange=drange, $
    tv=1, t_col=!ctv.ct3, t_sample=t_sample &$
  ;
  image=tvrd(0, 0, !d.x_vsize, !d.y_vsize, true=3) &$
;  image(*,*,0)=byte( (float(image(*,*,0)) * (1.0 + 0.1*(0.5 + (-0.5>ut<1.8))))<255.0 ) &$
;  image(*,*,1)=byte( (float(image(*,*,1)) * (1.0 + 0.1*(0.5 + (-0.5>ut<1.8))))<255.0 ) &$
;  image(*,*,2)=byte( (float(image(*,*,2)) * (1.0 + 0.1*(0.5 + (-0.5>ut<1.8))))<255.0 ) &$
  image(*,*,0)=byte( (float(image(*,*,0)) + (40.0*(0.5 + (-0.5>ut<1.5))))<255.0 ) &$
  image(*,*,1)=byte( (float(image(*,*,1)) + (40.0*(0.5 + (-0.5>ut<1.5))))<255.0 ) &$
  image(*,*,2)=byte( (float(image(*,*,2)) + (40.0*(0.5 + (-0.5>ut<1.5))))<255.0 ) &$
  tv, image, true=3 &$
  ;
  if (MPEG_flag) then begin &$
    MPEG_put, MPEG_ID, image=tvrd(0, 0, !d.x_vsize, !d.y_vsize, true=1), frame=i, /color, /order &$
;    MPEG_put, MPEG_ID, window=win_ID, frame=i, /color, /order &$
  endif &$
  ;
;wait,1 &$
endfor
;
if (MPEG_flag) then begin &$
  print, 'Make MPEG file ' + MPEG_file &$
  MPEG_save, MPEG_ID, filename=MPEG_file &$
  MPEG_close, MPEG_ID &$
endif
;
!P.BACKGROUND=0
!P.CHARSIZE=0
!X.STYLE=0
!Y.STYLE=0
!X.MARGIN=[12,3]
!Y.MARGIN=[4,2]
;!P.COLOR=!ctv.colorrange1(1)
;
; end ; bubble2d_plot
