pro defctv_pseudo, ctv1
;
;------------------------------------------------------------------------------
;+
; NAME:
;   defctv_pseudo ('define_color_table_variable_pseudo')
;
; PURPOSE:
;   Define color table system variable for pseudo color terminals.
;
; CATEGORY:
;   Plotting
;
; CALLING SEQUENCE:
;   defctv_pseudo, ctv1
;
; INPUTS:
;
; OUTPUTS:
;   ctv1: ('color_table_variable_1') structure of proper type
;
; KEYWORDS:
;   None
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;   None
;
; SIDE EFFECTS:
;   A named structure is defined
;
; RESTRICTIONS:
;   The routine is typically used during the initializing process of IDL.
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;    8.10.98 Written by Bernd Freytag, Astronomical Observatory Copenhagen
;-
;------------------------------------------------------------------------------
;
ncol=fix(!D.TABLE_SIZE)
if (ncol le 17) then c=0 else c=1
ra=[0,!D.TABLE_SIZE-1]
;
; --- Define structure for new system variable ---
ctv1={ctvtyp,   colorrange0:[1            , ncol-10   ], $
                colorrange1:[1            ,(ncol-10)/2], $
                colorrange2:[(ncol-10)/2+1, ncol-10   ], $
                ct0:ra, ct1:ra, ct2:ra, ct3:ra, ct4:ra, $
                ct5:ra, ct6:ra, ct7:ra, ct8:ra, ct9:ra, $
                black :0,  gray:ncol-1-8*c,   white:ncol-1,             $
                magenta:ncol-1-6*c, red  :ncol-1-5*c, orange:ncol-1-4*c, $
                yellow:ncol-1-3*c, green:ncol-1-2*c,  cyan:ncol-1-7*c, $
                blue  :ncol-1-1*c}
;
end ; defctv_pseudo
