pro defctv_true, color1, color2, ctv1
;
;------------------------------------------------------------------------------
;+
; NAME:
;   defctv_true ('define_color_table_variable_true')
;
; PURPOSE:
;   Define color table system variable for true color terminals.
;
; CATEGORY:
;   Plotting
;
; CALLING SEQUENCE:
;   defctv_true, color1, color2, ctv1
;
; INPUTS:
;   color1: ('color_1') color table
;   color2: ('color_2') color table
;
; OUTPUTS:
;   ctv1: ('color_table_variable_1') structure of proper type
;
; KEYWORDS:
;   None
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;   None
;
; SIDE EFFECTS:
;   A named structure is defined
;
; RESTRICTIONS:
;   The routine is typically used during the initializing process of IDL.
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   1998-10-08 (B.F.) Written, Astronomical Observatory Copenhagen
;   2016-04-25 (B.F.) Experiment with darker shades of some colors
;-
;------------------------------------------------------------------------------
;
; --- Define structure for new system variable ---
ctv1={ctvtyp,   colorrange0:color2, $
                colorrange1:color1, $
                colorrange2:color2, $
                ct0: color2, $
                ct1: color2, $
                ct2: color2, $
                ct3: color2, $
                ct4: color2, $
                ct5: color2, $
                ct6: color2, $
                ct7: color2, $
                ct8: color2, $
                ct9: color2, $
                ct31:color2, $
                black:     0 + 256L * (  0 + 256L *   0), $
                gray:    128 + 256L * (128 + 256L * 128), $
                white:   255 + 256L * (255 + 256L * 255), $
                magenta: 255 + 256L * (  0 + 256L * 255), $
                red:     255 + 256L * (  0 + 256L *   0), $
                orange:  255 + 256L * (140 + 256L *   0), $
             ;  yellow:  255 + 256L * (255 + 256L *   0), $
             ;  green:     0 + 256L * (255 + 256L *   0), $
             ;  cyan:      0 + 256L * (255 + 256L * 255), $
                yellow:  235 + 256L * (225 + 256L *   0), $
                green:     0 + 256L * (230 + 256L *   0), $
                cyan:      0 + 256L * (220 + 256L * 220), $
                blue:      0 + 256L * (  0 + 256L * 255)   }
;
end ; defctv_true
