function kappadust, rho, T, quc004
;
;------------------------------------------------------------------------------
;+
; NAME:
;   kappadust ('kappa_dust')
;
; PURPOSE:
;
; CATEGORY:
;
; CALLING SEQUENCE:
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;    1. 1.01 Written by Bernd Freytag, Astronomical Observatory Uppsala
;-
;------------------------------------------------------------------------------

; --- Constants ---
sigmasb=5.66961E-05
PIST   =!PI/sigmasb
BOLTZ  =1.38062E-16    ; Boltzmann constant
PMASS  =1.6726E-24     ; proton mass
AGW    =12.01115       ; atomic weight of dust forming material
RHOD   =2.25           ; density of condensed material
;
; --- Monomer radius ---
R0     = ( 3.0 * AGW * PMASS / ( 4.0 * !PI * RHOD ) )^(1.0/3.0)
help, R0
;
H3V04  = !PI * R0^3
;
QEXTR  = 4.4 * T
;
; --- Dust opacity (Rosseland mean) in 1/cm ---
XKAPR  = H3V04 * quc004 * QEXTR
;
; --- Dust opacity (Rosseland mean) in cm^2/g ---
OPADUS = XKAPR / RHO
;
return, OPADUS
;
end ; kappadust
