; pro seqavgdiffusion_plot
;
;------------------------------------------------------------------------------
;+
; NAME:
;   seqavgdiffusion_plot ('sequence_average_diffusion_plot')
;
; PURPOSE:
;
; CATEGORY:
;
; CALLING SEQUENCE:
;   @seqavgdiffusion_plot
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   2008-08-11 Written by Bernd Freytag, CRAL-ENS Lyon
;-
;------------------------------------------------------------------------------

; === Manual selection ===========
if (not keyword_set(external_control)) then begin &$
  ; --- Choose device: 'x', 'ps', 'eps' ---
  dev='x' &$
  jpg_flag=0 &$
  png_flag=1 &$
  CMYK=0 &$
  ;
  ;
  ; --- Model ---
  ;model='mt09g50mm00n02' &$
  ;model='mt11g50mm00n05' &$
  ;model='mt12g50mm00n01' &$
  ;model='mt13g50mm00n01' &$
  ;model='mt13g50mm00n02' &$
  ;model='mt14g50mm00n02' &$
  ;model='mt15g50mm00n03' &$
  ;model='mt16g50mm00n06' &$
  ; --- not OK ---
  ;model='mt11g50mm00n03' &$
  ;model='mt17g50mm00n02' &$
  ;model='mt18g50mm00n07' &$
  ;model='mt19g50mm00n03' &$
  ;model='mt20g50mm00n05' &$
  model='mt22g50mm00n05' &$
  ;model='mt24g50mm00n01' &$
  ;
  ;BinFactor=1L &$
  BinFactor=20L &$
  ;sav_id='' &$
  id='' &$
  ;
  ;commentlist=['D', 'V!Drms!N*H!Dp!N', '0.5 * V!Drms!N!U2!N*time!Dac!N', $
  ;             '30 * V!Drms!N!U2!N*time!Dac!N*Ma', '25 * V!Drms!N!U2!N*time!DBV!N*Ma'] &$
  commentlist=['D', 'V!Drms!N*H!Dp!N', 'V!Drms!N!U2!N*time!Dac!N', $
               'V!Drms!N!U2!N*time!Dac!N*Ma', 'V!Drms!N!U2!N*time!DBV!N*Ma'] &$
  ;colorliststr='colorlist=replicate1([!ctv.black, !ctv.blue, !ctv.magenta, !ctv.red, !ctv.orange, !ctv.yellow, !ctv.green, !ctv.cyan, !ctv.gray],99)' &$
  colorliststr='colorlist=replicate1([!ctv.black, !ctv.blue, !ctv.green, !ctv.red, !ctv.orange, !ctv.yellow, !ctv.green, !ctv.cyan, !ctv.gray],99)' &$
  ;colorliststr='colorlist=[!P.COLOR, !ctv.green, !ctv.orange, !ctv.red, !ctv.magenta, !ctv.magenta, !ctv.blue, !ctv.gray]' &$
  ;colorliststr='colorlist=[!P.COLOR, !ctv.green, !ctv.yellow, !ctv.orange, !ctv.red, !ctv.magenta, !ctv.blue, !ctv.gray]' &$
  ;colorliststr='colorlist=[!P.COLOR, !ctv.green, !ctv.red, !ctv.blue, !ctv.magenta, !ctv.gray, !ctv.orange, !P.COLOR]' &$
  linestylelist=replicate1([0],99) &$
  ;linestylelist=[0,2,4,0,2,4,0,2] &$
  ;linestylelist=replicate1([0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,2,2,2,2,2,2,2,2,2],99) &$
  ;linestylelist=replicate1([0,0,0,5,5,5,3,3,3,2,2,2],99) &$
  ;thicklist=[2,2,2,2,1,1,1,1] &$
  thicklist=replicate1([2],99) &$
  ;thicklist=replicate1([3,2,1],99) &$
  ;thicklist=[2,2,2,2,2,2,2,2] &$
  ;thicklist=[4,4,4,4,2,2,2,2] &$
  ;
  ; --- Window size ---
  xsize=10.0 & ysize=7.0 & wfactor=1000L &$
  ;
  ; --- Quantity to plot: D, time ---
  qcommand='D' &$
  ; --- Plot data range ---
  qrange=[3.5,10.5] &$
  ;qrange=[0.0,9.0] &$
  ;
  ; --- x axis: log10_P ---
  xcommand='log10_P' &$
  ; --- Mode of x axis range determination: 'auto', 'set' (use xrange0) ---
  xrangemode='auto' &$
  ;xrange0=[6300.0,4900.0] &$
  ;xrange0=[800.0,2700.0] &$
  ;xrange0=[1.5784,1.5800] &$
  ;xrange0=[0.0,13.0] &$
  xtitle0='auto' &$
  ; --- Legend ---
  xali=0.0 &$
  ;xali=0.4 &$
  ;xali=0.92 &$
  ;xali=0.99 &$
  ;yali=-1.0 &$
  yali=0.00 &$
  ;yali=0.05 &$
  ;yali=0.97 &$
  ;
  overplot_flag=0 &$
  keepopen_flag=0 &$
  ;
endif 
; ================================

unitsystem='cgs'

; --- Load table with model data ---
rhdmodeldata, modeltable

; --- Find models in model table and extract averaging interval ---
im=(where(modeltable[*].model eq model))[0]
if (im ne -1) then begin &$
  mtime=modeltable[im].mmeanavg &$
  ntime=modeltable[im].nmeanavg &$
endif
print, model, mtime, ntime

; --- File names for plot output ---
file_id='seqavgdiffusion_' + model
jpg_file=file_id + '.jpg'
png_file=file_id + '.png'
if (strupcase(dev) eq 'EPS') then begin &$
  ps_file  =file_id + '.eps' &$
endif else begin &$
  ps_file  =file_id + '.ps' &$
endelse

; --- Save plot settings ---
if (not(overplot_flag)) then begin & Pbak=!P & Xbak=!X & Ybak=!Y & endif

; --- Choose color table ---
normct

; --- Prepare plotting device ---
if (not(overplot_flag)) then begin &$
  if (strupcase(dev) eq 'X') then begin &$
    set_plot, 'X' &$
    ;!P.CHARSIZE=1.4 &$
    !P.CHARSIZE=1.6 &$
    ;!P.CHARSIZE=1.8 &$
    !P.FONT=-1 &$
    win_id=0 &$
    window, win_id, xsize=xsize/10.0*wfactor, ysize=ysize/10.0*wfactor, retain=2 &$
  endif else begin & $
    set_plot, 'ps' & $
    !P.CHARSIZE=0.7 &$
    ;!P.CHARSIZE=1.0 &$
    ;!P.CHARSIZE=1.2 &$
    !P.FONT=0 &$
    device, filename=ps_file, $
            encapsulated=(strupcase(dev) eq 'EPS'), $
            /portrait, xsize=xsize, ysize=ysize,  xoffset=0.4, yoffset=0.4, /color, bits=8 &$
    modctv, 'PS' &$
  endelse &$
endif

; --- List of colors ---
dummy=execute(colorliststr)

; --- Set global plot parameters ---
!P.THICK=2
!P.SYMSIZE=1
;!X.MARGIN=[7,1] & !Y.MARGIN=[3,1]
!X.MARGIN=[9,1] & !Y.MARGIN=[4,2]
;!X.MARGIN=[11,1] & !Y.MARGIN=[4,1]
!P.COLOR=!ctv.black & !P.BACKGROUND=!ctv.white
;!X.STYLE=5     & !Y.STYLE=5

; --- Read sequence data ---
read_flag=(n_elements(seq) eq 0)
if (not read_flag) then read_flag=(seq.model ne model)
if (read_flag) then begin &$
;  file=model + '_seq' + sav_id +'.sav' &$
;  seq=0 &$
;  print, 'Restore data from `', file, '''' &$
;  restore, file &$
;  if (BinFactor gt 1) then seq=seqrebin(seq, BinFactor) &$
  seq=0 &$
  sav_id='_' + strtrim(string(BinFactor, format='(I9)'), 2) &$
  file=model + '_seq' + sav_id + '.sav' &$
  if ((BinFactor gt 1) and file_test(file)) then begin &$
    print, 'Restore data from ''', file, '''' &$
    restore, file &$
  endif else begin &$
    file=model + '_seq' + '.sav' &$
    print, 'Restore data from ''', file, '''' &$
    restore, file &$
    if (BinFactor gt 1) then begin &$
      seq=seqrebin(seq, BinFactor) &$
    endif &$
  endelse &$
endif

; --- Compute x axis ---
x=seqavg(xcommand, seq, mtime=mtime, ntime=ntime, unitsystem=unitsystem,$
                        qtitle=xtitle)

; --- Find x axis range and title ---
if (xrangemode eq 'auto') then begin &$
  xrange=[1.0E+38,-1.0e38] &$
  xrange[0]=min(x) &$
  xrange[1]=max(x) &$
  xrange[0]=xrange[0] -  5.0E-03*(xrange[1]-xrange[0]) &$
endif else begin &$
  xrange=xrange0 &$
endelse
if (xtitle0 ne 'auto') then begin &$
  xtitle=xtitle0 &$
endif

if (strlowcase(qcommand) eq 'time') then begin &$
  qtitle='log(t!DDiffusion!N/[s])' &$
endif else begin &$
  qtitle='log(D/[cm!U2!N/s])' &$
endelse

Hp=seqavg('hp'    , seq, mtime=mtime, ntime=ntime, unitsys=unitsystem)
LDiff=Hp

; === From vertical velocity ===

q=alog10(seqavg('v3rms' , seq, mtime=mtime, ntime=ntime, unitsys=unitsystem)* $
         Hp )
if (strlowcase(qcommand) eq 'time') then q=2.0*alog10(LDiff)-q
plotlines, x, q, $
  over=overplot_flag, $
  title=model, $
  xrange=xrange, xtitle=xtitle, $
  drange=qrange, ytitle=qtitle, $
  linecolor=[colorlist[1]], linestyle=linestylelist[1], thick=thicklist[1], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

q=alog10(seqavg('v3rms' , seq, mtime=mtime, ntime=ntime, unitsys=unitsystem)^2* $
         seqavg('timeac', seq, mtime=mtime, ntime=ntime, unitsys=unitsystem)* $
         1.0 )
if (strlowcase(qcommand) eq 'time') then q=2.0*alog10(LDiff)-q
plotlines, x, q, $
  /over, $
  linecolor=[colorlist[2]], linestyle=linestylelist[2], thick=thicklist[2], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

q=alog10(seqavg('v3rms' , seq, mtime=mtime, ntime=ntime, unitsys=unitsystem)^2* $
         seqavg('timeac', seq, mtime=mtime, ntime=ntime, unitsys=unitsystem)* $
         seqavg('ma3rms', seq, mtime=mtime, ntime=ntime, unitsys=unitsystem)* $
         1.0 )
if (strlowcase(qcommand) eq 'time') then q=2.0*alog10(LDiff)-q
plotlines, x, q, $
  /over, $
  linecolor=[colorlist[3]], linestyle=linestylelist[3], thick=thicklist[3], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

q=alog10(seqavg('v3rms' , seq, mtime=mtime, ntime=ntime, unitsys=unitsystem)^2* $
         seqavg('timebv', seq, mtime=mtime, ntime=ntime, unitsys=unitsystem)* $
         seqavg('ma3rms', seq, mtime=mtime, ntime=ntime, unitsys=unitsystem)* $
         1.0 )
if (strlowcase(qcommand) eq 'time') then q=2.0*alog10(LDiff)-q
plotlines, x, q, $
  /over, $
  linecolor=[colorlist[4]], linestyle=linestylelist[4], thick=thicklist[4], $
  dev=dev, /psnoinit, psformat='nochange', /noclose


; === Diffusion coefficient ===

; --- Compute diffusion coefficient ---
seqavgdiffusion, seq, D, mtime=mtime, ntime=ntime, quc001=quc001, quc002=quc002, rho=rho
T=seqavg('T' , seq, mtime=mtime, ntime=ntime, unitsys=unitsystem)

ind=where((D gt 1.0E+02) and (T lt 2000.0), nind)
if (nind gt 0) then begin &$
  q=alog10(D>1.0) &$
  for i=0L,nind-1L do begin &$
    ii=ind[i] &$
    if (strlowcase(qcommand) eq 'time') then q[ii]=2.0*alog10(LDiff[ii])-q[ii] &$
    plotlines, [x[ii]], [q[ii]], $
      /over, $
      psym=1, linecolor=[colorlist[0]], linestyle=linestylelist[0], thick=thicklist[0], $
      dev=dev, /psnoinit, psformat='nochange', /noclose &$
   endfor &$
endif

; === Legend ===
if (yali ge 0.0) then begin &$
  legend, commentlist, /nfromitems, $
          linestyle=linestylelist, $
          color=colorlist, $
          thick=thicklist, $
          psym=[1,0,0,0,0,0,0,0,0], $
          xali=xali, yali=yali, charsize=!P.CHARSIZE*1.0, box=0, margin=0.2, spacing=2, pspacing=2 &$
;          xali=xali, yali=yali, charsize=!P.CHARSIZE*0.8, box=0, margin=0.1, spacing=0.7, pspacing=2 &$
;          xali=xali, yali=yali, charsize=!P.CHARSIZE*0.85, box=0, margin=0.1, spacing=0.5, pspacing=2 &$
;          xali=xali, yali=yali, charsize=!P.CHARSIZE*0.85, box=0, margin=0.1, spacing=0.5, pspacing=1 &$
endif


; === Close device, save image ===
if (strupcase(dev) eq 'X') then begin &$
  if (png_flag) then begin &$
    write_png, png_file, tvrd(true=1) &$
  endif &$
  if (jpg_flag) then begin &$
    write_jpeg, jpg_file, tvrd(true=3), true=3 &$
  endif &$
endif else if (not keepopen_flag) then begin &$
  ; --- Close postscript device ---
  device, /close &$
  set_plot, 'X' &$
  modctv, 'X' &$
endif

; --- Reset global plot parameters ---
if (not keepopen_flag) then begin & !P=Pbak & !X=Xbak & !Y=Ybak & endif


; end ; seqavgdiffusion_plot
