function fufi_ind2str, n
;
;------------------------------------------------------------------------------
;+
; NAME:
;   FUFI_IND2STR (FUnction_FInd_INDex_to_STRing) 
;
; PURPOSE:
;   Convert index to two character string
;
; CATEGORY:
;   String manipulation
;
; CALLING SEQUENCE:
;   str=fufi_ind2str(n)
;
; INPUTS:
;   n - Input integer
;
; OUTPUTS:
;   None
;
; KEYWORDS:
;   None
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;   None
;
; SIDE EFFECTS:
;   None
;
; RESTRICTIONS:
;   None
;
; PROCEDURE:
;   Simple
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   7. 9.95 Written by Bernd Freytag, Astrophysik Kiel
;-
;------------------------------------------------------------------------------
;
; --- Error handling ---
on_error, 2
;
; --- Convert integer n into two character string nstr ---
if (n lt 0) then begin
  message, string(n) + ' is to small!'
endif else if (n le 9) then begin
  nstr='0'+string(n,format='(I1)')
endif else if (n le 99) then  begin
  nstr=    string(n,format='(I2)')
endif else begin
  message, string(n) + ' is to large!'
endelse
;
return, nstr
;
end ; fufi_ind2str
