; pro functionfind_start
;
;------------------------------------------------------------------------------
;+
; NAME:
;   functionfind_start
;
; PURPOSE:
;   Start functionfind with sample data
;
; CATEGORY:
;   Curve and Surface fitting
;
; CALLING SEQUENCE:
;   @functionfind_start
;
; INPUTS:
;   None
;
; OUTPUTS:
;   None
;
; KEYWORDS:
;   None
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;   functionfind - Procedure to find and fit a function to given data
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   22. 9.95 Written by Bernd Freytag, Astrophysik Kiel
;-
;------------------------------------------------------------------------------
;
; --- Produce sample axes and data ---
; --- 2D ---
;np=7 & x=fltarr(np+1,np+1,2)
;
;for i=0,np do for j=0,np do begin & x(i,j,0)=i/float(np) & x(i,j,1)=j/float(np) & endfor
;x(*)=randomu(seed,(np+1)^2*2)
;
;x=reform(x,(np+1)^2,2);
; --- 1D ---
x=findgen(21)/20
;
y=x^3
;y=x(*,0)^4+x(*,1)^4
;y=x(*,0)+exp(2*x(*,1))/4.0
;y=exp(-(6.0*(x(*,0)-0.5))^2-(4.0*(x(*,1)-0.5))^2)
;y=exp(-(6.0*(x(*,0)-0.4))^2)
;y=1.0/(1.0+x)
;y=exp(3*x)/30
;
; --- Titius Bode ---
;y=[0.387, 0.723, 1.00, 1.524, 2.767, 5.203, 9.539, 19.182, 30.057, 39.440]
;ndata=n_elements(y)
;x=findgen(ndata)/(ndata-1)
;w=1.0/y
;w(2)=8.0
;
; === Find fitting function ===
functionfind, x, y, $
  termmask=[[0,2]], npar=5, depth=4, nextramax=4, nextraran=4, $
  Fstropt=Fstropt1, PDERstropt=PDERstropt1, aopt=aopt1, $
    allowtermopt=allowtermopt1, varytermopt=varytermopt1
;
;allowtermopt1=[0,0,0,2,2]
;allowtermopt1=[0,0,0,2]
;varytermopt1=[1,1,0,1]
;
;functionfind, x, y, /print_init, $
;  termmask=[0], npar=8, depth=2, nextramax=4, nextraran=24, $
;  Fstrstart=Fstropt1, PDERstrstart=PDERstropt1, astart=aopt1, $
;    allowtermstart=allowtermopt1, varytermstart=varytermopt1, $
;  Fstropt=Fstropt, PDERstropt=PDERstropt, aopt=aopt, $
;    allowtermopt=allowtermopt, varytermopt=varytermopt
;
funct_string, x, aopt1, f
;
; end ; functionfind_start
