; --- Choose opacity source --
;filepath='/Users/bfreytag/dat/opa/'
;file_id='Rainout-2007.AGS' & file_dir=file_id + '.wlopactable.outputs'
;file_id='Rainout-2007.GN' & file_dir=file_id + '.wlopactable.outputs'
;file_id='Cond-2007.GN' & file_dir=file_id + '.wlopactable.outputs'
;abupath='/Users/bfreytag/dat/atm/phoenix/'
;abufile='phoenix_' + file_id + '.abu'
;
filepath='/Users/bfreytag/dat/opa/OPACITIES/'
;file_id='z-0.0a+0.0.BT-dusty-2011.agss.wlopactable' & file_dir=file_id + '.outputs'
file_id='z-0.0a+0.0.BT-dusty-2011.agss.wlopactablo' & file_dir=file_id + '.outputs'
;file_id='z-0.0a+0.0.BT-dusty-2011.agss.wlopactestg' & file_dir=file_id + '.outputs'
;file_id='z-0.0a+0.0.BT-dusty-2011.agss.wlopactestl' & file_dir=file_id + '.outputs'
abupath=filepath
; --- Input ---
;filespec=filepath + file_dir + '/fort.73.000??'
filespec=filepath + file_dir + '/fort.73.0000?'
abufile=file_id + '.abu'

; --- Output ---
msopta_file='phoenix_' + file_id + '_opacities.dat'
save_file='phoenix_' + file_id + '_opacities.sav'

; --- Read opacity kappa from list of files ---
phoenix_opac_rdall, filespec, logp, logt, wl, wt, kappa
help, logp, logt, wl, wt, kappa

;plotlines,alog10(wl),transpose(reform(alog10(kappa[30,*,*])))

; --- Read abundance file ---
if (abufile ne '') then begin &$
  ; --- Read input file as one array and transform to float "brute force" ---
  rdarray, abupath + abufile, a &$
  elementcode_raw=transpose(a[1:*:5,1:*]) &$
  indelement=where(elementcode_raw ne 0.0, n_abundance) &$
  if (n_abundance gt 0) then begin &$
    elementcode=round(elementcode_raw[indelement]/100.0) &$
    abundance_raw=transpose(a[2:*:5,1:*]) &$
    abundance=abundance_raw[indelement] &$
   endif &$
endif else begin &$
  n_abundance=0L &$
  elementcode=[0] &$
  abundance=0.0 &$
endelse
help, elementcode, abundance

;stop

; --- Save wavelengths in ASCII file ---
;get_lun, nc
;openw, nc, 'phoenix_wl.txt'
;printf, nc, wl, format='(E12.5)'
;close, nc
;free_lun, nc

; --- Save data in IDL format ---
save, file=save_file, filespec, elementcode, abundance, logp, logt, wl, wt, kappa
;restore, save_file, /verbose

; --- Save data in Fortran binary format ---
infoarr=[ $
  'PHOENIX opacity tables', $
  file_dir, $
  'Fortran unformatted binary data (single/double precision real, little endian)', $
  'Processed by phoenix_opac_extract.pro: ' + systime(0), $
  '  log10(pressure/[dyn/cm^2])', $
  '  log10(temperature/[K])', $
  '  wavelength/[Aangstroem]', $
  '  integration weight', $
  '  opacity/[cm^2/g]: n_wavelength 2D arrays with dim. n_pressure x n_temperature']
pad=string(' ',format='(A80)')
version_number=2L

typeInt=size(0L, /type)
;typeReal=size(0.0E+00, /type)

get_lun, nc
openw, nc, msopta_file, /f77_unformatted, /swap_if_big_endian
writeu, nc, strmid('PHOENIX opacity tables'+pad,0,80)
writeu, nc, fix(version_number, type=typeInt)
writeu, nc, fix(n_elements(infoarr), type=typeInt)
writeu, nc, strmid(infoarr+pad,0,80)
writeu, nc, n_abundance
if (n_abundance gt 0) then begin &$
  writeu, nc, elementcode &$
  writeu, nc, abundance &$
endif
writeu, nc, fix(n_elements(logp), type=typeInt), $
            fix(n_elements(logt), type=typeInt), $
            fix(n_elements(wl  ), type=typeInt)
writeu, nc, double(logp)
writeu, nc, double(logt)
writeu, nc, double(wl)
writeu, nc, double(wt)
for iwl=0L,n_elements(wl)-1L do begin &$
  if ((iwl/1000L)*1000L eq iwl) then print, iwl, ' /', n_elements(wl) &$
  writeu, nc, kappa[*,*,iwl] &$
endfor

close, nc
free_lun, nc

;rdarray,'Mg2SiO4.table.PER_GRAIN.extinc_edited',a
;kappa=a[1:*,1:*] & lambda=reform(a[1:*,0]) & r=reform(a[0,1:*]) & help, kappa,lambda,r
