pro rd_opac_out,name,atmosphere_structure,opacity_structure, $
out=out, radout=radout, istructure=istructure
;-------------------------------------------------------------
;read phoenix opac_out=1 ascii opacity 
;output together with structure information

;/out for out-files ignoring opacity data
;/radout for out-files without convection data 
;istructure: index of structure data set

; this is the structure that will contain
; the data:

if not keyword_set(istructure) then istructure=1

layer = 50
atmosphere_structure = { $
                              tstd: fltarr(layer),$
                              temp: fltarr(layer),$
                              pgas: fltarr(layer),$
                                pe: fltarr(layer),$
                           density: fltarr(layer),$
                                mu: fltarr(layer),$
                            radius: fltarr(layer),$
                              kapq: fltarr(layer),$
                                Hp: fltarr(layer),$
                               gam: fltarr(layer),$
                             vconv: fltarr(layer),$
                            vsound: fltarr(layer),$
                               Elh: fltarr(layer),$
                              qmue: fltarr(layer),$
                                cp: fltarr(layer),$
                           radflag: fltarr(layer),$
                            stgrad: fltarr(layer),$
                            adgrad: fltarr(layer)$
 		      }


cdummy = ' '

print,'reading file: ',name
;spawn,string("gunzip -c "+name+" >./rdyng_tmp || \rm ./rdyng_tmp"),ierr
;close,1
;openr, 1,"./rdyng_tmp"

openr, 1, name, /compress

; find the structure start
for iout=0,istructure-1 do begin
  while(strpos(cdummy,'phoenix: saving structure') eq -1) do readf,1,cdummy
  print,"found structure ", iout+1
  cdummy = ' '
endfor
; continue to read until output header is found 
while(strpos(cdummy,'tstd temperature') eq -1) do readf,1,cdummy

c1 = fltarr(10)
for i=0,layer-1 do begin
 readf,1,c1
    atmosphere_structure.tstd(i) = c1(01)
    atmosphere_structure.temp(i) = c1(02)
      atmosphere_structure.pe(i) = c1(04)
      atmosphere_structure.mu(i) = c1(06)
  atmosphere_structure.radius(i) = c1(07)
    atmosphere_structure.kapq(i) = c1(09)
endfor
readf,1,cdummy
readf,1,cdummy

if keyword_set(radout) then begin
  c1 = fltarr(4)
  for i=0,layer-1 do begin
    readf,1,c1
    atmosphere_structure.pgas(i) = c1(03)
  endfor
  goto, l666
endif else begin
  for i=0,layer-1 do readf,1,cdummy
endelse

readf,1,cdummy
readf,1,cdummy
print,cdummy
c1 = fltarr(15)
for i=0,layer-1 do begin
 readf,1,c1
     atmosphere_structure.gam(i) = c1(08)
   atmosphere_structure.vconv(i) = c1(09)
  atmosphere_structure.vsound(i) = c1(10)
     atmosphere_structure.Elh(i) = c1(11)
    atmosphere_structure.qmue(i) = c1(12)
      atmosphere_structure.cp(i) = c1(13)
 atmosphere_structure.radflag(i) = c1(14)
endfor

readf,1,cdummy
readf,1,cdummy
c1 = fltarr(10)
for i=0,layer-1 do begin
 readf,1,c1,format='(1x,i4,9e12)'
    atmosphere_structure.tstd(i) = c1(01)
    atmosphere_structure.pgas(i) = c1(04)
 atmosphere_structure.density(i) = c1(05)
      atmosphere_structure.Hp(i) = c1(07)
  atmosphere_structure.stgrad(i) = c1(08)
  atmosphere_structure.adgrad(i) = c1(09)
endfor

if keyword_set(out) then goto, l666

; find the number of wavelength points
while(strpos(cdummy,'Lagrangian frame lambda points including lines: ncm=') eq -1) do readf,1,cdummy
print,"found starting ncm"
reads,cdummy,ncm,format="(53x,i)"
ncm = fix(ncm) - 1L
print,"number of wavelengths points:",ncm+1
opacity_structure = replicate({ $
                                 w: 0.0d0,$
                            capcnt: fltarr(layer),$
                            sigcnt: fltarr(layer),$
                           capjola: fltarr(layer),$
                           caplinv: fltarr(layer),$
                           siglinv: fltarr(layer),$
                           capling: fltarr(layer),$
                           sigling: fltarr(layer),$
                           caplmlv: fltarr(layer),$
                           siglmlv: fltarr(layer),$
                           caplmlg: fltarr(layer),$
                           siglmlg: fltarr(layer),$
                           capnlte: fltarr(layer)$
                                                      }, ncm+1)

; find the top of the opacity output 
while(strpos(cdummy,'lambda  lg(h)') eq -1) do readf,1,cdummy
print,"found starting point"

c1 = fltarr(layer)
;on_ioerror, l666
for i=0L,ncm do begin
 readf,1,wl
 opacity_structure[i].w = wl
 print,wl
 for j=1,12 do begin
  readf,1,format='(1x,a,/,10(10e10.3,/))',cdummy,c1
  opacity_structure[i].(j) = c1
;  print,cdummy
;  print,c1
 endfor
endfor

l666:

close,1
;spawn,string("\rm rdyng_tmp"),ierr

end
