; pro RDF15LISTSTART
;
;+
; NAME:
;   RDF15LISTSTART
;
; PURPOSE:
;   Start the routine RDF15LIST with appropriate parameters.
;
; CALLING SEQUENCE:
;   @RDF15LISTSTART
;
; CATEGORY:
;   Input/Output
;
; SIDE EFFECTS:
;   A lot
;
; MODIFICATION HISTORY:
;   14.10.93 Written by Bernd Freytag, Astrophysik Kiel
;   Lots of times modified
;-
;
; --- Define model name ---
; --- A stars ---
;model='at70g44n2'
;model='at75g44n5'
;model='at80g44n7'
;model='at85g44n03'
;model='at85g44n04'
;model='at90g44n4'
;; --- G stars ---
;model='gt45g29n2'
;model='gt45g44n2'
;model='gt57g44n1'
;model='gt66g44n1'
model='gt70g44n2'
;model='L70D01'
;model='L70D04'
;model='ACEN05'
;model='L70D08'
;model='L70D09'
;model='L71D02'
;model='L71D05'
; --- ZZ Ceti ---
;model='zt118g80n1'
;model='zt118g80n2'
;model='zt118g80n3'
;model='zt118g80n4'
;model='zt118g80n5'
;model='zt120g80n1'
;model='zt120g80n2'
;model='zt120g80n3'
;model='zt120g80n4'
;model='zt122g77n1'
;model='zt122g80n1'
;model='zt122g83n1'
;model='zt122g83n2'
;model='zt122g80n2'
;model='zt126g80n1'
;model='zt126g80n2'
;model='zt126g80n3'
;model='zt130g80n2'
;model='zt130g80n3'
;model='zt134g80n1'
;model='zt138g80n1'
;model='zt142g80n1'
;
; --- Define directory for input data ---
;disk='/videotmp/supas024/idl/'
disk='/astrotmp_week2/supas024/d' + model + '/'
;disk='/astrotmp_week2/supas024/'
;disk=''
; --- Define directory for output data ---
;diskout='/astrotmp_month/supas024/'
diskout=disk
;
; --- Define path and model numbers ---
;listname='bak/' + model + '*.f15*'
;listname=disk + model + '*.f15'
listname=disk + model + '*.f15*'
;listname='/home/venus/supas048/f15D05/f15_'+model+'_*'
;listname='/home/venus/supas048/f15b/f15_'+model+'_*'
;
; --- Open channels ---
get_lun, ncuu
get_lun, ncvv
get_lun, ncpp
get_lun, nctt
get_lun, ncdd
openw, ncuu, diskout+model+'_u_a.dat'
openw, ncvv, diskout+model+'_v_a.dat'
openw, ncpp, diskout+model+'_p_a.dat'
openw, nctt, diskout+model+'_t_a.dat'
openw, ncdd, diskout+model+'_d_a.dat'
;
; --- Read list of f15 files ---
RDF15LIST, listname, uu, vv, pp, tt, dd, ktimearr, time1arr, r, z, $
  ncuu=ncuu, ncvv=ncvv, ncpp=ncpp, nctt=nctt, ncdd=ncdd, $
  ndatamax=475
;
; --- Save geometrical data into separate file ---
print, 'Save ktrz'
;save, /verbose, ktimearr,time1arr,r,z,filename=model+'_ktrz.dat'
save, /verbose, ktimearr,time1arr,r,z,filename=diskout+model+'_ktrz.dat'
;
;print, 'Save uu'
;save, /verbose, uu,ktimearr,time1arr,r,z,filename=model+'_uktrz.dat'
;print, 'Save vv'
;save, /verbose, vv,ktimearr,time1arr,r,z,filename=model+'_vktrz.dat'
;print, 'Save tt'
;save, /verbose, tt,ktimearr,time1arr,r,z,filename=model+'_tktrz.dat'
;print, 'Save pp'
;save, /verbose, pp,ktimearr,time1arr,r,z,filename=model+'_pktrz.dat'
;print, 'Save dd'
;save, /verbose, dd,ktimearr,time1arr,r,z,filename=model+'_dktrz.dat'
;
help
help, /file
;
; end ; RDF15LISTSTART
