pro rdvsolj, filename, table, star, date, julianday, magnitude, observer
;
;------------------------------------------------------------------------------
;+
; NAME:
;   rdvsolj ('read_variable_star_net')
;
; PURPOSE:
;   Read files with VSNET data
;
; CATEGORY:
;   I/O
;
; CALLING SEQUENCE:
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;    2. 4.01 Written by Bernd Freytag, Astronomical Observatory Uppsala
;-
;------------------------------------------------------------------------------
;
; --- Read table into string array s ---
rdarray, filename, a, s, /notransform
;
; --- Number of lines in table ---
table=s
n=n_elements(s(*,0))
;
star    =s(*,0)
;
observer=s(*,3)
;
d=s(*,1)
date=double(d)
julianday=julday(fix(strmid(d,4,2)), fix(strmid(d,6,2)), fix(strmid(d,0,4)), 0, 0, 0) + $
          float(strmid(d,7,4))
;
m=s(*,2)
magnitude=replicate(-200.0,n)
ind=where(strpos(m,':') ne -1, count)
if (count gt 0) then begin
;  m(ind)=strmid(m(ind), 0, strpos(m(ind),':'))
  for i=0,count-1 do begin
    m(i)=strmid(m(i), 0, strpos(m(i),':'))
  endfor
endif
ind=where(strpos(m,'.') ne -1, count)
if (count gt 0) then begin
  magnitude(ind)=float(m(ind))
endif
ind=where(strpos(m,'.') eq -1, count)
if (count gt 0) then begin
  magnitude(ind)=float(fix(m(ind)))*0.1
endif
;
end ; rdvsolj
