function plotfield_sqrtticks, axis, index, value
;------------------------------------------------------------------------------
;+
; NAME:
;   plotfield_sqrtticks ('plotfield_square_root_ticks')
;
; PURPOSE:
;   Provide custom axis tickformat.
;
; CATEGORY:
;   Plotting
;
; CALLING SEQUENCE:
;   !X.TICKFORMAT='plotfield_sqrtticks'
;
; INPUT:
;   axis:  ('axis') axis index
;   index: ('index') tick index
;   value: ('value') tick value
;
; RETURN VALUE:
;   result: string with tick label
;
; KEYWORDS:
;   None
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;   See the IDL documentation about 'TICKFORMAT'
;
; EXAMPLE:
;   l_axis=sqrt(l_axis)
;   f_axis=sqrt(f_axis)
;   !X.TICKFORMAT='plotfield_sqrtticks'
;   !Y.TICKFORMAT='plotfield_sqrtticks'
;   
;   plotfield, l_axis, f_axis, p
;
; MODIFICATION HISTORY:
;   2005-09-15 Written by Bernd Freytag, L.A.
;-
;------------------------------------------------------------------------------

tickstr=string(value^2, format='(G0)')

if (strmid(tickstr, 0, 2) eq '0.') then tickstr=strmid(tickstr, 1)

return, tickstr

end ; plotfield_sqrtticks
