pro quasirandom_1dmeasure, nalpha=nalpha, nIter=nIter, $
  alphaAr=alphaAr, P0=P0, PSort=PSort, P1=P1, dP1Min=dP1Min, dP1Max=dP1Max, $
  DRelMin=DRelMin, DRelMax=DRelMax, DRelMean2=DRelMean2, DRelDrms=DRelDrms
;---------------------------------------------------------------------------------------------------
;+
; NAME:
;   quasirandom_1dmeasure ('quasi-random_1_dimension_measure')
;
; PURPOSE:
;   
;
; CATEGORY:
;   
;
; CALLING SEQUENCE:
;
; INPUT:
;
; OUTPUT:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;   None
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   2016-03-27 (B.F. Uppsala) First version
;-
;---------------------------------------------------------------------------------------------------

; --- Set compiler options ---
compile_opt defint32, strictarr

; --- Store start time ---
time0=systime(1)

; --- Handle default values for keywords ---
alphaMin=1.0/float(nalpha)
alphaMax=0.5
;alphaMin=0.38
;alphaMax=0.42
;alphaMin=0.381
;alphaMax=0.383

;nPick=500 < (nIter-3)
;nPick=(nIter-3)
;nPick=1
;NumPick=long(findgen(nPick)/float(nPick-1)*float(nIter-4)+3.0) > 3
;NumPick[-1]=nIter
NumPick=fltarr(nIter)
iNumPick=2.0
PickFac =0.1
iPick   =0
while (iNumPick lt nIter) do begin
  dPick         =(iNumPick*PickFac) > 1.0
  NumPick[iPick]=iNumPick
  iNumPick      =iNumPick+dPick
  iPick         =iPick+1
endwhile
if (long(NumPick[iPick-1]) ne nIter) then begin
  ; --- The last picked sorting set does not comprise all iterations: add it ---
  NumPick[iPick]=float(nIter)
  iPick=iPick+1
endif
nPick=iPick
NumPick=long(NumPick[0:nPick-1])
print, NumPick

; --- Create working arrays ---
alphaAr=findgen(nalpha)/float(nalpha-1) * (alphaMax-alphaMin) + alphaMin
P0     =fltarr(nAlpha, nIter)

for iIter=1,nIter-1 do begin
  P0[*,iIter]=(P0[*,iIter-1]+alphaAr) mod 1.0
endfor ; iIter

DRelMin  =fltarr(nalpha, nPick)
DRelMax  =fltarr(nalpha, nPick)
DRelMean2=fltarr(nalpha, nPick)
DRelDrms =fltarr(nalpha, nPick)

for iPick=0,nPick-1 do begin
  if (((iPick mod 10) eq 0) or (iPick eq (nPick-1))) then print, iPick, ' /', nPick, NumPick[iPick], systime(1)-time0
  ;
  PSort=P0[*,0:NumPick[iPick]-1]
  for ialpha=0,nalpha-1 do begin
    Ind=sort(Psort[ialpha, *])
    Psort[ialpha, *]=Psort[ialpha, Ind]
  endfor ; ialpha
  ;
  P1=[[PSort], [replicate(1.0, nalpha)]]
  ;
  dP1=(P1[*,1:-1]-P1[*,0:-2])
  ;
  dP1Min  =min( dP1                          , dimension=2, max=dP1Max)
  dP1Mean2=mean(dP1^2                        , dimension=2)
  dP1Drms =mean((dP1-1.0/(float(NumPick[iPick]+1)))^2, dimension=2)
  ;
;  DRelMin  =DRelMin < (dP1Min * float(NumPick[iPick]))
;  DRelMax  =DRelMax > (dP1Max * float(NumPick[iPick]))
  DRelMin  =DRelMin   + (dP1Min   * float(NumPick[iPick])  )
  DRelMax  =DRelMax   + (dP1Max   * float(NumPick[iPick])  )
  DRelMean2=DRelMean2 + (dP1Mean2 * float(NumPick[iPick])^2)
  DRelDrms =DRelDrms  + (dP1Drms  * float(NumPick[iPick])^2)
endfor ; iPick

DRelMin  =     DRelMin  /float(nPick)
DRelMax  =     DRelMax  /float(nPick)
DRelMean2=sqrt(DRelMean2/float(nPick))
DRelDrms =sqrt(DRelDrms /float(nPick))

end ; quasirandom_1dmeasure

