pro rhd_area_data, ful, area, i, $
      tauharm_limit, T_limit
;
;------------------------------------------------------------------------------
;+
; NAME:
;   rhd_area_data ('radiation_hydrodynamics_area_data')
;
; PURPOSE:
;   Collect data from full file.
;
; CATEGORY;
;   RHD, data handling
;
; CALLING SEQUENCE:
;   rhd_area_data()
;
; INPUT:
;
; OUTPUT:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;    9.10.03 Written by Bernd Freytag, Astronomical Observatory Uppsala
;-
;------------------------------------------------------------------------------
;
nxc1=n_elements(ful.z.xc1)
nxc2=n_elements(ful.z.xc2)
nxc3=n_elements(ful.z.xc3)
;
area.itime(i)=ful.z.itime
area.time(i) =ful.z.time
area.itime_last=ful.z.itime
;
dtau=combox('dtau1',ful)
;
area.tau1(*,*,i)=total(dtau,1)
area.tau2(*,*,i)=total(dtau,2)
area.tau3(*,*,i)=total(dtau,3)
;
dtau=0
tauharm=combox('tauharm',ful)
mask=tauharm ge tauharm_limit
;
area.n_ge_tauharm_limit(i)=total(mask)
area.n_ge_tauharm_0100(i) =total(tauharm ge 0.1)
area.n_ge_tauharm_0666(i) =total(tauharm ge 0.66666666)
area.n_ge_tauharm_1000(i) =total(tauharm ge 1.0)
area.n_ge_tauharm_2000(i) =total(tauharm ge 2.0)
area.masktauharm1(*,*,i)  =total(mask,1)
area.masktauharm2(*,*,i)  =total(mask,2)
area.masktauharm3(*,*,i)  =total(mask,3)
;
tauharm=0
T=combox('T',ful)
mask=T ge T_limit
;
area.n_ge_T_limit(i)=total(mask)
area.n_ge_T_3500(i) =total(T ge 3500.0)
area.n_ge_T_4000(i) =total(T ge 4000.0)
area.n_ge_T_5000(i) =total(T ge 5000.0)
area.n_ge_T_6000(i) =total(T ge 6000.0)
area.maskT1(*,*,i)  =total(mask,1)
area.maskT2(*,*,i)  =total(mask,2)
area.maskT3(*,*,i)  =total(mask,3)
;
end ; rhd_area_data
