; pro jpgmerge
;
;------------------------------------------------------------------------------
;+
; NAME:
;   jpgmerge ('jpeg_merge')
;
; PURPOSE:
;   Merge the jpeg files of two lists.
;
; CATEGORY;
;   image processing
;
; CALLING SEQUENCE:
;   @jpgmerge
;
; INPUT:
;   None
;
; OUTPUT:
;   None
;
; KEYWORDS:
;   None
;
; COMMON BLOCKS:
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   2013-08-29 (B.F. Lyon) Written
;-
;------------------------------------------------------------------------------

;Model='st22g35n06'
;Model='st22g35n07'
Model='st22g35n08'

qId1='s'
qId2='qucallm1orho'
qIdout=qId1 + '-' + qId2

iFileFirst=0L
iFileLast =5000

InputPath=getenv('HOME') + '/idlwrk_movie/d' + model + '/'
;InputPath='/Volumes/d2/idlwrk_movie/d' + model + '/'
;OutputPath='tmp/'
OutputPath=InputPath

nDigits=5


;ModelDisk=getenv('HOME') + '/dat/rhd/d' + model + '/'

;; --- Read parameter file ---
;par=uio_struct_rd(ModelDisk + model + parModelIdent + '.par', ReadMetaData=ReadMetaData_flag, outstr=outstr, ierr=ierr)
;if (ierr gt 0) then begin &$
;  message, 'Error reading parameter file: ' + outstr &$
;endif

systime0=systime(1)

Exist_flag=0
iFile=iFileFirst
repeat begin &$
  ; --- Construct counter string ---
  str_iFile='000000000' + strtrim(string(iFile),2) &$
  str_iFile=strmid(str_iFile, strlen(str_iFile)-nDigits, nDigits) &$
  ;
  Img1_File=Inputpath + Model + '_' + qId1 + '_' + str_iFile + '.jpg' &$
  ;print, Img1_File &$
  Img2_File=Inputpath + Model + '_' + qId2 + '_' + str_iFile + '.jpg' &$
  ;print, Img2_File &$
  ImgOut_File=Outputpath + Model + '_' + qIdOut + '_' + str_iFile + '.jpg' &$
  print, ImgOut_File &$
  ;
  Exist_flag=(               file_test(Img1_File)) &$
  Exist_flag=(Exist_flag and file_test(Img2_File)) &$
  ;
  if (Exist_flag) then begin &$
    ; --- Read image files ---
    read_jpeg, Img1_File, Img1, true=3 &$
    read_jpeg, Img2_File, Img2, true=3 &$
    ;
    if (iFile eq iFileFirst) then begin &$
      ; --- This is the first iteration: construct the mask ---
      nx11=n_elements(Img1[*,0,0]) &$
      nx12=n_elements(Img1[0,*,0]) &$
      ;
      r   =shift(dist(nx11), nx11/2, nx11/2) &$
      Mask=exp(-((r/(float(nx11)*0.37))^32 < 20.0)) &$
      Mask=transpose([Mask, fltarr(nx12-nx11,nx11)]) &$
      Mask=rebin(reform(Mask, nx11,nx12,1), nx11,nx12,3) &$
    endif &$
    ;
    ImgOut=fix(Mask*float(Img1) + (1.0-Mask)*float(Img2)) &$
    ;
    write_jpeg, ImgOut_File, ImgOut, quality=90, true=3 &$
    ;
    iFile=iFile+1L &$
  endif &$
endrep until ((iFile gt iFileLast) or (not Exist_flag))

print, 'Total time: ', systime(1)-systime0, ' sec'

; end ; jpgmerge
