; script mdopta_start
;
;------------------------------------------------------------------------------
;+
; NAME:
;   mdopta_start ('modify_opacity_table_start')
;
; PURPOSE:
;   Modify opacity table
;
; CATEGORY:
;   opacities
;
; CALLING SEQUENCE:
;   @mdopta_start
;
; INPUT:
;
; OUTPUT:
;
; KEYWORDS:
;   None
;
; COMMON BLOCKS:
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   2009-10-21 (B.F. Garching)
;-
;------------------------------------------------------------------------------

opadisk    =getenv('HOME') + '/for/opa/dat'


;opa0File     ='t3600g000mm00_marcs_opal.opta'
;opaOutName   ='t3600g000mm00_marcs_opal_m01'
;opaOutComment='Modification of ' + opa0File
;Tpoints      =[0.0 , 1500.0, 2100.0, 4000.0, 5500.0, 1e5, 1e6]
;Wpoints      =[0.05, 0.05  , 0.2   , 0.2   , 0.0   , 0.0, 0.0]

;opa0File     ='t3600g000mm00_marcs_opal.opta'
;opaOutName   ='t3600g000mm00_marcs_opal_m02'
;opaOutComment='Mod. of t3600g000mm00_marcs_opal: grey Ross. opac. in all bands'
;Tpoints      =[0.0 , 1e4, 1e5, 1e6]
;Wpoints      =[0.0 , 0.0, 0.0, 0.0]

opa0File     ='t3600g000mm00_marcs_opal.opta'
opaOutName   ='t3600g000mm00_marcs_opal_m03'
opaOutComment='Modification of ' + opa0File
Ppoints      =[1.0E-8, 1.0E-4, 2.5E-4, 5e-4, 1e-3, 2e-3, 5.0E-3, 1.0E4, 1.0E16]
Wpoints      =[0.2   , 0.2   , 0.2   , 0.3 , 0.6 , 0.9 , 1.0   , 1.0  , 1.0   ]


rdopta, opadisk + '/' + opa0File, opa0

if (keyword_set(Tpoints)) then begin &$
  logTpoints=alog10(Tpoints > 1.0) &$
  Tmask=monocubic(Wpoints, logTpoints, opa0.tabT) &$
  plotlines,10.0^opa0.tabT,Tmask,xrange=[500,1e4],psym=-1 &$
  ;
  opaOut=mdopta(opa0, Name=opaOutName, Comment=opaOutComment, Tpoints=Tpoints, Wpoints=Wpoints) &$
endif else begin &$
;  logPpoints=alog10(Ppoints > 1.0E-10) &$
;  Pmask=monocubic(Wpoints, logPpoints, opa0.tabP) &$
;  plotlines,opa0.tabP,Pmask,psym=-1 &$
  ;
  opaOut=mdopta(opa0, Name=opaOutName, Comment=opaOutComment, Ppoints=Ppoints, Wpoints=Wpoints) &$
endelse

opaOutFile=opaOutName + '.opta'
wropta, opaOutFile, opaOut, mode=1
