; MODIFICATION HISTORY:
;   2015-09-01 (B.F. Uppsala) First version
;   2016-04-08 (B.F.) Make output size more flexible


; --- Choose output device (x, ps, eps) ---
dev='x'

; --- Choose name of files to read (probably using placeholders) ---
;ModelNames='t2800gm050mm00_coma_oc_rp_b*_2015082{1161455,1162847,1164900,1172750,1181614,1193211,1212211,2000057,2054501,2150534,3011745}.sav'
;ModelNames='t2800gm050mm00_coma_paola_oc?{rp,iumid0rp}_b*_n02.sav'
ModelNames='t2800gm050mm00_coma_paola_oc?{r,rp,iumid0rp}_b*_n02.sav'


FileList=file_search(ModelNames)
nFile   =n_elements(FileList)

if (not keyword_set(rp)) then begin &$
  for iFile=0, nFile-1 do begin &$
    print, iFile, ' restore ', FileList[iFile] &$
    res=0 &$
    restore, FileList[iFile] &$
    if (iFile eq 0) then begin &$
      ra=replicate(res.All   , nFile) &$
      rm=replicate(res.Atm   , nFile) &$
      rg=replicate(res.Grey  , nFile) &$
      rp=replicate(res.Par   , nFile) &$
      rs=replicate(res.Status, nFile) &$
      ddii=fltarr(n_elements(res.Cluster.ddiintTdnu), nFile) &$
    endif else begin &$
      ra[iFile]=res.All &$
      rm[iFile]=res.Atm &$
      rg[iFile]=res.Grey &$
      rpi=rp[0] &$
      copy_struct, res.Par, rpi, except_tags=['nitercontrol'] &$
      rp[iFile]=rpi &$
      rs[iFile]=res.Status &$
    endelse &$
    ddii[*, iFile]=res.Cluster.ddiintTdnu &$
  endfor &$ ; iFile
endif


; --- Save global plot parameters ---
Pbak=!P & Xbak=!X & Ybak=!Y

; === Set plot parameters ==========================================================================

; --- Construct file name(s) for plot output ---
;ps_file='opac_cluster_ploterror.' + strlowcase(dev)
ps_file='opac_cluster_ploterror_t2800gm050mm00_coma_paola.' + strlowcase(dev)

; --- Set multi-plot parameters ---
!X.MARGIN=[7,1]
!Y.MARGIN=[4,1]
!P.THICK=2
;!P.MULTI=[0,1,2,0,0] & xsize=20.0 & ysize=29.0
!P.MULTI=[0,2,1,0,0] & xsize=18.0 & ysize=6.6

; --- Choose color table ---
normct

; --- Prepare plotting device ---
if (strupcase(dev) eq 'X') then begin &$
  set_plot, 'X' &$
  !P.FONT=-1 &$
endif else begin &$ ; (dev)
  set_plot, 'PS' &$
  !P.FONT=0 &$
  if (total(!P.MULTI) ge 4) then begin &$
    !P.CHARSIZE=1.4 &$
  endif else begin &$
    !P.CHARSIZE=0.7 &$
   endelse &$
  !P.SYMSIZE=1 &$
  device, filename=ps_file, $
          encapsulated=(strupcase(dev) eq 'EPS'), $
          /portrait, xsize=xsize, ysize=ysize, xoffset=0.4, yoffset=0.4, /color &$
  modctv, 'PS' &$
  !P.BACKGROUND=!ctv.white &$
  !P.COLOR     =!ctv.black &$
endelse ; (dev)

help, /str, !P

psymList =replicate(1       , nFile)
ColorList=replicate(!P.color, nFile)
for iFile=0, nFile-1 do begin &$
  if (strlowcase(rp[iFile].ModeMean) eq 'r'    ) then ColorList[iFile]=!ctv.red   &$
  if (strlowcase(rp[iFile].ModeMean) eq 'iumid') then ColorList[iFile]=!ctv.green &$
  if (strlowcase(rs[iFile].nIter   ) le 1      ) then psymList[ iFile]=4 &$
endfor ; iFile

;ind=sort(rp.kCluster)
;lc0=[!P.COLOR, !ctv.yellow, !ctv.orange, !ctv.red, !ctv.magenta, !ctv.blue, !ctv.cyan, !ctv.green, !ctv.gray]
;lcv=replicate1(lc0, nFile)
;lc =lcv
;lc[ind]=lcv

;plotlines, transpose(alog10(rp[*].kcluster)), transpose(alog10(rs[*].diitotal)), xrange=[-0.1, 1.7], psym=1, linecolor=lc

;plotlines, (abs(ddii/rm.wei) > 1e4)^(-0.6) * (ddii/rm.wei), linecolor=lc

;e=total((ddii/rm.wei)^2,1)
;e=e/max(e)
;plotlines, transpose(alog10(rp[*].kcluster)), transpose(alog10(e)), $
;  xrange=[-0.1, 1.7], xtitle='log(k!DCluster!N)', ytitle='log(error)', $
;  drange=[min(alog10(e))-0.2, max(alog10(e))+0.2], $
;  psym=1, linecolor=lc

e=rs[*].diitotal
e=e/max(e)
plotlines, transpose(alog10(rp[*].kcluster)), transpose(alog10(e)), $
  xrange=[-0.1, 1.8], xtitle='log(k!DCluster!N)', ytitle='log(sum of errors)', $
  drange=[-6.4,0.2], $
  psym=psymList, linecolor=ColorList, $
  dev=dev, /psnoinit, psformat='nochange', /noclose

Ind    =where((strlowcase(rp[*].ModeMean) eq 'rp') and (strlowcase(rs[*].nIter) le 1), n)
IndSort=sort(rp[Ind].kCluster) & Ind    =Ind[IndSort]
plotlines, alog10(rp[Ind].kCluster), alog10(e[Ind]), /over, linecolor=ColorList[Ind[0]], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

Ind    =where((strlowcase(rp[*].ModeMean) eq 'rp') and (strlowcase(rs[*].nIter) gt 1), n)
IndSort=sort(rp[Ind].kCluster) & Ind    =Ind[IndSort]
plotlines, alog10(rp[Ind].kCluster), alog10(e[Ind]), /over, linecolor=ColorList[Ind[0]], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

Ind    =where((strlowcase(rp[*].ModeMean) eq 'r') and (strlowcase(rs[*].nIter) le 1), n)
IndSort=sort(rp[Ind].kCluster) & Ind    =Ind[IndSort]
plotlines, alog10(rp[Ind].kCluster), alog10(e[Ind]), /over, linecolor=ColorList[Ind[0]], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

Ind    =where((strlowcase(rp[*].ModeMean) eq 'r') and (strlowcase(rs[*].nIter) gt 1), n)
IndSort=sort(rp[Ind].kCluster) & Ind    =Ind[IndSort]
plotlines, alog10(rp[Ind].kCluster), alog10(e[Ind]), /over, linecolor=ColorList[Ind[0]], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

Ind    =where((strlowcase(rp[*].ModeMean) eq 'iumid') and (strlowcase(rs[*].nIter) le 1), n)
IndSort=sort(rp[Ind].kCluster) & Ind    =Ind[IndSort]
plotlines, alog10(rp[Ind].kCluster), alog10(e[Ind]), /over, linecolor=ColorList[Ind[0]], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

Ind    =where((strlowcase(rp[*].ModeMean) eq 'iumid') and (strlowcase(rs[*].nIter) gt 1), n)
IndSort=sort(rp[Ind].kCluster) & Ind    =Ind[IndSort]
plotlines, alog10(rp[Ind].kCluster), alog10(e[Ind]), /over, linecolor=ColorList[Ind[0]], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

e=total((ddii/rm.wei)[rp[0].mbot:rp[0].ntop,*]^2,1)
e=e/max(e)

plotlines, transpose(alog10(rp[*].kCluster)), transpose(alog10(e)), $
  xrange=[-0.1, 1.8], xtitle='log(k!DCluster!N)', ytitle='log(error of sum)', $
  drange=[-6.4,0.2], $
  psym=psymList, linecolor=ColorList, $
  dev=dev, /psnoinit, psformat='nochange', /noclose

Ind    =where((strlowcase(rp[*].ModeMean) eq 'rp') and (strlowcase(rs[*].nIter) le 1), n)
IndSort=sort(rp[Ind].kCluster) & Ind    =Ind[IndSort]
plotlines, alog10(rp[Ind].kCluster), alog10(e[Ind]), /over, linecolor=ColorList[Ind[0]], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

Ind    =where((strlowcase(rp[*].ModeMean) eq 'rp') and (strlowcase(rs[*].nIter) gt 1), n)
IndSort=sort(rp[Ind].kCluster) & Ind    =Ind[IndSort]
plotlines, alog10(rp[Ind].kCluster), alog10(e[Ind]), /over, linecolor=ColorList[Ind[0]], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

Ind    =where((strlowcase(rp[*].ModeMean) eq 'r') and (strlowcase(rs[*].nIter) le 1), n)
IndSort=sort(rp[Ind].kCluster) & Ind    =Ind[IndSort]
plotlines, alog10(rp[Ind].kCluster), alog10(e[Ind]), /over, linecolor=ColorList[Ind[0]], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

Ind    =where((strlowcase(rp[*].ModeMean) eq 'r') and (strlowcase(rs[*].nIter) gt 1), n)
IndSort=sort(rp[Ind].kCluster) & Ind    =Ind[IndSort]
plotlines, alog10(rp[Ind].kCluster), alog10(e[Ind]), /over, linecolor=ColorList[Ind[0]], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

Ind    =where((strlowcase(rp[*].ModeMean) eq 'iumid') and (strlowcase(rs[*].nIter) le 1), n)
IndSort=sort(rp[Ind].kCluster) & Ind    =Ind[IndSort]
plotlines, alog10(rp[Ind].kCluster), alog10(e[Ind]), /over, linecolor=ColorList[Ind[0]], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

Ind    =where((strlowcase(rp[*].ModeMean) eq 'iumid') and (strlowcase(rs[*].nIter) gt 1), n)
IndSort=sort(rp[Ind].kCluster) & Ind    =Ind[IndSort]
plotlines, alog10(rp[Ind].kCluster), alog10(e[Ind]), /over, linecolor=ColorList[Ind[0]], $
  dev=dev, /psnoinit, psformat='nochange', /noclose

legend, ['R', 'RP', 'Iu-Id', 'tau sort', 'cluster'], $
  color=[!ctv.red, !P.COLOR, !ctv.green, !P.COLOR, !P.COLOR], $
  linestyle=[0, 0, 0, 0, 0], $
  psym=[0, 0, 0, 4, 1], $
  thick=!P.THICK, $
  xali=1.0, yali=1.15, box=0, margin=0.9, spacing=1, pspacing=2
;  xali=0.95, box=1, margin=0.9, spacing=1, pspacing=2
;  xali=0.95, box=1, margin=0.9, spacing=5, pspacing=2

; === Write image files, close PS device ===
if (strupcase(dev) eq 'X') then begin &$
endif else begin &$
  device, /close &$
  set_plot, 'X' &$
  modctv, 'X' &$
endelse

; --- Reset global plot parameters ---
!P=Pbak & !X=Xbak & !Y=Ybak
