; === Get input raw opacities ======================================================================
; --- Define input opacity file(s) ---
OpaSuffix=''
;OpaSuffix='_05'
;OpaSuffix='_10'


;Outputmarker='_n01' & vmicro=2.5 & OpTSavFile='coma_kapto_solabu' + OpaSuffix + '.sav'
Outputmarker='_n02' & vmicro=2.5 & OpTSavFile='coma_kapto_solabu_h2obt2' + OpaSuffix + '.sav' 
;Outputmarker='_n03' & vmicro=20.0 & OpTSavFile='coma_kapto_solabu_h2obt2_xi20' + OpaSuffix + '.sav' 
;Outputmarker='_t01_(datetime)'

; --- Load input opacity data data ---
restore, OpTSavFile, /verbose
;if (n_elements(EleSym) eq 0) then EleSym=EleNam

; --- Optionally: skip some frequency points ---
;i=0 & iB=2 & kappanu=kappanu[*,*,i:*:iB] & nu=nu[i:*:iB] & lambda=lambda[i:*:iB]


; === Get 1D reference atmosphere ==================================================================
; --- Specify reference atmosphere ---
;Model='mt28g50mm00n04'  & m1=60 & n1=-10 & xLengthPar=3.4
;Model='st28gm06n18'  & m1=70 & n1=-1
;Model='st28gm06n24'  & m1=70 & n1=-1
Model='st28gm06n25'
;Model='d3gt57g44n94' & m1=70 & n1=-11

;; --- Load the reference atmosphere ---
;AtmFile=Model + '_seq_0.sav'
;;restore, AtmFile, /verbose
;par=seq.par
;T1D0       =(seqavg('T'  , seq, units='cgs'))[m1:n1]
;P1D0       =(seqavg('P'  , seq, units='cgs'))[m1:n1]
;rho1D0     =(seqavg('rho', seq, units='cgs'))[m1:n1]
;x1D0       =(seqavg('xc' , seq, units='cgs'))[m1:n1]
;;kappaavg1D=(seqavg('kappa', seq, units='cgs'))[m1:n1]
;;T1D  =T1D0
;;P1D  =P1D0
;;rho1D=rho1D0
;;x1D  =x1D0
;; --- Interpolate the reference atmosphere to new grid ---
;logP1D0 =reverse(alog10(double(P1D0)))
;logPMin =min(logP1D0)
;logPMax =max(logP1D0)
;nlogPRef=long((logPMax-logPMin) * 10.0) + 1
;logPRef =logPMax - (logPMax-logPMin) * (dindgen(nLogPRef)/double(nlogPRef-1))
;P1D     =10.0D+00^logPRef
;logPRef =reverse(logPRef)
;rho1D   =reverse(10.0D+00^interpol(reverse(alog10(double(rho1D0))), logP1D0, logPRef, /spline))
;T1D     =reverse(10.0D+00^interpol(reverse(alog10(double(T1D0  ))), logP1D0, logPRef, /spline))
;x1D     =reverse(         interpol(reverse(       double(x1D0  ) ), logP1D0, logPRef, /spline))
;
;; --- Assemble some meta data ---
;rhdmodeldata, modDB
;;restore, 'allbasdb.sav', /verbose
;MetaAtm= { $
;  Description: 'Meta data of 1D reference atmosphere', $
;  Model:             Model, $
;  FileSource:        AtmFile, $
;  Code:              'CO5BOLD', $
;  Teff:              (udb_extract('Teff'     , [Model], basDB, Default=0.0))[0], $
;  Teffout:           (udb_extract('Teffout'  , [Model], basDB, Default=0.0))[0], $
;  grav:              (udb_extract('grav'     , [Model], basDB, Default=0.0))[0], $
;  Author:            (udb_extract('Author'   , [Model], modDB, Default='' ))[0] $
;         }

; --- Load the reference-atmosphere structure and extract the relevant data ---
AtmFile=Model + '_atm_ring_02.sav'
restore, AtmFile, /verbose
x1D  =Atm.x
T1D  =Atm.T
P1D  =Atm.P
rho1D=Atm.rho


; === Setup and start the opacity binning/clustering routine =======================================
; --- Specify some general parameters for opacity clustering ---
ParOpac= { $
  Description: 'Control parameters for Opacity Clustering', $
;  OutputTemplate: 't(teff)g(logground)mm00_(rawcode)_(abundanceid)_oc(iterid)(modemean)_b(kcluster)(outputmarker)_(datetime)', $
  OutputTemplate: 't(teff)g(logground)mm00_(rawcode)_(abundanceid)_oc(iterid)(modemean)_b(kcluster)(outputmarker)', $
  OutputMarker:     OutputMarker, $
  ModeMean:                  'R', $
  ModexLength:              'Hp', $
  ModeInit:  'tauSplitEvenBlock', $
  ModeSmall:                'No', $
  xLengthPar:                2.0, $
  CDeltaT:                   0.4, $
  ExprhoWeight:             0.75, $
  nTop:                       -4, $
  nnuPointInitial:           100, $
  CMaskSmall:            1.0E-18, $
  ExitClusterChangeNumber:     0, $
  ExitClusterChangeFraction: 0.0, $
  ExitRelError:          1.0E-04, $
  ExitSysTime:      3600.0*100.0, $
  mChunk:                     24, $
  nChunk:                     48, $
  Author:         'Bernd Freytag' $
         }

; --- Test runs ---

;opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu[*,*,0:*:8], nu=nu[0:*:8], $
;   MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
;   ParOpac=ParOpac, kCluster=4, $
;   result=res, opa=opa

;opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
;   MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
;   ParOpac=ParOpac, kCluster=5, ModeInit='Input', nnuStepInitial=1, nIterControl=[-1], InputIndCluster=res5ocrr.Cluster.Ind, $
;   result=res, opa=opa

;opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
;   MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
;   ParOpac=ParOpac, kCluster=24, nIterControl=[32,16,4,2], $
;   result=res, opa=opa

;dnu     =deriv(nu)
;fX     =3
;nnu    =n_elements(nu)
;nT     =n_elements(T )
;nP     =n_elements(P )
;nu     =reform(rebin(reform(nu             , 1, nnu),         fX, nnu),         fX*nnu)
;dnu    =reform(rebin(reform(dnu            , 1, nnu),         fX, nnu),         fX*nnu)/double(fX)
;kappanu=reform(rebin(reform(kappanu, nT, nP, 1, nnu), nT, nP, fX, nnu), nT, nP, fX*nnu)
;opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, dnu=dnu, $
;   MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
;   ParOpac=ParOpac, kCluster=12, nIterControl=[70,60,40,36], $
;   result=res, opa=opa

;opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
;   MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
;   ParOpac=ParOpac, kCluster=6, nIterControl=[-1], nnuStepInitial=1, $
;   ModeInit='FrequencySplitEvenBlock', ModeMean='R', $
;   result=res, opa=opa

;save, res, opa, file=res.Status.OutputID+'.sav'
;wropta, res.Status.OutputID+'.opta', opa, mode=1


; --- Production runs ---

;opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
;  MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
;  ParOpac=ParOpac, kCluster=1, $
;  result=res, opa=opa
;save, res, opa, file=res.Status.OutputID+'.sav'
;wropta, res.Status.OutputID+'.opta', opa, mode=1

;opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
;  MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
;  ParOpac=ParOpac, kCluster=2, $
;  result=res, opa=opa
;save, res, opa, file=res.Status.OutputID+'.sav'
;wropta, res.Status.OutputID+'.opta', opa, mode=1

;opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
;  MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
;  ParOpac=ParOpac, kCluster=3, $
;  result=res, opa=opa
;save, res, opa, file=res.Status.OutputID+'.sav'
;wropta, res.Status.OutputID+'.opta', opa, mode=1

;opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
;  MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
;  ParOpac=ParOpac, kCluster=4, $
;  result=res, opa=opa
;save, res, opa, file=res.Status.OutputID+'.sav'
;wropta, res.Status.OutputID+'.opta', opa, mode=1

;opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
;  MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
;  ParOpac=ParOpac, kCluster=5, $
;  result=res, opa=opa
;save, res, opa, file=res.Status.OutputID+'.sav'
;wropta, res.Status.OutputID+'.opta', opa, mode=1

;opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
;  MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
;  ParOpac=ParOpac, kCluster=6, $
;  result=res, opa=opa
;save, res, opa, file=res.Status.OutputID+'.sav'
;wropta, res.Status.OutputID+'.opta', opa, mode=1

;opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
;  MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
;  ParOpac=ParOpac, kCluster=8, $
;  result=res, opa=opa
;save, res, opa, file=res.Status.OutputID+'.sav'
;wropta, res.Status.OutputID+'.opta', opa, mode=1

;opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
;  MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
;  ParOpac=ParOpac, kCluster=12, $
;  result=res, opa=opa
;save, res, opa, file=res.Status.OutputID+'.sav'
;wropta, res.Status.OutputID+'.opta', opa, mode=1

;opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
;  MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
;  ParOpac=ParOpac, kCluster=16, $
;  result=res, opa=opa
;save, res, opa, file=res.Status.OutputID+'.sav'
;wropta, res.Status.OutputID+'.opta', opa, mode=1

opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
  MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
  ParOpac=ParOpac, kCluster=24, $
  result=res, opa=opa
save, res, opa, file=res.Status.OutputID+'.sav'
wropta, res.Status.OutputID+'.opta', opa, mode=1

opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
  MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
  ParOpac=ParOpac, kCluster=32, $
  result=res, opa=opa
save, res, opa, file=res.Status.OutputID+'.sav'
wropta, res.Status.OutputID+'.opta', opa, mode=1

opac_cluster, MetaRaw=MetaRaw, Tt=T, Pt=P, rhoT=rho, kappanu=kappanu, nu=nu, $
  MetaAtm=MetaAtm, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, $
  ParOpac=ParOpac, kCluster=48, $
  result=res, opa=opa
save, res, opa, file=res.Status.OutputID+'.sav'
wropta, res.Status.OutputID+'.opta', opa, mode=1
