; pro opac_com_compareplot

; --- Define path for opacity files ---
opadisk=getenv('HOME') + '/for/opa/dat/'


FileO1='sunur1.opta'
rdopta, opadisk + FileO1, opaO1


FileP1='phoenix_opal_grey.opta'
rdopta, opadisk + FileP1, opaP1
FileP2='t2800g500mm00_phoenix_idmean3RT3_fit.opta'
rdopta, opadisk + FileP2, opaP2


FileM1='t3300g000ob5_Orich_marcs_opal.opta'
rdopta, opadisk + FileM1, opaM1
FileM2='t3600g000mm00_marcs_idmean3x.opta'
rdopta, opadisk + FileM2, opaM2
FileM3='t3600g000mm00_marcs_opal_2.opta'
rdopta, opadisk + FileM3, opaM3

FileC1='coma_kapnu_solabu.sav'
;restore, FileC1
;logkappaRossC1=alog10(temporary(kappaRoss))
;logTC1=alog10(temporary(T))
;logPC1=alog10(temporary(P))

;FileC2='coma_kapnu_solabu_h2obt_01.sav'
;FileC2='coma_kapto_solabu_h2obt_01.sav'
FileC2='coma_kapto_solabu_h2obt2.sav'
;restore, FileC2
;logkappaRossC2=alog10(temporary(kappaRoss))
;logTC2=alog10(temporary(T))
;logPC2=alog10(temporary(P))


; ================================
if (not keyword_set(external_control)) then begin &$
  ; --- Choose device: 'x', 'ps' Paris ---
  dev='x' &$
  file_prefix='Opacities_Rosseland_Comparison_02' &$
  jpg_flag=0 &$
  png_flag=0 &$
  ;
  ; --- Make line plots, overplot, keep device open ---
  ;plotline_flag=1 &$
  overplot_flag=0 &$
  keepopen_flag=0 &$
  ;
  xsize=18.0 & ysize=26.0 &$
endif
; ================================


; --- Construct output file names ---
file_id=file_prefix
jpg_file=file_id + '.jpg'
png_file=file_id + '.png'
if (strupcase(dev) eq 'EPS') then begin &$
  ps_file  =file_id + '.eps' &$
endif else begin &$
  ps_file  =file_id + '.ps' &$
endelse

; --- Save plot settings ---
if (not(overplot_flag)) then begin & Pbak=!P & Xbak=!X & Ybak=!Y & endif

; --- Choose color table ---
;normct

; --- Choose axis ranges and titles ---
drange=[-10,4]
xrange=[2.7,4.3] & xtitle='log(T/[K])'
yrange=[-6,7]    & ytitle='log(P/[Dyne])'
c_levels=findgen(15)-10.0


!P.MULTI=[0,2,4,0,0]
;!P.CHARSIZE=2.4
!X.MARGIN=[9,1] & !Y.MARGIN=[4,2]


; --- Device settings ---
if (strupcase(dev) eq 'X') then begin & $
  wfactor=950.0 &$
  set_plot, 'X' &$
  !P.FONT=-1 &$
   if (total(!P.MULTI) ge 4.0) then begin &$
    !P.CHARSIZE=2.0 &$
  endif else begin &$
    !P.CHARSIZE=1.0 &$
  endelse &$
  win_id=0 &$
  window, win_id, xsize=xsize/18.0*wfactor, ysize=ysize/18.0*wfactor, retain=2 &$
  modctv, dev &$
  c_color=!ctv.ct3[0:*:15,*] &$
  c_color=c_color[*,0]+c_color[*,1]*256L+c_color[*,2]*256L^2 &$
endif else begin & $
  set_plot, 'ps' & $
  !P.FONT=0 &$
  if (total(!P.MULTI) ge 4.0) then begin &$
    !P.CHARSIZE=1.4 &$
  endif else begin &$
    !P.CHARSIZE=0.7 &$
  endelse &$
  device, filename=ps_file, $
          /portrait, xsize=xsize, ysize=ysize,  xoffset=0.4, yoffset=0.4, /color, bits=8 &$
  modctv, dev &$
  ;c_color=!ctv.ct3[0:*:18] &$
  c_color=indgen(15)*18 < 254 &$
endelse

;help, !ctv.ct3
;print, !ctv.ct3

;help, c_color
;print, c_color


plotfield, opaO1.tabT, opaO1.tabP, opaO1.xopta[*,*,0], title=FileO1, $
  xrange=xrange, xtitle=xtitle, yrange=yrange, ytitle=ytitle, drange=drange, $
  /oldasp, /contour, /c_fill, c_levels=c_levels, c_color=c_color, $
  dev=dev, psformat='nochange', /psnoinit, /noclose



plotfield, opaM1.tabT, opaM1.tabP, opaM1.xopta[*,*,0], title=FileM1, $
  xrange=xrange, xtitle=xtitle, yrange=yrange, ytitle=ytitle, drange=drange, $
  /oldasp, /contour, /c_fill, c_levels=c_levels, c_color=c_color, $
  dev=dev, psformat='nochange', /psnoinit, /noclose

plotfield, opaM2.tabT, opaM2.tabP, opaM2.xopta[*,*,0], title=FileM2, $
  xrange=xrange, xtitle=xtitle, yrange=yrange, ytitle=ytitle, drange=drange, $
  /oldasp, /contour, /c_fill, c_levels=c_levels, c_color=c_color, $
  dev=dev, psformat='nochange', /psnoinit, /noclose

plotfield, opaM3.tabT, opaM3.tabP, opaM3.xopta[*,*,0], title=FileM3, $
  xrange=xrange, xtitle=xtitle, yrange=yrange, ytitle=ytitle, drange=drange, $
  /oldasp, /contour, /c_fill, c_levels=c_levels, c_color=c_color, $
  dev=dev, psformat='nochange', /psnoinit, /noclose


plotfield, opaP2.tabT, opaP2.tabP, opaP2.xopta[*,*,0], title=FileP2, $
  xrange=xrange, xtitle=xtitle, yrange=yrange, ytitle=ytitle, drange=drange, $
  /oldasp, /contour, /c_fill, c_levels=c_levels, c_color=c_color, $
  dev=dev, psformat='nochange', /psnoinit, /noclose

plotfield, opaP1.tabT, opaP1.tabP, opaP1.xopta[*,*,0], title=FileP1, $
  xrange=xrange, xtitle=xtitle, yrange=yrange, ytitle=ytitle, drange=drange, $
  /oldasp, /contour, /c_fill, c_levels=c_levels, c_color=c_color, $
  dev=dev, psformat='nochange', /psnoinit, /noclose

plotlines, alog10(T1D), alog10(P1D), /over, $
  dev=dev, psformat='nochange', /psnoinit, /noclose


plotfield, logTC1, logPC1, logkappaRossC1, title=FileC1, $
  xrange=xrange, xtitle=xtitle, yrange=yrange, ytitle=ytitle, drange=drange, $
  /oldasp, /contour, /c_fill, c_levels=c_levels, c_color=c_color, $
  dev=dev, psformat='nochange', /psnoinit, /noclose

plotfield, logTC2, logPC2, logkappaRossC2, title=FileC2, $
  xrange=xrange, xtitle=xtitle, yrange=yrange, ytitle=ytitle, drange=drange, $
  /oldasp, /contour, /c_fill, c_levels=c_levels, c_color=c_color, $
  dev=dev, psformat='nochange', /psnoinit, /noclose

plotlines, alog10(T1D), alog10(P1D), /over, $
  dev=dev, psformat='nochange', /psnoinit, /noclose

if (strupcase(dev) eq 'X') then begin &$
  if (png_flag) then begin &$
    ; --- Write PNG file ---
    write_png, png_file, tvrd(true=1) &$
  endif &$
  if (jpg_flag) then begin &$
    ; --- Write JPEG file ---
    write_jpeg, jpg_file, tvrd(true=3), true=3 &$
  endif &$
endif else begin &$
  ; --- Close postscript device ---
  device, /close &$
  set_plot, 'X' &$
  modctv, 'X' &$
endelse

; --- Reset global plot parameters ---
!P=Pbak & !X=Xbak & !Y=Ybak
;!P.MULTI=0
;!P.CHARSIZE=1.6

; end opac_com_compareplot
