;---------------------------------------------------------------------------------------------------
;+
; NAME:
;   opac_com_meoptastart ('opacity_compute_merge_opacity_table_start')
;
; PURPOSE:
;
; CATEGORY:
;   Opacities
;
; CALLING SEQUENCE:
;   @opac_com_meopta_start
;
; EXAMPLE:
;   @opac_com_meopta_start
;
; MODIFICATION HISTORY:
;   2015-08-31 (B.F. Uppsala) Written
;-
;---------------------------------------------------------------------------------------------------

Model1Path=''
Model2Path=getenv('HOME') + '/for/opa/dat/'

;Model1Names='t2800gm050mm00_coma_paola_oc[01]r*_b*_n0?.opta'
Model1Names='t2800gm050mm00_coma_paola_oc1rp_b3_n02.opta'
Model2Name ='sunur1.opta'

Author='Bernd Freytag'


File1List=file_search(Model1Path + Model1Names)
nFile1   =n_elements(File1List)

; --- Read 2nd (single) opacity table ---
print, 'Read ' + Model2Path + Model2Name
rdopta, Model2Path + Model2Name, opa2

; --- Process list of opacity tables ---
for iFile1=0, nFile1-1 do begin &$
  print, 'Read ' + Model1Path + File1List[iFile1] &$
  rdopta, Model1Path + File1List[iFile1], opa1 &$
  FileOut=strreplacebf(File1List[iFile1], 'coma', 'coma_opal') &$
  NameOut=strreplacebf(FileOut, '.opta', '') &$
  print, 'Create ' + NameOut &$
  opaOut=meopta(opa1, opa2, Name=NameOut, Author=Author) &$
  wropta, FileOut, opaOut, mode=1 &$
endfor ; iFile1
