; +
; NAME:
;   power2d1d_test
;
; PURPOSE;
;   Demonstrate usage of power2d1d.
;
; CALLING SEQUENCE:
;   @power2d1d_test
;
; INPUT:
;   None
;
; OUTPUT:
;   None
;
; KEYWORDS:
;   None
;
; PROCEDURE:
;   Create three test images, Fourier-analyze them with power2d1d,
;   and plot the results.
;
; EXAMPLE:
;   @power2d1d_test
;
; MODIFICATION HISTORY:
;   2016-09-06 (B.F. Uppsala)
; -

; --- Set the image size ---
nx=400

!P.MULTI=[0,3,0,0,0]


; --- Analyze an image with random noise ---
q =randomu(seed, nx,nx)
q1=q
power2d1d, q, qs, qn=qn, qw=qw, qsn=qsn, ComputeNorm_flag=1
plot, alog10(qw), alog10(sqrt(qw*qn*qs))


; --- Analyze an image with a small uniform disk ---
q =(shift(dist(400)^2,200,200) lt 1000.0)
q2=q
power2d1d, q, qs, qn=qn, qw=qw, qsn=qsn, ComputeNorm_flag=1
plot, alog10(qw), alog10(sqrt(qw*qn*qs))


; --- Analyze an image with a small noisy disk ---
q =q1*q2
q2=q
power2d1d, q, qs, qn=qn, qw=qw, qsn=qsn, ComputeNorm_flag=1
plot, alog10(qw), alog10(sqrt(qw*qn*qs))


!P.MULTI=0
