; pro rhd_mpg_atmake
;
;------------------------------------------------------------------------------
;+
; NAME:
;   rhd_mpg_atmake ('radiation_mpeg_atmake')
;
; PURPOSE:
;
; CATEGORY:
;
; CALLING SEQUENCE:
;   @rhd_mpg_atmake
;
; COMMON BLOCKS:
;
; ROUTINES:
;   rhd_mpg
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;   Before first use type
;     delvar, eos
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   17. 5.99 Written by Bernd Freytag, Astronomical Observatory Copenhagen
;    3. 4.01 (B.F. Uppsala) rhd_plot -> rhd_movie
;    4. 4.02 (B.F.) rhd_movie -> rhd_mpg_atmake
;   18. 3.04 (B.F.) rhd_mpg_make -> rhd_mpg_atmake
;-
;------------------------------------------------------------------------------

.run rhdmodeldata
rhdmodeldata, modeltable

; ================================
if (not keyword_set(external_control)) then begin &$
  ;stop &$
  ;
  ds_range=[-1.0,1.0]*1.0E+06 &$
  v_scale=10.0E-06 &$
  qucallm1orho_range=[0.0,1.05] &$
  ;
  ;model='at70g43n01' & modelident='_??' & parmodelident='_10' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-15.0,-5.4] &$
  ;  dP_scale=20.0 & vort_scale=30.0 &$
  ;model='at71g43n01' & modelident='_??' & parmodelident='_06' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-15.0,-5.4] &$
  ;  dP_scale=20.0 & vort_scale=30.0 &$
  ;model='at73g43n01' & modelident='_??' & parmodelident='_06' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-15.0,-5.4] &$
  ;  dP_scale=20.0 & vort_scale=30.0 &$
  ;model='at75g44n01' & modelident='_??' & parmodelident='_02' & modelfile='full' & w_xsize=800 & w_ysize=360 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,100000.] - 1300.) & rho_range=[-14.0,-5.8] &$
  ;  dP_scale=20.0 & vort_scale=30.0 &$
  ;model='at77g44n01' & modelident='_??' & parmodelident='_01' & modelfile='full' & w_xsize=800 & w_ysize=440 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,80000.] - 1300.) & rho_range=[-12.0,-6.2] &$
  ;  dP_scale=40.0 & vort_scale=40.0 &$
  ;model='at77g44n02' & modelident='_??' & parmodelident='_03' & modelfile='full' & w_xsize=800 & w_ysize=320 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,85000.] - 1300.) & rho_range=[-12.0,-6.0] &$
  ;  dP_scale=40.0 & vort_scale=40.0 &$
  ;model='at77g44n03' & modelident='_??' & parmodelident='_01' & modelfile='full' & w_xsize=800 & w_ysize=320 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,100000.] - 1300.) & rho_range=[-12.5,-6.0] &$
  ;  dP_scale=20.0 & vort_scale=40.0 &$
  ;model='at80g40n20' & modelident='_??' & parmodelident='_03' & modelfile='mean' &$
  ;model='at80g40n21' & modelident='_??' & parmodelident='_36' & modelfile='mean' &$
  ;model='at80g40n22' & modelident='_??' & parmodelident='_17' & modelfile='mean' & w_xsize=800 & w_ysize=512 &$
  ;  T_exe='q=alog10((q-4400.0) > 200.0)' & T_range=alog10([4600.,65000.] - 4400.) &$
  ;model='ahht82g42n01' & modelident='_??' & parmodelident='_01' & modelfile='' &$
  ;model='at80g44n10_3D' & modelident='??' & parmodelident='bz' & modelfile='' &$
  ;model='at85g44n10' & modelident='_??' & parmodelident='_02' & modelfile='' &$
  ;model='at85g44n11' & modelident='_??' & parmodelident='_02' & modelfile='' &$
  ;model='at85g44n12' & modelident='_??' & parmodelident='_03' & modelfile='' &$
  ;model='at85g44n13' & modelident='_??' & parmodelident='_24' & modelfile='' &$
  ;model='at85g44n14' & modelident='_??' & parmodelident='_12' & modelfile='' &$
  ;model='at85g44n15' & modelident='_0[2-4]' & parmodelident='_04' & modelfile='' &$
  ;model='at85g44n16' & modelident='_0[1-6]' & parmodelident='_06' & modelfile='' &$
  ;model='at85g44n16' & modelident='_{1[2-9],20}' & parmodelident='_20' & modelfile='' &$
  ;model='at85g40n01' & modelident='_??' & parmodelident='_07' & modelfile='' &$
  ;model='at85g40n02' & modelident='_??' & parmodelident='_11' & modelfile='' &$
  ;
  ;model='bt300g40n01' & modelident='_??' & parmodelident='_08' & modelfile='' &$
  ;
  ;model='d3t57g44b0n014' & ModelIdent='_0??' & parModelIdent='_054' & modelfile='mean' & w_xsize=640 & w_ysize=640 &$
  ;  vort_scale=20.0 & ds_range=[-1.0,1.0]*60.0E+06 & dP_scale=20.0 &$
  ;model='d3t57g44b0n015' & ModelIdent='_0??' & parModelIdent='_018' & modelfile='mean' & w_xsize=960 & w_ysize=520 &$
  ;  vort_scale=10.0 & ds_range=[-1.0,1.0]*60.0E+06 & dP_scale=10.0 &$
  ; model='d3t57g44b0n016' & ModelIdent='_0??' & parModelIdent='_001' & modelfile='mean' & w_xsize=960 & w_ysize=520 &$
  ;   vort_scale=8.0 & ds_range=[-1.0,1.0]*60.0E+06 & dP_scale=10.0 &$
  ; model='d3t57g44b0n019' & ModelIdent='_0??' & parModelIdent='' & modelfile='mean' & w_xsize=640 & w_ysize=640 &$
  ;   vort_scale=20.0 & ds_range=[-1.0,1.0]*60.0E+06 & dP_scale=20.0 &$
  ;model='d3t57g44b0n020' & ModelIdent='_0??' & parModelIdent='_007' & modelfile='mean' & w_xsize=960 & w_ysize=520 &$
  ;  vort_scale=6.0 & ds_range=[-1.0,1.0]*80.0E+06 & dP_scale=10.0 &$
  ;model='d3t57g44b0n024' & ModelIdent='_0??' & parModelIdent='_005' & modelfile='mean' & w_xsize=960 & w_ysize=520 &$
  ;  vort_scale=6.0 & ds_range=[-1.0,1.0]*80.0E+06 & dP_scale=10.0 &$
  ;model='d3t57g44b0n025' & ModelIdent='_0??' & parModelIdent='_018' & modelfile='mean' & w_xsize=960 & w_ysize=520 &$
  ;  v_scale=4.0E-06 & vort_scale=6.0 & ds_range=[-1.0,1.0]*80.0E+06 & dP_scale=10.0 &$
  ;model='d3t57g44b1n003' & ModelIdent='_???' & parModelIdent='_041' & modelfile='mean' & w_xsize=800 & w_ysize=440 &$
  ;  vort_scale=30.0 &$
  ;model='d3t57g44b1n028' & ModelIdent='_???' & parModelIdent='_001' & modelfile='mean' & w_xsize=800 & w_ysize=440 &$
  ;  vort_scale=30.0 &$
  ;model='d3t57g44b0n029' & ModelIdent='_???' & parModelIdent='_008' & modelfile='mean' & w_xsize=632 & w_ysize=640 &$
  ;  v_scale=4.0E-06 & vort_scale=6.0 & ds_range=[-1.0,1.0]*80.0E+06 & dP_scale=10.0 &$
  ;
  ;model='gt35gm04n04' & modelident='_??' & parmodelident='_04' & modelfile='' &$
  ;model='gt35gm04n05' & modelident='_??' & parmodelident='_04' & modelfile='' &$
  ;model='gt48g10n01' & modelident='_??' & parmodelident='_01' & modelfile='full' & w_xsize=800 & w_ysize=440 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,100000.] - 1300.) & rho_range=[-16.0,-7.2] &$
  ;  dP_scale=10.0 & vort_scale=5.0E+04 &$
  ;model='gt50g10n01' & modelident='_??' & parmodelident='_03' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-16.0,-6.9] &$
  ;  dP_scale=20.0 & vort_scale=10.0E+04 &$
  ;model='gt50g20n01' & modelident='_??' & parmodelident='_39' & modelfile='full' & w_xsize=800 & w_ysize=480 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-14.0,-6.3] &$
  ;  dP_scale=5.0 & vort_scale=1.0E+04 &$
  ;model='gt51g20n01' & modelident='_??' & parmodelident='_39' & modelfile='full' & w_xsize=800 & w_ysize=480 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-14.0,-6.3] &$
  ;  dP_scale=5.0 & vort_scale=1.0E+04 &$
  ;model='gt52g20n01' & modelident='_??' & parmodelident='_18' & modelfile='full' & w_xsize=800 & w_ysize=440 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-14.0,-6.3] &$
  ;  dP_scale=5.0 & vort_scale=1.0E+04 &$
  ;model='gt52g20n02' & modelident='_??' & parmodelident='_04' & modelfile='full' & w_xsize=800 & w_ysize=480 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-14.0,-6.3] &$
  ;  dP_scale=5.0 & vort_scale=1.0E+04 &$
  ;model='gt52g20n03' & modelident='_??' & parmodelident='_15' & modelfile='full' & w_xsize=800 & w_ysize=480 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-14.0,-6.3] &$
  ;  dP_scale=5.0 & vort_scale=1.0E+04 &$
  ;model='gt53g20n01' & modelident='_??' & parmodelident='_13' & modelfile='full' & w_xsize=800 & w_ysize=440 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-14.0,-6.3] &$
  ;  dP_scale=5.0 & vort_scale=1.0E+04 &$

  ;model='gt53g20n02' & modelident='_??' & parmodelident='_13' & modelfile='full' & w_xsize=800 & w_ysize=440 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-14.0,-6.3] &$
  ;  v_scale=2.0E-06 & dP_scale=0.5 & vort_scale=1.0E+04 & ds_range=[-1.0,1.0]*0.3E+09 &$

  ;model='gt54g20n01' & modelident='_??' & parmodelident='_06' & modelfile='full' & w_xsize=800 & w_ysize=440 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-13.0,-6.5] &$
  ;  dP_scale=5.0 & vort_scale=1.0E+04 &$
  ;model='gt54g20n02' & modelident='_??' & parmodelident='_08' & modelfile='full' & w_xsize=800 & w_ysize=480 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-13.0,-6.5] &$
  ;  dP_scale=5.0 & vort_scale=1.0E+04 &$

  ;model='gt54g20n03' & modelident='_??' & parmodelident='_05' & modelfile='full' & w_xsize=800 & w_ysize=480 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-13.0,-6.5] &$
  ;  v_scale=2.0E-06 & dP_scale=1.0 & vort_scale=1.0E+04 & ds_range=[-1.0,1.0]*0.3E+09 &$

  ;model='gt55g20n01' & modelident='_??' & parmodelident='_14' & modelfile='full' & w_xsize=800 & w_ysize=480 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-13.0,-6.5] &$
  ;  v_scale=2.0E-06 & dP_scale=1.0 & vort_scale=1.0E+04 & ds_range=[-1.0,1.0]*0.3E+09 &$

  ;model='gt56g20n01' & modelident='_??' & parmodelident='_12' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,100000.] - 1300.) & rho_range=[-12.7,-6.7] &$
  ;  dP_scale=5.0 & vort_scale=1.0E+04 &$
  ;model='gt56g20n02' & modelident='_??' & parmodelident='_05' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-12.7,-6.7] &$
  ;  v_scale=2.0E-06 & dP_scale=1.0 & vort_scale=1.0E+04 & ds_range=[-1.0,1.0]*0.3E+09 &$

  ;model='gt56g20n03' & modelident='_??' & parmodelident='_20' & modelfile='full' & w_xsize=800 & w_ysize=408 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-12.7,-6.7] &$
  ;  v_scale=2.0E-06 & dP_scale=1.0 & vort_scale=1.0E+04 & ds_range=[-1.0,1.0]*0.3E+09 &$
  ;model='gt56g20n04' & modelident='_??' & parmodelident='_07' & modelfile='full' & w_xsize=800 & w_ysize=432 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-12.7,-6.7] &$
  ;  v_scale=2.0E-06 & dP_scale=1.0 & vort_scale=1.0E+04 & ds_range=[-1.0,1.0]*0.3E+09 &$

  ;model='gt58g20n01' & modelident='_??' & parmodelident='_02' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,100000.] - 1300.) & rho_range=[-14.0,-6.9] &$
  ;  dP_scale=10.0 & vort_scale=2.0E+04 &$
  ;model='gt58g20n02' & modelident='_??' & parmodelident='_07' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,100000.] - 1300.) & rho_range=[-14.0,-6.9] &$
  ;  dP_scale=10.0 & vort_scale=2.0E+04 &$

  ;model='gt58g20n03' & modelident='_??' & parmodelident='_04' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,130000.] - 1300.) & rho_range=[-14.0,-6.9] &$
  ;  v_scale=4.0E-06 & dP_scale=2.0 & vort_scale=2.0E+04 & ds_range=[-1.0,1.0]*0.1E+09 &$

  ;model='gt60g20n01' & modelident='_??' & parmodelident='_03' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,100000.] - 1300.) & rho_range=[-14.0,-6.9] &$
  ;  dP_scale=20.0 & vort_scale=2.0E+04 &$
  ;model='gt60g20n02' & modelident='_??' & parmodelident='_06' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,100000.] - 1300.) & rho_range=[-14.0,-6.9] &$
  ;  dP_scale=20.0 & vort_scale=2.0E+04 &$
  ;model='gt62g20n01' & modelident='_??' & parmodelident='_05' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,100000.] - 1300.) & rho_range=[-14.0,-6.9] &$
  ;  dP_scale=20.0 & vort_scale=4.0E+04 &$
  ;model='gt62g20n02' & modelident='_??' & parmodelident='_02' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-1300.0) > 200.0)' & T_range=alog10([1500.,100000.] - 1300.) & rho_range=[-14.0,-6.9] &$
  ;  dP_scale=20.0 & vort_scale=4.0E+04 &$
  ;
  ;model='d3t040g80wd08c' & modelident='_?' & parmodelident='_b' & modelfile='mean' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-700.0) > 200.0)' & T_range=alog10([700.,5800.] - 200.) & rho_range=[-5.1,-1.4] &$
  ;  v_scale=4.0E-04 & dP_scale=1.5E+04 & vort_scale=2.5E-01 & ds_range=[-1.0,1.0]*0.08E+06 &$
  ;model='d3t040g80wd08e' & modelident='_?' & parmodelident='_b' & modelfile='mean' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-700.0) > 200.0)' & T_range=alog10([700.,5800.] - 200.) & rho_range=[-5.1,-1.4] &$
  ;  v_scale=4.0E-04 & dP_scale=1.5E+04 & vort_scale=2.5E-01 & ds_range=[-1.0,1.0]*0.08E+06 &$
  ;model='d3t040g80wd08f' & modelident='' & parmodelident='' & modelfile='mean' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-700.0) > 200.0)' & T_range=alog10([700.,5800.] - 200.) & rho_range=[-5.1,-1.4] &$
  ;  v_scale=4.0E-04 & dP_scale=1.5E+04 & vort_scale=2.5E-01 & ds_range=[-1.0,1.0]*0.08E+06 &$
  ;model='d3t040g80wd08g' & modelident='_?' & parmodelident='_c' & modelfile='mean' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-700.0) > 200.0)' & T_range=alog10([700.,5800.] - 200.) & rho_range=[-5.1,-1.4] &$
  ;  v_scale=4.0E-04 & dP_scale=1.5E+04 & vort_scale=2.5E-01 & ds_range=[-1.0,1.0]*0.08E+06 &$
  ;model='d3t140g80db02' & modelident='_{025,050,075,100}' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=300 &$
  ;  T_exe='q=alog10((q-3000.0) > 300.0)' & T_range=alog10([3300.,25000.] - 3000.) & rho_range=[-8.2,-2.7] &$
  ;  v_scale=6.0E-05 & dP_scale=1.0E+02 & vort_scale=3.0E-02 & ds_range=[-1.0,1.0]*8.0E+06 &$
  ;model='d3t180g80db02' & modelident='_{100,125}' & parmodelident='_125' & modelfile='mean' & w_xsize=800 & w_ysize=280 &$
  ;  T_exe='q=alog10((q-2000.0) > 300.0)' & T_range=alog10([2300.,30000.] - 2000.) & rho_range=[-8.2,-2.7] &$
  ;  v_scale=4.0E-05 & dP_scale=3.0E+01 & vort_scale=3.0E-02 & ds_range=[-1.0,1.0]*30.0E+06 &$
  ;model='d3t220g80db02' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=216 &$
  ;  T_exe='q=alog10((q-2000.0) > 300.0)' & T_range=alog10([2300.,67000.] - 2000.) & rho_range=[-8.2,-2.7] &$
  ;  v_scale=4.0E-06 & dP_scale=4.0E+00 & vort_scale=3.0E-02 & ds_range=[-1.0,1.0]*200.0E+06 &$
  model='d3t340g80db02' & modelident='_050' & parmodelident='_050' & modelfile='mean' & w_xsize=800 & w_ysize=280 &$
    T_exe='q=alog10((q-19000.0) > 500.0)' & T_range=alog10([19500.,155000.] -19000.) & rho_range=[-8.2,-2.7] &$
    v_scale=1.0E-05 & dP_scale=4.0E+00 & vort_scale=1.0E-01 & ds_range=[-1.0,1.0]*3.0E+06 &$


  ;
  ;model='mt07g50mm00n01' & modelident='_??' & parmodelident='_13' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.05E+06 &$
  ;model='mt07g50mm00n02' & modelident='_??' & parmodelident='_08' & modelfile='full' & w_xsize=800 & w_ysize=460 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  v_scale=4.0E-04 & dP_scale=2.0E+04 & vort_scale=3.0E+01 & ds_range=[-1.0,1.0]*0.015E+06 &$
  ;
  ;model='mt08g50mm00n01' & modelident='_??' & parmodelident='_10' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.05E+06 &$
  ;
  ;model='mt09g35mm00n01' & modelident='_??' & parmodelident='_04' & modelfile='full' & w_xsize=800 & w_ysize=392 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt09g50mm00n01' & modelident='_??' & parmodelident='_21' & modelfile='full' & w_xsize=800 & w_ysize=368 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt09g50mm00n02' & modelident='_??' & parmodelident='_38' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt09g50mm00n05' & modelident='_??' & parmodelident='_17' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt09g50mm00n06' & modelident='_??' & parmodelident='_08' & modelfile='full' & w_xsize=800 & w_ysize=380 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt09g50mm00n08' & modelident='_??' & parmodelident='_06' & modelfile='full' & w_xsize=800 & w_ysize=400 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt09g50mm00n10' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=400 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt09g50mm00n12' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=400 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;
  ;model='mt10g50mm00n01' & modelident='_??' & parmodelident='_20' & modelfile='full' & w_xsize=800 & w_ysize=352 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt10g50mm00n03' & modelident='_1[1]' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=368 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.0E+05 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt10g50mm00n04' & modelident='_1[1]' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=384 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.0E+05 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt10g50mm00n05' & modelident='_10' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=384 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt10g50mm00n06' & modelident='_1[12]' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=384 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt10g50mm00n07' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=384 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt10g50mm00n08' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=384 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt10g50mm00n09' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=384 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt10g50mm00n10' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=384 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt10g50mm00n12' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=384 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.0E+05 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt10g50mm00n13' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=384 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.0E+05 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt10g50mm00n14' & modelident='_0[4-6]' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=384 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.0E+05 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt10g50mm00n15' & modelident='_0[1-4]' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=384 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.0E+05 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt10g50mm00n16' & modelident='_0[1-4]' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=384 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.0E+05 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;model='mt10g50mm00n17' & modelident='_0[1-4]' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=384 &$
  ;  T_exe='q=alog10((q-300.0) > 200.0)' & T_range=alog10([500.,4500.] - 300.) & rho_range=[-8.6,-2.1] &$
  ;  dP_scale=1.0E+05 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;
  ;model='mt11g40mm00n01' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=400 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*1.0E+06 &$
  ;model='mt11g50mm00n01' & modelident='_??' & parmodelident='_03' & modelfile='full' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt11g50mm00n02' & modelident='_??' & parmodelident='_03' & modelfile='full' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt11g50mm00n03' & modelident='_??' & parmodelident='_35' & modelfile='full' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.1E+06 &$
  ;
  ;model='mt12g50mm00n01' & modelident='_??' & parmodelident='_20' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt12g50mm00n02' & modelident='_??' & parmodelident='_06' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt12g50mm00n06' & modelident='_??' & parmodelident='_10' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt12g50mm00n07' & modelident='_??' & parmodelident='_15' & modelfile='full' & w_xsize=800 & w_ysize=360 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;
  ;model='mt13g40mm00n01' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=360 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g45mm00n01' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=344 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g50mm00n01' & modelident='_??' & parmodelident='_20' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt13g50mm00n02' & modelident='_??' & parmodelident='_04' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt13g50mm00n03' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt13g50mm00n04' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g50mm00n05' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g50mm00n06' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g50mm00n07' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g50mm00n08' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g50mm00n09' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g50mm00n10' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g50mm00n11' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g50mm00n12' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g50mm00n13' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=352 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g50mm00n14' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=376 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g50mm00n15' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g50mm00n16' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g50mm00n18' & modelident='_0[0-5]' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=100.0E-06 & dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g55mm00n01' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=352 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;model='mt13g55mm00n02' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=352 &$
  ;  T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,4500.] - 400.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.2E+06 &$
  ;
  ;model='mt14g50mm00n01' & modelident='_??' & parmodelident='_10' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4600.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
;#
  ;model='mt14g50mm00n03' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=448 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=8.0E-05 & dP_scale=25.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.3E+06 & qucallm1orho_range=[0.0,1.05] &$
  ;model='d2t14g50mm00n01' & modelident='_??' & parmodelident='_06' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4600.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=8.0E-05 & dP_scale=25.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.3E+06 & qucallm1orho_range=[0.0,1.05] &$
  ;
  ;model='mt15g50mm00n01' & modelident='_??' & parmodelident='_13' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt15g50mm00n02' & modelident='_??' & parmodelident='_02' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt15g50mm00n03' & modelident='_??' & parmodelident='_20' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt15g50mm00n04' & modelident='_??' & parmodelident='_04' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt15g50mm00n05' & modelident='_??' & parmodelident='_05' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt15g50mm00n06' & modelident='_??' & parmodelident='_47' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.5E+06 &$
  ;model='mt15g50mm00n08' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.5E+06 &$cd
  ;model='mt15g50mm00n09' & modelident='_??' & parmodelident='_20' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.5E+06 &$
;#
  ;model='mt15g50mm00n13' & modelident='_?9?' & parmodelident='_094' & modelfile='mean' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=1.0E-05 & dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.5E+06 &$
  ;model='mt15g50mm00n14' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=400 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=8.0E-05 & dP_scale=25.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.3E+06 & qucallm1orho_range=[0.0,1.05] &$
  ;model='mt15g50mm00n15' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=536 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=8.0E-05 & dP_scale=25.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.3E+06 & qucallm1orho_range=[0.0,1.05] &$
  ;model='mt15g50mm00n16' & modelident='_???' & parmodelident='_010' & modelfile='mean' & w_xsize=800 & w_ysize=432 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=8.0E-05 & dP_scale=25.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.3E+06 & qucallm1orho_range=[0.0,1.05] &$
  ;model='mt15g50mm00n17' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=416 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=8.0E-05 & dP_scale=25.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.3E+06 & qucallm1orho_range=[0.0,1.05] &$
  ;
  ;model='mt16g50mm00n02' & modelident='_??' & parmodelident='_05' & modelfile='full' & w_xsize=800 & w_ysize=300 &$
  ;  T_exe='q=alog10((q-700.0) > 200.0)' & T_range=alog10([800.,4900.] - 700.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt16g50mm00n03' & modelident='_??' & parmodelident='_15' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-700.0) > 200.0)' & T_range=alog10([800.,4900.] - 700.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt16g50mm00n04' & modelident='_??' & parmodelident='_08' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-700.0) > 200.0)' & T_range=alog10([800.,4900.] - 700.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt16g50mm00n05' & modelident='_??' & parmodelident='_10' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-700.0) > 200.0)' & T_range=alog10([800.,4900.] - 700.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt16g50mm00n06' & modelident='_1[1-6]' & parmodelident='_16' & modelfile='full' & w_xsize=800 & w_ysize=344 &$
  ;  T_exe='q=alog10((q-700.0) > 200.0)' & T_range=alog10([800.,4900.] - 700.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt16g50mm00n08' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=400 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=8.0E-05 & dP_scale=15.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.5E+06 & qucallm1orho_range=[0.0,1.05] &$
  ;
  ;model='mt17g50mm00n01' & modelident='_??' & parmodelident='_09' & modelfile='full' & w_xsize=800 & w_ysize=300 &$
  ;  T_exe='q=alog10((q-700.0) > 200.0)' & T_range=alog10([800.,4900.] - 700.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt17g50mm00n02' & modelident='_??' & parmodelident='_03' & modelfile='full' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-700.0) > 200.0)' & T_range=alog10([800.,4900.] - 700.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt17g50mm00n03' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=400 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,4700.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=8.0E-05 & dP_scale=15.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.5E+06 & qucallm1orho_range=[0.0,1.05] &$
  ;
  ;model='d2t18g50mm00du2' & modelident='.06' & parmodelident='.06' & modelfile='full' &$
  ;model='d2t18g50mm00du3' & modelident='.0?' & parmodelident='.01' & modelfile='full' &$
  ;model='mt18g50mm00n02' & modelident='_??' & parmodelident='_05' & modelfile='full' &$
  ;model='mt18g50mm00n03' & modelident='_??' & parmodelident='_02' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5500.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=1.0E+02 &$
  ;model='mt18g50mm00n04' & modelident='_??' & parmodelident='_02' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5500.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=1.0E+02 &$
  ;model='mt18g50mm00n06' & modelident='_??' & parmodelident='_15' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=1.0E+02 &$
  ;model='mt18g50mm00n07' & modelident='_??' & parmodelident='_13' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=1.0E+02 &$
  ;model='mt18g50mm00n08' & modelident='_??' & parmodelident='_20' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=1.0E+02 &$
  ;model='mt18g50mm00n10' & modelident='_??' & parmodelident='_20' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=1.0E+02 &$
;#
  ;model='mt18g50mm00n13' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=392 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,5000.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=6.0E-05 & dP_scale=20.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*0.5E+06 & qucallm1orho_range=[0.0,0.8] &$
  ;model='mt18g50mm00n13' & modelident='_???' & parmodelident='_100' & modelfile='chu1' & w_xsize=800 & w_ysize=392 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,5000.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=6.0E-05 & dP_scale=20.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*0.5E+06 & qucallm1orho_range=[0.0,0.8] &$
  ;model='mt18g50mm00n14' & modelident='_???' & parmodelident='_120' & modelfile='mean' & w_xsize=800 & w_ysize=392 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,5000.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=6.0E-05 & dP_scale=20.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*0.5E+06 & qucallm1orho_range=[0.0,0.8] &$
  ;model='mt18g50mm00n14' & modelident='_???' & parmodelident='_032' & modelfile='chu1' & w_xsize=800 & w_ysize=392 &$
  ;  T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([700.,5000.] - 600.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=6.0E-05 & dP_scale=20.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*0.5E+06 & qucallm1orho_range=[0.0,0.8] &$
  ;
  ;model='mt18g55mm00n04' & modelident='_??' & parmodelident='_01' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n05' & modelident='_??' & parmodelident='_02' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n07' & modelident='_??' & parmodelident='_04' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n08' & modelident='_??' & parmodelident='_07' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n09' & modelident='_??' & parmodelident='_09' & modelfile='full' & w_xsize=1000 & w_ysize=232 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n10' & modelident='_??' & parmodelident='_02' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_text-moderange=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n11' & modelident='_??' & parmodelident='_02' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n14' & modelident='_??' & parmodelident='_03' & modelfile='full' & w_xsize=800 & w_ysize=348 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,6000.] - 800.) & rho_range=[-8.5,-2.0] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n15' & modelident='_??' & parmodelident='_05' & modelfile='full' & w_xsize=800 & w_ysize=348 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,6000.] - 800.) & rho_range=[-8.5,-2.0] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n16' & modelident='_??' & parmodelident='_03' & modelfile='full' & w_xsize=800 & w_ysize=348 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,6000.] - 800.) & rho_range=[-8.5,-2.0] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n18' & modelident='_??' & parmodelident='_01' & modelfile='full' & w_xsize=800 & w_ysize=348 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,6000.] - 800.) & rho_range=[-8.5,-2.0] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n19' & modelident='_??' & parmodelident='_03' & modelfile='full' & w_xsize≈te=800 & w_ysize=348 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,6000.] - 800.) & rho_range=[-8.5,-2.0] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n20' & modelident='_??' & parmodelident='_02' & modelfile='full' & w_xsize=800 & w_ysize=348 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,6000.] - 800.) & rho_range=[-8.5,-2.0] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n21' & modelident='_??' & parmodelident='_02' & modelfile='full' & w_xsize=800 & w_ysize=348 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,6000.] - 800.) & rho_range=[-8.5,-2.0] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n23' & modelident='_??' & parmodelident='_15' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n24' & modelident='_??' & parmodelident='_10' & modelfile='full' & w_xsize=800 & w_ysize=348 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,6000.] - 800.) & rho_range=[-8.5,-2.0] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n25' & modelident='_??' & parmodelident='_02' & modelfile='full' & w_xsize=800 & w_ysize=348 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,6000.] - 800.) & rho_range=[-8.5,-2.0] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n26' & modelident='_??' & parmodelident='_15' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n28' & modelident='_??' & parmodelident='_06' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n29' & modelident='_??' & parmodelident='_10' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n31' & modelident='_??' & parmodelident='_03' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt18g55mm00n32' & modelident='_??' & parmodelident='_39' & modelfile='full' & w_xsize=800 & w_ysize=324 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5000.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;
  ;model='mt19g50mm00n01' & modelident='_??' & parmodelident='_05' & modelfile='full' & w_xsize=800 & w_ysize=316 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5100.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt19g50mm00n02' & modelident='_??' & parmodelident='_20' & modelfile='full' & w_xsize=800 & w_ysize=320 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5100.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;
  ;model='mt20g50mm00n01' & modelident='_??' & parmodelident='_11' & modelfile='full' & w_xsize=800 & w_ysize=316 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5200.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt20g50mm00n03' & modelident='_??' & parmodelident='_06' & modelfile='full' & w_xsize=800 & w_ysize=340 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5200.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
;#
  ;model='mt20g50mm00n09' & modelident='_???' & parmodelident='_200' & modelfile='mean' & w_xsize=800 & w_ysize=352 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5200.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=5.0E-05 & dP_scale=14.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*1.2E+06 & qucallm1orho_range=[0.0,0.5] &$
  ;model='mt20g50mm00n11' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=400 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5200.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=5.0E-05 & dP_scale=14.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*1.2E+06 & qucallm1orho_range=[0.0,0.5] &$
  ;model='mt20g50mm00n12' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=448 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5200.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=5.0E-05 & dP_scale=14.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*1.2E+06 & qucallm1orho_range=[0.0,0.5] &$
  ;
  ;model='mt22g40mm00n01' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=352 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=1.0E+02 & ds_range=[-1.0,1.0]*2.0E+06 &$
  ;model='mt22g50mm00n01' & modelident='_??' & parmodelident='_05' & modelfile='full' & w_xsize=800 & w_ysize=316 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt22g50mm00n02' & modelident='_??' & parmodelident='_08' & modelfile='full' & w_xsize=800 & w_ysize=316 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt22g50mm00n03' & modelident='_??' & parmodelident='_02' & modelfile='full' & w_xsize=800 & w_ysize=316 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 &$
  ;model='mt22g50mm00n05' & modelident='_??' & parmodelident='_15' & modelfile='full' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*2.0E+06 &$
  ;model='mt22g50mm00n06' & modelident='_??' & parmodelident='_01' & modelfile='full' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*2.0E+06 &$
  ;model='mt22g50mm00n07' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*2.0E+06 &$
;#
  ;model='mt22g50mm00n08' & modelident='_??' & parmodelident='_50' & modelfile='mean' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=4.0E-05 & dP_scale=10.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*2.0E+06 & qucallm1orho_range=[0.0,0.4] &$
  ;model='mt22g50mm00n09' & modelident='_???' & parmodelident='_300' & modelfile='mean' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=4.0E-05 & dP_scale=10.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*2.0E+06 & qucallm1orho_range=[0.0,0.4] &$
  ;model='mt22g50mm00n10' & modelident='_???' & parmodelident='_200' & modelfile='mean' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=4.0E-05 & dP_scale=10.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*2.0E+06 & qucallm1orho_range=[0.0,0.4] &$
  ;model='mt22g50mm00n11' & modelident='_???' & parmodelident='_200' & modelfile='mean' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=4.0E-05 & dP_scale=10.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*2.0E+06 & qucallm1orho_range=[0.0,0.4] &$
  ;model='mt22g50mm00n13' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=400 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=4.0E-05 & dP_scale=10.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*2.0E+06 & qucallm1orho_range=[0.0,0.4] &$
  ;model='mt22g50mm00n14' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=448 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=4.0E-05 & dP_scale=10.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*2.0E+06 & qucallm1orho_range=[0.0,0.4] &$
  ;
  ;model='mt24g40mm00n01' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=376 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=8E+01 & ds_range=[-1.0,1.0]*2.5E+06 &$
  ;model='mt24g50mm00n01' & modelident='_??' & parmodelident='_20' & modelfile='full' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*2.5E+06 &$
;#
  ;model='mt24g50mm00n02' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=432 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=4.0E-05 & dP_scale=8.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*3.0E+06  & qucallm1orho_range=[0.0,0.3] &$
  ;model='mt24g50mm00n03' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=432 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=4.0E-05 & dP_scale=8.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*3.0E+06  & qucallm1orho_range=[0.0,0.3] &$
  ;
  ;model='mt26g50mm00n01' & modelident='_??' & parmodelident='_03' & modelfile='full' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*3.0E+06 &$
  ;model='mt26g50mm00n02' & modelident='_??' & parmodelident='_04' & modelfile='full' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*3.0E+06 &$
;#
  ;model='mt26g50mm00n05' & modelident='_???' & parmodelident='_140' & modelfile='mean' & w_xsize=800 & w_ysize=432 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=4.0E-05 & dP_scale=8.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*3.0E+06  & qucallm1orho_range=[0.0,0.2] &$
  ;model='mt26g50mm00n06a' & modelident='_???' & parmodelident='_001' & modelfile='mean' & w_xsize=800 & w_ysize=432 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=4.0E-05 & dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*3.0E+06 &$
  ;model='mt26g50mm00n07' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=480 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=4.0E-05 & dP_scale=8.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*3.0E+06  & qucallm1orho_range=[0.0,0.2] &$
  ;
  ;model='mt28g40mm00n01' & modelident='_??' & parmodelident='_03' & modelfile='full' & w_xsize=800 & w_ysize=424 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*20.0E+06 &$
  ;model='mt28g50mm00n01' & modelident='_??' & parmodelident='_15' & modelfile='full' & w_xsize=800 & w_ysize=336 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*5.0E+06 &$
  ;model='mt28g50mm00n03' & modelident='_???' & parmodelident='_200' & modelfile='mean' & w_xsize=800 & w_ysize=464 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=5.0E-05 & dP_scale=2.0E+04 & vort_scale=1.0E+01 & ds_range=[-1.0,1.0]*4.0E+06  & qucallm1orho_range=[1.9E-03,8.0E-3] &$
  ;model='mt28g50mm00n04' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=496 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=5.0E-05 & dP_scale=2.0E+04 & vort_scale=1.0E+01 & ds_range=[-1.0,1.0]*4.0E+06  & qucallm1orho_range=[1.9E-03,8.0E-3] &$
  ;model='mt28g50mm00n05' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=496 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=5.0E-05 & dP_scale=2.0E+04 & vort_scale=1.0E+01 & ds_range=[-1.0,1.0]*4.0E+06  & qucallm1orho_range=[1.9E-03,8.0E-3] &$
  ;
  ;model='mt30g50mm00n01' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=352 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt30g50mm00n02' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=352 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.5E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt30g50mm00n05' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=368 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=5.0E+03 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt30g50mm00n06' & modelident='_01' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=368 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=5.0E+03 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt30g50mm00n07' & modelident='_01' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=368 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=5.0E+03 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt30g50mm00n08' & modelident='_01' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=368 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=5.0E+03 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt30g50mm00n10' & modelident='_???' & parmodelident='_150' & modelfile='mean' & w_xsize=800 & w_ysize=464 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=4.0E-05 & dP_scale=7.0E+03 & vort_scale=1.5E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt30g50mm00n11' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=464 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=4.0E-05 & dP_scale=7.0E+03 & vort_scale=1.5E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;
  ;model='mt32g40mm00n01' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=456 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*20.0E+06 &$
  ;model='mt32g40mm00n03' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=456 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=5.0E+03 & vort_scale=1.5E+01 & ds_range=[-1.0,1.0]*25.0E+06 &$
  ;model='mt32g50mm00n02' & modelident='_???' & parmodelident='_120' & modelfile='mean' & w_xsize=800 & w_ysize=544 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=3.0E-05 & dP_scale=4.0E+04 & vort_scale=1.7E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;
  ;model='mt33g40mm00n01' & modelident='_?5' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=456 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=2.0E+03 & vort_scale=1.5E+01 & ds_range=[-1.0,1.0]*25.0E+06 &$
;#
  ;model='mt33g45mm00n02' & modelident='_???' & parmodelident='_140' & modelfile='mean' & w_xsize=800 & w_ysize=576 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.0E-05 & dP_scale=2.0E+03 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*8.0E+06 &$
  ;model='mt33g45mm00n03' & modelident='_???' & parmodelident='_180' & modelfile='mean' & w_xsize=800 & w_ysize=576 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.0E-05 & dP_scale=2.0E+03 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*8.0E+06 &$
  ;model='mt33g45mm00n04' & modelident='_???' & parmodelident='_100' & modelfile='mean' & w_xsize=800 & w_ysize=576 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.0E-05 & dP_scale=2.0E+03 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*8.0E+06 &$

  ;model='mt33g50mm00n02' & modelident='_???' & parmodelident='_080' & modelfile='mean' & w_xsize=800 & w_ysize=528 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.5E-05 & dP_scale=3.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt33g50mm00n04' & modelident='_???' & parmodelident='_170' & modelfile='mean' & w_xsize=800 & w_ysize=528 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.5E-05 & dP_scale=3.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt33g50mm00n05' & modelident='_???' & parmodelident='_012' & modelfile='mean' & w_xsize=800 & w_ysize=528 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.5E-05 & dP_scale=3.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt33g50mm00n06' & modelident='_???' & parmodelident='_025' & modelfile='mean' & w_xsize=800 & w_ysize=528 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.5E-05 & dP_scale=3.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt33g50mm00n07' & modelident='_???' & parmodelident='_200' & modelfile='mean' & w_xsize=800 & w_ysize=544 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.5E-05 & dP_scale=3.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt33g50mm00n08' & modelident='_???' & parmodelident='_200' & modelfile='mean' & w_xsize=800 & w_ysize=544 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.5E-05 & dP_scale=3.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt33g50mm00n08' & modelident='_???' & parmodelident='_200' & modelfile='chu2' & w_xsize=640 & w_ysize=656 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=5.0E-05 & dP_scale=5.0E+03 & vort_scale=4.0E+01 & ds_range=[-1.0,1.0]*40.0E+06 &$
  ;model='mt33g50mm00n08' & modelident='_???' & parmodelident='_200' & modelfile='chu3' & w_xsize=640 & w_ysize=656 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.5E-05 & dP_scale=2.0E+04 & vort_scale=1.0E+01 & ds_range=[-1.0,1.0]*15.0E+06 &$
  ;model='mt33g50mm00n09' & modelident='_???' & parmodelident='_009' & modelfile='mean' & w_xsize=800 & w_ysize=320 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.5E-05 & dP_scale=3.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt33g50mm00n10' & modelident='_???' & parmodelident='_047' & modelfile='mean' & w_xsize=1024 & w_ysize=224 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.5E-05 & dP_scale=3.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*15.0E+06 &$
  ;model='mt33g50mm00n11' & modelident='_???' & parmodelident='_120' & modelfile='mean' & w_xsize=800 & w_ysize=544 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.5E-05 & dP_scale=3.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt33g50mm00n12' & modelident='_???' & parmodelident='_048' & modelfile='mean' & w_xsize=800 & w_ysize=544 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.5E-05 & dP_scale=3.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*10.0E+06 &$
  ;model='mt33g50mm00n13' & modelident='_???' & parmodelident='_120' & modelfile='mean' & w_xsize=800 & w_ysize=544 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ; v_scale=2.5E-05 & dP_scale=3.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*15.0E+06 &$
  ;
  ;model='mt35g50mm00n01' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=464 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([1500.,8000.] - 1300.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=1.0E+04 & vort_scale=2.0E+01 & ds_range=[-1.0,1.0]*20.0E+06 &$
  ;model='mt35g50mm00n02' & modelident='_???' & parmodelident='_120' & modelfile='mean' & w_xsize=800 & w_ysize=592 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.5E-05 & dP_scale=3.0E+03 & vort_scale=1.0E+01 & ds_range=[-1.0,1.0]*14.0E+06 &$
  ;
  ;model='mt40g50mm00n01' & modelident='_??' & parmodelident='' & modelfile='full' & w_xsize=800 & w_ysize=576 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([1500.,8000.] - 1300.) & rho_range=[-8.5,-2.5] &$
  ;  dP_scale=2.0E+03 & vort_scale=1.0E+01 & ds_range=[-1.0,1.0]*20.0E+06 &$
  ;model='mt40g50mm00n04' & modelident='_???' & parmodelident='_027' & modelfile='mean' & w_xsize=800 & w_ysize=800 &$
  ;  T_exe='q=alog10((q-800.0) > 200.0)' & T_range=alog10([900.,5400.] - 800.) & rho_range=[-8.5,-2.5] &$
  ;  v_scale=2.0E-05 & dP_scale=3.0E+02 & vort_scale=1.0E+01 & ds_range=[-1.0,1.0]*20.0E+06 &$
  ;
  w_swap=0 &$
  ;
  ;#
  n_timestep=100000L &$
  ;
  ;n_subframe=2 & q_weightmode=2 &$
  n_subframe=1 & q_weightmode=0 &$
  jpg_flag=1 &$
  single_frame=1 &$
  ;mpg_quality=95 &$
  mpg_quality=-1 &$
  ;xfac=1.0E-02 & xunit='m' &$
  xfac=1.0E-05 & xunit='km' &$
  ;xfac=1.0E-08 & xunit='Mm' &$
  ;xfac=1.0E-11 & xunit='Gm' &$
  ;xfac=1.0/!con.Rsun & xunit='R!DSun!N' &$
  ;
endif
; ================================

if (parmodelident eq '') then parmodelident=modeltable[(where(modeltable.model eq model))[0]].parmodelident

eosdisk=getenv('HOME') + '/for/eos/dat/'
opadisk=getenv('HOME') + '/for/opa/dat/'

if (modelfile eq 'chu1') then begin &$
  f_id='-c1' &$
endif else if (modelfile eq 'chu2') then begin &$
  f_id='-c2' &$
endif else if (modelfile eq 'chu3') then begin &$
  f_id='-c3' &$
endif else begin &$
  f_id='' &$
endelse

modeldisk=getenv('HOME') + '/dat/rhd/d' + model + '/'
;modeldisk=getenv('HOME') + '/dat/job/j1/'
;modelfile='mean'
;modelfile=modeldisk + model + modelident + '.mean'
;modelfile=modeldisk + model + modelident + '.full'

; --- Read EOS file ---
par=uio_struct_rd(modeldisk + model + parmodelident + '.par')
if (n_elements(EOS) eq 0) then begin &$
  tabinter_rdcoeff, eosdisk + par.eosfile, EOS &$
  dfopta, opadisk + par.opafile &$
endif

!P.BACKGROUND=!ctv.black
!P.CHARSIZE=1.3
;!P.CHARSIZE=1.2
;!P.CHARSIZE=0.9
;!X.STYLE=0      & !Y.STYLE=0  &  !X.MARGIN=[7,1] & !Y.MARGIN=[2,1]
;!X.STYLE=0      & !Y.STYLE=0  &  !X.MARGIN=[7,1] & !Y.MARGIN=[4,1]
!X.STYLE=0      & !Y.STYLE=0  &  !X.MARGIN=[8,1] & !Y.MARGIN=[4,1]
;!X.STYLE=0      & !Y.STYLE=0  &  !X.MARGIN=[10,1] & !Y.MARGIN=[4,1]
;!X.STYLE=5      & !Y.STYLE=5  &  !X.MARGIN=[0,0] & !Y.MARGIN=[0,0]
if (modelfile eq 'chu1') then begin &$
  !X.TITLE='y [' + xunit +']' & !Y.TITLE='z [' + xunit + ']' &$
endif else if (modelfile eq 'chu2') then begin &$
  !X.TITLE='x [' + xunit +']' & !Y.TITLE='y [' + xunit + ']' &$
endif else if (modelfile eq 'chu3') then begin &$
  !X.TITLE='x [' + xunit +']' & !Y.TITLE='y [' + xunit + ']' &$
endif else begin &$
  !X.TITLE='x [' + xunit +']' & !Y.TITLE='z [' + xunit + ']' &$
endelse
;
.run rhd_mpg

;; cepheids, BDs
if (1) then begin &$
  q_id='T' & q_title='Temperature' &$
  ;
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, eos=EOS, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='T'+f_id, q_title=q_title, q_weightmode=q_weightmode, $
     q_execute=T_exe, drange=T_range, $
     ;  q_execute='q=alog10((q-1300.0) > 200.0)', drange=alog10([1500.,200000.] - 1300.), $
     ;  q_execute='q=alog10((q-1800.0) > 200.0)', drange=alog10([2000.,65000.] - 1800.), $
     ;  q_execute='q=alog10((q-800.0) > 200.0)', drange=alog10([900.,4500.] - 800.), $
     ;q_execute='q=alog10((q-1300.0) > 200.0)', drange=alog10([1500.,80000.] - 1300.), $
     ;  q_execute='q=alog10((q-500.0) > 200.0)', drange=alog10([700.,100000.] - 500.), $
     ;  q_execute='q=alog10((q-2300.0) > 200.0)', drange=alog10([2500.,120000.] - 2300.), $
     ;  q_execute='q=alog10((q-1600.0) > 200.0)', drange=alog10([1800.,17000.] - 1600.), $
     ;  q_execute='q=alog10((q-6100.0) > 200.0)', drange=alog10([6300.,74000.] - 6100.), $
    n_subframe=n_subframe, $
    bubble=0, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct6 &$
endif

if (1) then begin &$
  q_id='T' & q_title='Temperature+Bubbles' &$
  ;
  !X.STYLE=5      & !Y.STYLE=5  &  !X.MARGIN=[0,0] & !Y.MARGIN=[0,0] &$
  ;
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, eos=EOS, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='Tbubble'+f_id, q_title=q_title, q_weightmode=q_weightmode, $
     q_execute=T_exe, drange=T_range, $
  ;   q_execute='q=alog10((q-1300.0) > 200.0)', drange=alog10([1500.,200000.] - 1300.), $
  ;   q_execute='q=alog10((q-1800.0) > 200.0)', drange=alog10([2000.,65000.] - 1800.), $
  ;   q_execute='q=alog10((q-800.0) > 200.0)', drange=alog10([900.,4500.] - 800.), $
  ;   q_execute='q=alog10((q-500.0) > 200.0)', drange=alog10([700.,100000.] - 500.), $
  ;   q_execute='q=alog10((q-2300.0) > 200.0)', drange=alog10([2500.,120000.] - 2300.), $
  ;    q_execute='q=alog10((q-7000.0) > 200.0)', drange=alog10([7200.,120000.] - 7000.), $
    n_subframe=n_subframe, $
    bubble=1, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct6 &$
  ;
  !X.STYLE=0      & !Y.STYLE=0  &  !X.MARGIN=[8,1] & !Y.MARGIN=[4,1] &$
endif

;; BDs, Sun
if (1) then begin &$
  q_id='s' & q_title='Entropy fluctuations' &$
  ;
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, eos=EOS, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='ds'+f_id, q_meansub=1, q_title=q_title, q_weightmode=q_weightmode, $
     ;  q_execute=s_exe, drange=ds_range, $
     ;drange=[-1.0,1.0]*1.0E+06, $
     drange=ds_range, $
     ;  q_execute='q=alog10((q-1300.0) > 200.0)', drange=alog10([1500.,200000.] - 1300.), $
     ;  q_execute='q=alog10((q-1800.0) > 200.0)', drange=alog10([2000.,65000.] - 1800.), $
     ;  q_execute='q=alog10((q-800.0) > 200.0)', drange=alog10([900.,4500.] - 800.), $
     ;  q_execute='q=alog10((q-1300.0) > 200.0)', drange=alog10([1500.,80000.] - 1300.), $
     ;  q_execute='q=alog10((q-500.0) > 200.0)', drange=alog10([700.,100000.] - 500.), $
     ;  q_execute='q=alog10((q-2300.0) > 200.0)', drange=alog10([2500.,120000.] - 2300.), $
     ;  q_execute='q=alog10((q-1600.0) > 200.0)', drange=alog10([1800.,17000.] - 1600.), $
     ;  q_execute='q=alog10((q-6100.0) > 200.0)', drange=alog10([6300.,74000.] - 6100.), $
    n_subframe=n_subframe, $
    bubble=0, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct8 &$
endif

;; cepheids
if (0) then begin &$
  q_id='rho' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+f_id, q_title='Density', q_weightmode=q_weightmode, $
    q_log10=1, $
    drange=rho_range, $
    ;drange=[-19.0,-7.5], $
    ;drange=[-17.0,-6.5], $
    ;drange=[-14.0,-8.0], $
    ;drange=[-10.0,-6.2], $
    ;  c_q_id='rho', c_levels=[1.0E-14,1.0E-10], c_color=[!ctv.white], c_thick=[1,2], $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    t_colorrange=!ctv.ct3 &$
endif

;; cepheids, BDs?, Sun
if (1) then begin &$
  q_id='P' &$
  rhd_mpg, model, q_id, n_firststep=1, n_timestep=n_timestep, $
    par=par, eos=EOS, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='dP'+f_id, q_title='dP', $
      ;q_log10=1, q_scale=dP_scale, q_weightmode=12, q_atan=1, drange=[-0.8,0.98], $
    q_log10=1, q_scale=dP_scale, q_weightmode=13, q_atan=1, drange=[-0.8,0.98], $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    t_colorrange=!ctv.ct3 &$
endif


;; cepheids, BDs, Sun
if (1) then begin &$
  q_id='v' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='v'+f_id, q_title='Velocity', $
    q_atan=1, drange=[0.0,0.95], $
    q_scale=sqrt(v_scale), q_execute='q=sqrt(q)', $
    ;q_scale= 3.0E-05, $
    ;q_scale= 3.0E-03, q_execute='q=q^0.6', $
    ;q_scale= 20.0E-03, q_execute='q=sqrt(q)', $
    ;q_scale= 12.0E-03, q_execute='q=sqrt(q)', $
    ;q_scale= 8.0E-03, q_execute='q=sqrt(q)', $
    ;q_scale= 4.0E-03, q_execute='q=sqrt(q)', $
    ;q_scale= 2.0E-03, q_execute='q=sqrt(q)', $
    n_subframe=n_subframe, q_weightmode=q_weightmode, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    t_colorrange=!ctv.ct1 &$
endif

if (0) then begin &$
  q_id='divV' &$
  rhd_mpg, model, q_id, n_firststep=2, n_timestep=n_timestep, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='ddivV'+f_id, q_title='ddiv(V12)', $
      q_scale=-1.0E07, q_atan=1, drange=[-0.8,1.0], $
    n_subframe=n_subframe, q_weightmode=11, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    bubble=0, b_rgb=[0.0,60.0,70.0], $
    t_colorrange=!ctv.ct3 &$
endif

if (0) then begin &$
  q_id='divV' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, single_frame=single_frame, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='divVbubble'+f_id, q_title='div(V12)+Bubbles', q_weightmode=2, $
      q_scale=-1.0E07, q_atan=1, drange=[-0.8,1.2], $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    bubble=1, b_rgb=[0.0,60.0,70.0], $
    t_colorrange=!ctv.ct3 &$
endif

if (0) then begin &$
  q_id='absvort' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='absvort'+f_id, q_title='Vorticity', $
    q_atan=1, drange=[0.0,1.0], $
    q_scale=vort_scale, $
    ;q_scale= 3.0E01, q_atan=1, drange=[-1.0,1.0], $
    ; q_scale= 1.0E02, q_atan=1, drange=[-1.0,1.0], $
    ;q_scale= 2.0E02, q_atan=1, drange=[-1.0,1.0], $
    ; q_scale= 1.0E06, q_atan=1, drange=[-1.0,1.0], $
    n_subframe=n_subframe, q_weightmode=q_weightmode, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    t_colorrange=!ctv.ct0 &$
endif

;; cepheids, BDs, Sun
if (1) then begin &$
  q_id='vort' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    ;q_name='vort'+f_id, q_title='Vorticity1', $
    q_name='vort'+f_id, q_title='Vorticity2', $
    q_atan=1, drange=[-1.0,1.0], $
    q_scale=vort_scale, $
    ;q_scale= 3.0E01, q_atan=1, drange=[-1.0,1.0], $
    ; q_scale= 1.0E02, q_atan=1, drange=[-1.0,1.0], $
    ;q_scale= 2.0E02, q_atan=1, drange=[-1.0,1.0], $
    ; q_scale= 1.0E06, q_atan=1, drange=[-1.0,1.0], $
    n_subframe=n_subframe, q_weightmode=q_weightmode, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    t_colorrange=!ctv.ct0 &$
endif

if (0) then begin &$
  q_id='vort' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    ;q_name='vortbubble'+f_id, q_title='Vorticity1+Bubbles', $
    q_name='vortbubble'+f_id, q_title='Vorticity2+Bubbles', $
    q_atan=1, drange=[-1.0,1.2], $
    q_scale=vort_scale, $
   ;  q_scale= 5.0E06, $
   ;q_scale= 3.0E01, $
   ;  q_scale= 5.0E01, $
   ; q_scale= 1.0E02, $
   ;q_scale= 2.0E02, $
   ; q_scale= 1.0E06, $
    n_subframe=n_subframe, q_weightmode=q_weightmode, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    bubble=1, b_rgb=[0.0,60.0,70.0], $
    t_colorrange=!ctv.ct0 &$
endif

if (0) then begin &$
  q_id='quc001orho' &$
  rhd_mpg, model, q_id, n_time=n_timestep, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='quc001orhobubble'+f_id, q_title='dust concentration: dust/rho_gas', $
    q_execute='q=sqrt(q/5.0E+19)', drange=[0.0,1.15], $
   ;   c_q_id='t', c_levels=[3000.0, 6000.0, 9000.0, 12000.0], c_thick=[2,2,2,3], $
   ;   c_color=[!ctv.red, !ctv.yellow, !ctv.white, !ctv.cyan], $
    n_subframe=n_subframe, q_weightmode=q_weightmode, $
    bubble=1, b_rgb=[20.0,70.0,90.0], $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct3 &$
endif

if (0) then begin &$
  q_id='quc001orho' &$
  rhd_mpg, model, q_id, n_time=n_timestep, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='quc001orho'+f_id, q_title='dust concentration: dust/rho_gas', $
    q_execute='q=sqrt(q/5.0E+19)', drange=[0.0,1.05], $
   ;   c_q_id='t', c_levels=[3000.0, 6000.0, 9000.0, 12000.0], c_thick=[2,2,2,3], $
   ;   c_color=[!ctv.red, !ctv.yellow, !ctv.white, !ctv.cyan], $
    n_subframe=n_subframe, q_weightmode=q_weightmode, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct3 &$
endif

;; BDs
if (0) then begin &$
  q_id='qucallm1orho' &$
  rhd_mpg, model, q_id, n_time=n_timestep, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='qucallm1orho'+f_id, q_title='dust concentration: dust/rho_gas', $
    q_execute='q=sqrt(sqrt(q/0.0017545))', drange=qucallm1orho_range, $
   ; q_execute='q=sqrt(sqrt(q/0.0017545))', drange=[0.0,1.05], $
   ;q_execute='q=sqrt(sqrt(q/0.0017545))', drange=[4.1E-6,5.0E-2], $
   ;   c_q_id='t', c_levels=[3000.0, 6000.0, 9000.0, 12000.0], c_thick=[2,2,2,3], $
   ;   c_color=[!ctv.red, !ctv.yellow, !ctv.white, !ctv.cyan], $
    n_subframe=n_subframe, q_weightmode=q_weightmode, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct3 &$
endif

;; BDs
if (0) then begin &$
  q_id='qucallorho' &$
  rhd_mpg, model, q_id, n_time=n_timestep, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='qucallorho'+f_id, q_title='concentration: (dust+monomers)/rho_gas', $
    q_execute='q=sqrt(sqrt(q/0.0017545))', drange=[0.0,1.05], $
   ;   c_q_id='t', c_levels=[3000.0, 6000.0, 9000.0, 12000.0], c_thick=[2,2,2,3], $
   ;   c_color=[!ctv.red, !ctv.yellow, !ctv.white, !ctv.cyan], $
    n_subframe=n_subframe, q_weightmode=q_weightmode, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct3 &$
endif

if (0) then begin &$
  q_id='quc001orho' &$
  rhd_mpg, model, q_id, n_time=n_timestep, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='logquc001orho'+f_id, q_title='dust concentration: dust/rho_gas', $
    drange=[-9.0,0.5], $
    q_execute='q=alog10((q>1.0E10)/5.0E+19)', $
    n_subframe=n_subframe, q_weightmode=q_weightmode, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct3 &$
endif

if (0) then begin &$
  q_id='quc001orho' &$
  rhd_mpg, model, q_id, n_time=n_timestep, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='quc001orhobubble'+f_id, q_title='dust concentration: dust/rho_gas', $
    drange=[-9.0,0.5], $
    q_execute='q=alog10((q>1.0E10)/5.0E+19)', $
    n_subframe=n_subframe, q_weightmode=q_weightmode, $
    bubble=1, b_rgb=[20.0,70.0,90.0], $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct3 &$
endif

if (0) then begin &$
  q_id='quc001' &$
  rhd_mpg, model, q_id, n_time=n_timestep, $
    par=par, eos=EOS, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='quc001-tau'+f_id, q_title='dust', $
    drange=[0.0,1.05], $
    ;q_execute='q=sqrt(sqrt(q/1.4E+15))', $
    ;q_execute='q=sqrt(sqrt(q/2.5E+16))', $
    q_execute='q=sqrt(sqrt(q/5.0E+15))', $
    c_q_id='tauint_xdust', c_levels=[0.01, 1.0], c_thick=[1,1], $
    ;c_color=[!ctv.white, !ctv.white], $
    n_subframe=n_subframe, q_weightmode=q_weightmode, $
    ;bubble=1, b_rgb=[50.0,90.0,120.0], $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct3 &$
endif

;; MHD
if (0) then begin &$
  q_id='Bc' &$
  Bc_scale=0.25 &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='bc'+f_id, q_title='Magnetic field', $
    q_atan=1, drange=[0.0,1.0], $
    q_scale=Bc_scale, $
    n_subframe=n_subframe, q_weightmode=q_weightmode, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    t_colorrange=!ctv.ct0 &$
endif

;; MHD
if (0) then begin &$
  q_id='Bc3overBc' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, xfac=xfac, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='bc'+f_id, q_title='Magnetic field', $
    q_atan=1, drange=[-1.0,1.0], $
    q_scale=1.0, $
;    a_q_id='Bc', a_q_scale=0.25, a_q_atan=0, $
    n_subframe=n_subframe, q_weightmode=q_weightmode, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    t_colorrange=!ctv.ct2 &$
endif


!P.BACKGROUND=0
!P.CHARSIZE=0
!X.STYLE=0       & !Y.STYLE=0
!X.MARGIN=[12,3] & !Y.MARGIN=[4,2]
!X.TITLE=''      & !Y.TITLE=''

;exit

; end ; rhd_mpg_atmake
