; pro rhd_seq_extractv3stat
;
;---------------------------------------------------------------------------------------------------
;+
; NAME:
;   rhd_seq_extractv3stat ('rhd_sequence_extract_velocity_3_statistics')
;
; PURPOSE:
;   Extract statistics derived from average of sequence data
;
; CATEGORY:
;   RHD data analysis
;
; CALLING SEQUENCE:
;   @rhd_seq_extractv3stat
;
; INPUT:
;   None
;
; OUTPUT:
;   None
;
; KEYWORDS:
;   None
;
; COMMON BLOCKS:
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;   Before first use, type
;     udb_delete, seqDB
;
; PROCEDURE:
;
; EXAMPLE:
;
; TOOLS:
;
; MODIFICATION HISTORY:
;   2010-11-25 (B.F. Lyon) Written
;-
;---------------------------------------------------------------------------------------------------

seqFileName='allseqdb.sav'
qsmooth=0

; --- Load current model data base ---------------------------------------------
.run rhdmodeldata
rhdmodeldata, modDB
restore, 'allbasdb.sav', /verbose
; --- Restore full list of seq structures ---
if (n_elements(seqDB) eq 0) then begin &$
  print, 'Restore data from ' + seqFileName &$
  restore, seqFileName, /verbose &$
endif

; --- Get list of model names ---
ModelList=udb_ListAll(seqDB)
nModAll=n_elements(ModelList)
indModelList=indgen(nModAll)
indModelList=indModelList([where(udb_extract('Quality'   , ModelList[indModelList], modDB) ge 0.5           )])
;indModelList=indModelList([where(                   strmid(ModelList[indModelList], 0, 4) eq 'mt16')])
indModelList=indModelList([where(ModelList[indModelList] ne 'at71g43n01')])
indModelList=indModelList([where(ModelList[indModelList] ne 'at73g43n01')])
indModelList=indModelList([where(ModelList[indModelList] ne 'at75g44n01')])
indModelList=indModelList([where(ModelList[indModelList] ne 'at77g44n02')])
indModelList=indModelList([where(ModelList[indModelList] ne 'd3t35g50mm00w1')])
indModelList=indModelList([where(ModelList[indModelList] ne 'd3t50g45mm00n01')])
indModelList=indModelList([where(ModelList[indModelList] ne 'gt50g20n01')])
indModelList=indModelList([where(ModelList[indModelList] ne 'gt51g20n01')])
indModelList=indModelList([where(ModelList[indModelList] ne 'gt52g20n01')])
indModelList=indModelList([where(ModelList[indModelList] ne 'gt52g20n02')])
indModelList=indModelList([where(ModelList[indModelList] ne 'gt52g20n03')])
indModelList=indModelList([where(ModelList[indModelList] ne 'gt53g20n01')])
indModelList=indModelList([where(ModelList[indModelList] ne 'gt54g20n01')])
indModelList=indModelList([where(ModelList[indModelList] ne 'gt54g20n02')])
;indModelList=indModelList([where(ModelList[indModelList] ne 'gt57g44n004_2D_RHD')])
indModelList=indModelList([where(ModelList[indModelList] ne 'mt09g50mm00n02')])
indModelList=indModelList([where(ModelList[indModelList] ne 'mt09g50mm00n03')])
indModelList=indModelList([where(ModelList[indModelList] ne 'mt09g50mm00n04')])
indModelList=indModelList([where(ModelList[indModelList] ne 'mt09g50mm00n05')])
indModelList=indModelList([where(ModelList[indModelList] ne 'mt09g50mm00n06')])
indModelList=indModelList([where(ModelList[indModelList] ne 'mt12g50mm00n09')])
indModelList=indModelList([where(ModelList[indModelList] ne 'st28gm06n05')])
indModelList=indModelList([where(ModelList[indModelList] ne 'st28gm06n06')])
;indModelList=where(ModelList eq 'mt11g50mm00n04')
;indModelList=indgen(nModAll)
;nMod=n_elements(ModelList[indModelList])

.run rhd_seq_v3stat
rhd_seq_v3stat, basDB, seqDB, indModelList, v3DB0

v3Db=udb_convert('SoV', v3DB0)

save, file='allv3db.sav', v3DB

; end ; rhd_seq_extractv3stat
