; pro rhd_seqpp_collect_allbd
;
;------------------------------------------------------------------------------
;+
; NAME:
;   rhd_seqpp_collect ('radiation_hydrodynamics_sequence_plane-parallel_collect')
;
; PURPOSE:
;   Collect data from mean file.
;
; CATEGORY;
;   RHD, data handling
;
; CALLING SEQUENCE:
;   @rhd_seqpp_collect
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   17. 5.99 Written by Bernd Freytag, Astronomical Observatory Copenhagen
;    3. 4.01 (B.F. Uppsala) rhd_plot -> rhd_collect
;   10.10.03 (B.F.) rhd_collect -> rhd_seq_collect
;   17. 3.04 (B.F.) Modification of rhd_seq_collect -> rhd_seqpp_collect
;   2007-09-27 (B.F. Lyon) v1 added to seq structure
;   2008-02-26 (B.F.) Initialization and handling of structure seq put into subroutine
;   2009-10-10 (B.F.) Read meta data into par structure; some names put into CamelCase
;-
;------------------------------------------------------------------------------

BinFactor=20L

;ModelIdent=''
n_timestep_adjust=0

;model='mt07g50mm00n01' & ModelIdent='_??' & parModelIdent='_13'
;@rhd_seqpp_collect

;model='mt08g50mm00n01' & ModelIdent='_??' & parModelIdent='_16'
;@rhd_seqpp_collect

;model='mt09g35mm00n01' & ModelIdent='_??' & parModelIdent='_13'
;@rhd_seqpp_collect
;model='mt09g50mm00n01' & ModelIdent='_??' & parModelIdent='_21'
;@rhd_seqpp_collect
;model='mt09g50mm00n02' & ModelIdent='_??' & parModelIdent='_40'
;@rhd_seqpp_collect
;model='mt09g50mm00n03' & ModelIdent='_??' & parModelIdent='_40'
;@rhd_seqpp_collect
;model='mt09g50mm00n04' & ModelIdent='_??' & parModelIdent='_40'
;@rhd_seqpp_collect
;model='mt09g50mm00n05' & ModelIdent='_??' & parModelIdent='_40'
;@rhd_seqpp_collect
;model='mt09g50mm00n06' & ModelIdent='_??' & parModelIdent='_40'
;@rhd_seqpp_collect
;model='mt09g50mm00n07a' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt09g50mm00n07b' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt09g50mm00n08' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt09g50mm00n09' & ModelIdent='_??' & parModelIdent='_10'
;@rhd_seqpp_collect
;model='mt09g50mm00n10' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt09g50mm00n11' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect

;model='mt10g50mm00n01' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt10g50mm00n02' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt10g50mm00n03' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect

;model='mt11g50mm00n01' & ModelIdent='_??' & parModelIdent='_13'
;@rhd_seqpp_collect
;model='mt11g50mm00n02' & ModelIdent='_??' & parModelIdent='_11'
;@rhd_seqpp_collect
;model='mt11g50mm00n03' & ModelIdent='_??' & parModelIdent='_35'
;@rhd_seqpp_collect
;model='mt11g50mm00n04' & ModelIdent='_??' & parModelIdent='_12'
;@rhd_seqpp_collect
;model='mt11g50mm00n05' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect

;model='mt12g50mm00n01' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt12g50mm00n02' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt12g50mm00n03' & ModelIdent='_??' & parModelIdent='_21'
;@rhd_seqpp_collect
;model='mt12g50mm00n04' & ModelIdent='_??' & parModelIdent='_17'
;@rhd_seqpp_collect
;model='mt12g50mm00n05' & ModelIdent='_??' & parModelIdent='_17'
;@rhd_seqpp_collect
;model='mt12g50mm00n06' & ModelIdent='_??' & parModelIdent='_17'
;@rhd_seqpp_collect
;model='mt12g50mm00n07' & ModelIdent='_??' & parModelIdent='_15'
;@rhd_seqpp_collect
;model='mt12g50mm00n08' & ModelIdent='_??' & parModelIdent='_12'
;@rhd_seqpp_collect
;;model='mt12g50mm00n09' & ModelIdent='_??' & parModelIdent='_79' ; --- ToDo
;;@rhd_seqpp_collect
;model='mt12g50mm00n10' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect

;model='mt13g35mm00n01' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt13g40mm00n01' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt13g45mm00n01' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt13g50mm00n01' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt13g50mm00n02' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt13g50mm00n03' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt13g55mm00n01' & ModelIdent='_??' & parModelIdent='_10'
;@rhd_seqpp_collect
;model='mt13g55mm00n02' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect

;model='mt14g50mm00n01' & ModelIdent='_??' & parModelIdent='_15'
;@rhd_seqpp_collect
;model='mt14g50mm00n02' & ModelIdent='_??' & parModelIdent='_17'
;@rhd_seqpp_collect

;model='mt15g40mm00n01' & ModelIdent='_??' & parModelIdent='_07'
;@rhd_seqpp_collect
;model='mt15g50mm00n01' & ModelIdent='_??' & parModelIdent='_15'
;@rhd_seqpp_collect
;model='mt15g50mm00n02' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt15g50mm00n03' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt15g50mm00n04' & ModelIdent='_??' & parModelIdent='_15'
;@rhd_seqpp_collect
model='mt15g50mm00n05' & ModelIdent='_??' & parModelIdent='_20' ; --- ToDo
@rhd_seqpp_collect
;model='mt15g50mm00n06' & ModelIdent='_???' & parModelIdent='_150'
;@rhd_seqpp_collect

;model='mt15g50mm00n07' & ModelIdent='_??' & parModelIdent='_15'
;@rhd_seqpp_collect
model='mt15g50mm00n08' & ModelIdent='_??' & parModelIdent='_45' ; --- ToDo
@rhd_seqpp_collect
;model='mt15g50mm00n09' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt15g50mm00n10' & ModelIdent='_???' & parModelIdent='_035'
;@rhd_seqpp_collect

;model='mt16g40mm00n01' & ModelIdent='_??' & parModelIdent='_02'
;@rhd_seqpp_collect

;;model='mt16g50mm00n01a' & ModelIdent='_??' & parModelIdent='_01'
;;@rhd_seqpp_collect
;model='mt16g50mm00n02' & ModelIdent='_??' & parModelIdent='_10'
;@rhd_seqpp_collect
;model='mt16g50mm00n03' & ModelIdent='_??' & parModelIdent='_15'
;@rhd_seqpp_collect
;model='mt16g50mm00n04' & ModelIdent='_??' & parModelIdent='_08'
;@rhd_seqpp_collect
;model='mt16g50mm00n05' & ModelIdent='_??' & parModelIdent='_12'
;@rhd_seqpp_collect
;model='mt16g50mm00n06' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt16g50mm00n07' & ModelIdent='_??' & parModelIdent='_12'
;@rhd_seqpp_collect

;model='mt17g50mm00n01' & ModelIdent='_??' & parModelIdent='_14'
;@rhd_seqpp_collect
;model='mt17g50mm00n02' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect

;model='mt18g40mm00n01' & ModelIdent='_??' & parModelIdent='_03'
;@rhd_seqpp_collect
;model='d2t18g50mm00du3' & ModelIdent='.0?' & parModelIdent='.01'
;@rhd_seqpp_collect
;model='d2t18g50mm00du3' & ModelIdent='_03' & parModelIdent='_03'
;@rhd_seqpp_collect
;model='d2t18g50mm00du4' & ModelIdent='_03' & parModelIdent='_03'
;@rhd_seqpp_collect
;model='d2t18g50mm00du5' & ModelIdent='_03' & parModelIdent='_03'
;@rhd_seqpp_collect
;model='d2t18g50mm00due' & ModelIdent='_03' & parModelIdent='_03'
;@rhd_seqpp_collect
;model='mt18g50mm00n02' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect
;model='mt18g50mm00n03' & ModelIdent='_??' & parModelIdent='_08'
;@rhd_seqpp_collect
;model='mt18g50mm00n04' & ModelIdent='_??' & parModelIdent='_08'
;@rhd_seqpp_collect
;model='mt18g50mm00n06' & ModelIdent='_??' & parModelIdent='_15'
;@rhd_seqpp_collect
;model='mt18g50mm00n07' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
model='mt18g50mm00n08' & ModelIdent='_??' & parModelIdent='_20' ; --- ToDo
@rhd_seqpp_collect
;model='mt18g50mm00n09a' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g50mm00n09b' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
model='mt18g50mm00n10' & ModelIdent='_??' & parModelIdent='_40' ; --- ToDo
@rhd_seqpp_collect

;model='mt18g55mm00n02d' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n02e' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n03' & ModelIdent='_??' & parModelIdent='_02'
;@rhd_seqpp_collect
;model='mt18g55mm00n04' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n05' & ModelIdent='_??' & parModelIdent='_02'
;@rhd_seqpp_collect
;model='mt18g55mm00n06' & ModelIdent='_??' & parModelIdent='_02'
;@rhd_seqpp_collect
;model='mt18g55mm00n07' & ModelIdent='_??' & parModelIdent='_04'
;@rhd_seqpp_collect
;model='mt18g55mm00n08' & ModelIdent='_??' & parModelIdent='_07'
;@rhd_seqpp_collect
;model='mt18g55mm00n09' & ModelIdent='_??' & parModelIdent='_09'
;@rhd_seqpp_collect
;model='mt18g55mm00n10' & ModelIdent='_??' & parModelIdent='_02'
;@rhd_seqpp_collect
;model='mt18g55mm00n11' & ModelIdent='_??' & parModelIdent='_02'
;@rhd_seqpp_collect
;model='mt18g55mm00n13c' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n14' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n15' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect
;model='mt18g55mm00n16' & ModelIdent='_??' & parModelIdent='_03'
;@rhd_seqpp_collect
;model='mt18g55mm00n17' & ModelIdent='_??' & parModelIdent='_03'
;@rhd_seqpp_collect
;model='mt18g55mm00n18' & ModelIdent='_??' & parModelIdent='_02'
;@rhd_seqpp_collect
;model='mt18g55mm00n19' & ModelIdent='_??' & parModelIdent='_03'
;@rhd_seqpp_collect
;model='mt18g55mm00n20' & ModelIdent='_??' & parModelIdent='_02'
;@rhd_seqpp_collect
;model='mt18g55mm00n21' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n22a' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n22b' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n23' & ModelIdent='_??' & parModelIdent='_15'
;@rhd_seqpp_collect
;model='mt18g55mm00n24' & ModelIdent='_??' & parModelIdent='_10'
;@rhd_seqpp_collect
;model='mt18g55mm00n25' & ModelIdent='_??' & parModelIdent='_02'
;@rhd_seqpp_collect
;model='mt18g55mm00n26' & ModelIdent='_??' & parModelIdent='_15'
;@rhd_seqpp_collect
;model='mt18g55mm00n27' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n28' & ModelIdent='_??' & parModelIdent='_06'
;@rhd_seqpp_collect
;model='mt18g55mm00n29' & ModelIdent='_??' & parModelIdent='_09'
;@rhd_seqpp_collect
;model='mt18g55mm00n29a' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n29b' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n29c' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n29d' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n29e' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n29f' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n29g' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt18g55mm00n30' & ModelIdent='_??' & parModelIdent='_07'
;@rhd_seqpp_collect
;model='mt18g55mm00n31' & ModelIdent='_??' & parModelIdent='_03'
;@rhd_seqpp_collect
;model='mt18g55mm00n32' & ModelIdent='_??' & parModelIdent='_39'
;@rhd_seqpp_collect

;model='mt19g50mm00n01' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect
;model='mt19g50mm00n02' & ModelIdent='_[12]?' & parModelIdent='_23'
;@rhd_seqpp_collect
;model='mt19g50mm00n03' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect

;model='mt20g50mm00n01' & ModelIdent='_??' & parModelIdent='_11'
;@rhd_seqpp_collect
;model='mt20g50mm00n02' & ModelIdent='_??' & parModelIdent='_10'
;@rhd_seqpp_collect
;model='mt20g50mm00n03' & ModelIdent='_??' & parModelIdent='_09'
;@rhd_seqpp_collect
;model='mt20g50mm00n04' & ModelIdent='_??' & parModelIdent='_04'
;@rhd_seqpp_collect
;model='mt20g50mm00n05' & ModelIdent='_{0[3-9],1[0-9],20}' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt20g50mm00n06' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt20g50mm00n07' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt20g50mm00n08' & ModelIdent='_??' & parModelIdent='_10'
;@rhd_seqpp_collect

;model='mt22g50mm00n01' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect
;model='mt22g50mm00n02' & ModelIdent='_??' & parModelIdent='_08'
;@rhd_seqpp_collect
;model='mt22g50mm00n03' & ModelIdent='_??' & parModelIdent='_02'
;@rhd_seqpp_collect
;model='mt22g50mm00n04' & ModelIdent='_??' & parModelIdent='_09'
;@rhd_seqpp_collect
;model='mt22g50mm00n05' & ModelIdent='_??' & parModelIdent='_15'
;@rhd_seqpp_collect
model='mt22g50mm00n06' & ModelIdent='_??' & parModelIdent='_20' ; --- ToDo
@rhd_seqpp_collect 
model='mt22g50mm00n07' & ModelIdent='_??' & parModelIdent='_40' ; --- ToDo
@rhd_seqpp_collect
;model='mt22g50mm00n08' & ModelIdent='_??' & parModelIdent='_44'
;@rhd_seqpp_collect

;model='mt24g50mm00n01' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect

;model='mt26g50mm00n01' & ModelIdent='_??' & parModelIdent='_15'
;@rhd_seqpp_collect
;model='mt26g50mm00n02' & ModelIdent='_??' & parModelIdent='_15'
;@rhd_seqpp_collect

;model='mt28g50mm00n01' & ModelIdent='_??' & parModelIdent='_15'
;@rhd_seqpp_collect
;model='mt28g50mm00n02' & ModelIdent='_??' & parModelIdent='_10'
;@rhd_seqpp_collect

;model='mt30g40mm00n01' & ModelIdent='_??' & parModelIdent='_06'
;@rhd_seqpp_collect
;model='mt30g50mm00n01' & ModelIdent='_??' & parModelIdent='_20'
;@rhd_seqpp_collect
;model='mt30g50mm00n02' & ModelIdent='_??' & parModelIdent='_06'
;@rhd_seqpp_collect
;model='mt30g50mm00n03' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect
;model='mt30g50mm00n04' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect

;model='mt32g40mm00n01' & ModelIdent='_??' & parModelIdent='_06'
;@rhd_seqpp_collect
;model='mt32g40mm00n02' & ModelIdent='_??' & parModelIdent='_06'
;@rhd_seqpp_collect
;model='mt32g40mm00n03' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect
;model='mt32g50mm00n01' & ModelIdent='_??' & parModelIdent='_06'
;@rhd_seqpp_collect

;model='mt33g30mm00n01' & ModelIdent='_??' & parModelIdent='_01'
;@rhd_seqpp_collect
;model='mt33g35mm00n01' & ModelIdent='_??' & parModelIdent='_03'
;@rhd_seqpp_collect
;model='mt33g40mm00n01' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect
;model='mt33g40mm00n02' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect
;model='mt33g40mm00n03' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect
;model='mt33g45mm00n01' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect
;model='mt33g50mm00n01' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect

;model='mt35g40mm00n01' & ModelIdent='_??' & parModelIdent='_06'
;@rhd_seqpp_collect
;model='mt35g40mm00n02' & ModelIdent='_??' & parModelIdent='_06'
;@rhd_seqpp_collect
;model='mt35g40mm00n03' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect
;model='mt35g40mm00n04' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect
;model='mt35g50mm00n01' & ModelIdent='_??' & parModelIdent='_06'
;@rhd_seqpp_collect

;model='mt40g50mm00n01' & ModelIdent='_??' & parModelIdent='_06'
;@rhd_seqpp_collect
;model='mt40g50mm00n02' & ModelIdent='_??' & parModelIdent='_05'
;@rhd_seqpp_collect

; end ; rhd_seq_collect_allbd
