;iFile=(where(intensSaveFileList eq 'mt33g35mm00n01_intens.sav'))[0]
;iFile=(where(intensSaveFileList eq 'mt15g50mm00n06_intens.sav'))[0]
;iFile=(where(intensSaveFileList eq 'mt22g50mm00n08_intens.sav'))[0]
iFile=(where(intensSaveFileList eq 'd3gt57g44n94_intens.sav'))[0]
;iFile=(where(intensSaveFileList eq 'd3t55g45mm00n01_intens.sav'))[0]

  intens=0 &$
  file=intensSaveFileList[iFile] &$
  restore, file &$
  ;model=strmid(file,0,strlen(file)-11) &$
  model=intens.model &$
  print, 'Restore data for ''' + model + ''' from ''' + file + ''''


  if (intens.time[n_elements(intens.time)-1L] eq 0.0) then print, '### Warning: last time entry empty #########################' &$
  ; --- Get averaging interval ---
  mtime=long((udb_extract('mMeanAvg', [model], moddb))[0]) &$
  ntime=long((udb_extract('nMeanAvg', [model], moddb))[0]) &$
  mtime=0L > mtime < (n_elements(intens.time)-1L) &$
  if (ntime eq 0L) then ntime=999999L &$
  ntime=mtime > ntime < (n_elements(intens.time)-1L) &$
  ; --- Dimensions of data set ---
  nx1=n_elements(intens.I3r[*,0,0]) &$
  nx2=n_elements(intens.I3r[0,*,0]) &$
  nt =ntime-mtime+1L &$
  ; --- Determine average and contrast ---
  intenxavg=fltarr(nt) &$
  for it=mtime,ntime do begin &$
    intenxavg[it-mtime]=avg(double(intens.I3r[*,*,it])) &$
  endfor &$ ; it
  intenaavg=avg(intenxavg) &$
  intrmsatotal=0.0 &$
  for it=mtime,ntime do begin &$
    intrmsatotal=intrmsatotal + total((intens.I3r[*,*,it]-intenaavg)^2) &$
  endfor &$ ; it
  intrmsaa=sqrt(intrmsatotal/float(nx1*nx2*nt))/intenaavg &$
  intrmsta=sqrt(avg( (intenxavg -intenaavg)^2) )/intenaavg &$
  ;
  ; --- Put results into database ---
  intdb[iFile].model      =model &$
  intdb[iFile].mtime      =mtime &$
  intdb[iFile].ntime      =ntime &$
  intdb[iFile].itime_first=intens.itime[mtime] &$
  intdb[iFile].itime_last =intens.itime[ntime] &$
  intdb[iFile].time_first =intens.time[mtime] &$
  intdb[iFile].time_last  =intens.time[ntime] &$
  intdb[iFile].intmean    =avg(intenxavg) &$
  intdb[iFile].intadrms   =intrmsaa &$
  intdb[iFile].inttdrms   =intrmsta &$
  ; --- FFT ---
  ; --- Masks ---
  x1tot=intens.mean.rad.xb1[nx1]-intens.mean.rad.xb1[0] &$
  xp1mask=sqrt(rebin(reform((findgen(nx1)-((2.0*findgen(nx1)-nx1) > 0.0))^2, nx1, 1   ), nx1, nx2) + $
               rebin(reform((findgen(nx2)-((2.0*findgen(nx2)-nx2) > 0.0))^2, 1   , nx2), nx1, nx2)  ) &$
  xm1mask=fltarr(nx1, nx2) &$
  ind=where(xp1mask ne 0.0) &$
  xm1mask[ind]=1.0/xp1mask[ind] &$
  fftq=fltarr(nx1,nx2) &$
  for it=mtime,ntime do begin &$
    q=intens.I3r[*,*,it]-intenaavg &$
    fftq=fftq+abs(fft(q))^2 &$
  endfor &$ ; it
  totalfftq=total(fftq) &$
  if (totalfftq ne 0.0) then begin &$
    totalfftq=1.0/totalfftq &$
  endif &$
  fftq=fftq*totalfftq &$
  xp1qfft=total(xp1mask*fftq) &$
  if (xp1qfft ne 0.0) then begin &$
    xp1qfft=x1tot/xp1qfft &$
  endif &$
  intdb[iFile].xm1intfft=x1tot*total(xm1mask*fftq) &$
  intdb[iFile].xp1intfft=xp1qfft

