; pro rhd_vr_collect
;
;------------------------------------------------------------------------------
;+
; NAME:
;   rhd_vr_collect ('radiation_hydrodynamics_velocity_radial_collect')
;
; PURPOSE:
;   Collect data from mean file.
;
; CATEGORY;
;   RHD, data handling
;
; CALLING SEQUENCE:
;   @rhd_vr_collect
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   2004-06-09 (B.F.) rhd_seq_collect -> rhd_vr_collect
;-
;------------------------------------------------------------------------------
;
modelident='' & n_timestep_adjust=0
;model='st26gm09n02' & modelident='_??' & parmodelident='_07' 
;model='st28gm06n01' & modelident='_??' & parmodelident='_08'
model='st28gm06n02' & modelident='_??' & parmodelident='_29'
;model='st28gm06n05' & modelident='_??' & parmodelident='_22'
;model='st28gm06n06' & modelident='_??' & parmodelident='_23'
;model='st33gm06n03' & modelident='_00-60' & parmodelident='_01'
;model='st35gm06n01' & modelident='_02-03' & parmodelident='_02'
;model='st35gm06n02' & modelident='_??' & parmodelident='_20'
;model='st35gm04n01' & modelident='_??' & parmodelident='_50' & n_timestep=228
;model='st35gm04n02' & modelident='_??' & parmodelident='_27' & n_timestep=415
;model='st35gm04n03' & modelident='_??' & parmodelident='_26' & n_timestep=518
;model='st35gm04n04' & modelident='_??' & parmodelident='_38' & n_timestep=648 ; dtime=0.193298E+09
;model='st35gm04n05' & modelident='_??' & parmodelident='_50' & n_timestep=307
;model='st35gm04n06' & modelident='_??' & parmodelident='_15' & n_timestep=235
;model='st35gm04n07' & modelident='_??' & parmodelident='_41' & n_timestep=242
;model='st35gm04n08' & modelident='_??' & parmodelident='_01'
;model='st35gm04n20' & modelident='_??' & parmodelident='_04'
;model='st35gm04n21' & modelident='_??' & parmodelident='_13'
;model='st35gm04n22' & modelident='_??' & parmodelident='_42'
;model='st35gm04n23' & modelident='_0[1-7]' & parmodelident='_07'
;model='st35gm04n24' & modelident='_??' & parmodelident='_12'
;model='st35gm04n25' & modelident='_??' & parmodelident='_27'
;model='st35gm04n26' & modelident='_??' & parmodelident='_75'
;model='st35gm04n27' & modelident='_??' & parmodelident='_08'
;model='st35gm04n28' & modelident='_??' & parmodelident='_55' & n_timestep_adjust=-15
;model='st35gm04n29' & modelident='_??' & parmodelident='_30'
;model='st35gm04n30' & modelident='_??' & parmodelident='_20'
;model='st35gm04n31' & modelident='_??' & parmodelident='_40'
;model='st35gm04n32' & modelident='_??' & parmodelident='_15' & n_timestep_adjust=-1
;model='st35gm04n33' & modelident='_??' & parmodelident='_26'

;model='st35gm03n01' & modelident='_??' & parmodelident='_03'
;model='st35gm03n02' & modelident='_??' & parmodelident='_11' & n_timestep_adjust=-19
;model='st40gm03n01' & modelident='_??' & parmodelident='_14'
;model='st40gm03n02' & modelident='_??' & parmodelident='_38' & n_timestep_adjust=-9
;model='st40gm03n03' & modelident='_??' & parmodelident='_05'
;model='st40gm03n04' & modelident='_??' & parmodelident='_18'
;model='st45gm03n01' & modelident='_??' & parmodelident='_07' & n_timestep_adjust=-5
;model='st45gm03n02' & modelident='_??' & parmodelident='_07' & n_timestep_adjust=0

;model='st47g20n04' & modelident='_??' & parmodelident='_01'
;model='st47g20n05' & modelident='_??' & parmodelident='_01'
;model='st57g44n08'  & modelident='_??' & parmodelident='_13'
;model='st57g44n09'  & modelident='??' & parmodelident='az'
;model='rhd' & modelident='' & parmodelident=''
;
;allmodel='st28gm06n0[5,6]_??'
;
modeldisk=getenv('HOME') + '/dat/rhd/d' + model + '/'
;modeldisk='/u64/bf' + '/dat/rhd/d' + model + '/'
;modeldisk='/p3/bf' + '/dat/rhd/d' + model + '/'
;modeldisk='/u77/bf' + '/dat/rhd/d' + model + '/'
;modeldisk=getenv('HOME') + '/dat/job/j1/bak/'
;modeldisk=getenv('HOME') + '/dat/rhd/tmp/'
;
modelfile=modeldisk + model + modelident + '.mean'
;modelfile=modeldisk + allmodel + '.mean'
;modelfile=modeldisk + '*' + modelident + '.mean'
;
; --- Read parameter file ---
par=uio_struct_rd(modeldisk + model + parmodelident + '.par')
;
delvar, listdata
ful=uio_datasetlist_rd(modelfile, listdata=listdata, ierr=ierr)
uio_closrd, listdata.channel
;
nr=n_elements(ful.r.xc3_volume)
nxc1=n_elements(ful.z1.xc1)
nxc2=n_elements(ful.z2.xc2)
nxc3=n_elements(ful.z3.xc3)
time_first=ful.modeltime
;
uio_openrd, nc, listdata.file(listdata.total_number-1)
outstr='found'
while (outstr eq 'found') do begin &$
  uio_slhd, nc, ['real', 'modeltime'], termt, ntt, outstr, ierr &$
  if (ierr eq 0) then begin &$
    uio_rd, nc, termt,ntt, time_last,ident &$
    help, ierr, outstr, time_last &$
  endif &$
endwhile
uio_closrd, nc
;
;n_timestep_first=ceil(time_first/par.dtime_out_mean)
;n_timestep_last =floor(time_last/par.dtime_out_mean)
;n_timestep=long((time_last-time_first)/par.dtime_out_mean+0.5)+1
n_timestep_first=round(time_first/par.dtime_out_mean)
n_timestep_last =round(time_last/par.dtime_out_mean)
n_timestep=n_timestep_last-n_timestep_first+1
n_timestep=n_timestep+n_timestep_adjust
help, time_first, time_last, par.dtime_out_mean, n_timestep_first, n_timestep_last, n_timestep
;
delvar, listdata
;
vr=create_struct( $
  'model'     , model, $
  'modelident', modelident, $
  'mean'      , ful, $
  'itime'     , lonarr(          n_timestep), $
  'time'      , fltarr(          n_timestep), $
  'ifile'     , lonarr(          n_timestep), $
  'file'      , strarr(          n_timestep), $
  'vr'        , fltarr(nxc1,nxc2,n_timestep))
;
ierr=0
i=0
itime_last=-10000L
file=''
systime0=systime(1)
;
while ((ierr eq 0) and (i lt n_timestep)) do begin &$
 ful0=uio_datasetlist_rd(modelfile, listdata=listdata, ierr=ierr) &$
 if (ierr eq 0) then begin &$
 oldfile=file &$
 file=listdata.file(listdata.open_number) &$
 ful=temporary(ful0) &$
 if (ful.modelitime gt (itime_last+1)) then begin &$
  print, '--- ', i, ful.z.itime, ful.z.time, ' ---' , format='(A,I4,I7,E15.8,A)' &$
  ;
  if (file ne oldfile) then par=uio_struct_rd(strmid(file,0,strlen(file)-4) + 'par') &$
  file_tmp=strmid(file, strpos(file,'/',/REVERSE_SEARCH)+1) &$
  tags=tag_names(ful.r) &$
  ;
  vr.itime(i)     =ful.z.itime &$
  vr.time(i)      =ful.z.time &$
  vr.ifile(i)     =listdata.open_number &$
  vr.file(i)      =file_tmp &$
  ;
  vr.vr(*,*,i)=reform(combox('v_radial',ful)) &$
  ;
  i=i+1 &$
 if (ierr eq 0) then itime_last=ful.modelitime &$
 endif &$
 endif &$
endwhile
;
print, 'Total time: ', systime(1)-systime0, ' vr'
;
print, 'Save dataset (vr) into ''' + model + '_vr.sav' + ''''
save, filename=model + '_vr.sav', vr

; end ; rhd_vr_collect
