function strreplaceBF, s1, s2, s3
;
;---------------------------------------------------------------------------------------------------
;+
; NAME:
;   strreplaceBF ('string_replace_BF')
;
; PURPOSE:
;   Replace all occurences of a substring of a string by another.
;
; CATEGORY:
;   String handling
;
; CALLING SEQUENCE:
;   result=strReplaceBF(s1, s2, s3)
;
; INPUT:
;   s1:           ('string_1')
;   s2:           ('string_2')
;   s3:           ('string_3')
;
; OUTPUT:
;   result:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;   None
;
; SIDE EFFECTS:
;   None
;
; RESTRICTIONS:
;
; PROCEDURE:
;   Replace s2 in s1 by s3.
;
; EXAMPLE:
;   print, strReplaceBF('abc', 'b', 'B')
;     aBc
;
; MODIFICATION HISTORY:
;   2015-08-14 (B.F. Uppsala) Written
;   2017-02-02 (B.F.) Replace all occurences of s2, not only the first one
;-
;---------------------------------------------------------------------------------------------------

; --- Set some compiler options ---
compile_opt defint32, strictarr

sR=s1

i1=strpos(sR, s2)
while (i1 ne -1) do begin
  i2    =i1+strlen(s2)
  sFirst=strmid(sR, 0, i1)
  sLast =strmid(sR, i2)
  sR    =sFirst + s3 + sLast
  ;
  ;print, s1, ' ', s2, ' ', s3, ' ', sR
  ;
  i1=strpos(sR, s2)
  if (i1 lt (strlen(sFirst)+strlen(s3))) then i1=-1
endwhile

return, sR

end ; strReplaceBF
