; pro grav_test
;
;------------------------------------------------------------------------------
;+
; NAME:
;   grav_test ('gravity_test')
;
; PURPOSE:
;
; CATEGORY:
;
; CALLING SEQUENCE:
;   @grav_test
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   26. 4.00 Written by Bernd Freytag, Astronomical Observatory Copenhagen
;-
;------------------------------------------------------------------------------
;
n=81
;r_max=sqrt(3.0)
r_max=sqrt(3.0)
r_min=0.125
;
r0_grav=0.125
r1_grav=1.0
;
r=r_max*findgen(n)/float(n)
;
phi =-1.0/(r > r_min)
phi0=-1.0/sqrt(r0_grav^2 + r^2)
;phi0=-1.0/(r0_grav*sqrt(1.0 + (r1_grav/r0_grav)^2 * ( (r/r1_grav)^8/(1.0+(r/r1_grav)^8) )^0.25 ))
;phi1=-1.0/(r0_grav^4 + r^4)^0.25
phi1=-1.0/(r0_grav*(1.0 + (r1_grav/r0_grav)^4 * ( (r/r1_grav)^8/(1.0+(r/r1_grav)^8) )^0.5 )^0.25)
;phi1=spherepot(r, r0=r0_grav, r1=r1_grav)
;phi1=-1.0/(r0_grav*(1.0 + (r1_grav/r0_grav)^4 * ( (r/r1_grav)^6/(1.0+(r/r1_grav)^6) )^0.66666667 )^0.25)
;
grav =deriv(r,phi)
grav0=deriv(r,phi0)
grav1=deriv(r,phi1)
;grav0=spheregrav(r, r0=r0_grav, r1=r1_grav)
;grav1=r*0.0
;for i=0,n_elements(r)-1 do begin &$
;  grav1(i)=spheregrav(r(i), r0=r0_grav, r1=r1_grav) &$
;endfor
;
!P.MULTI=[0,0,3,0,0]
!P.CHARSIZE=1.8
!P.PSYM=-1
!Y.MARGIN=[2,1]
;
plot , r, phi
oplot, r, phi0, color=!ctv.red
oplot, r, phi1, color=!ctv.green, linestyle=2
;
plot , r, grav
oplot, r, grav0, color=!ctv.red
;oplot, r, grav1, color=!ctv.green, linestyle=2
oplot, r, grav1, color=!ctv.green, linestyle=2
;
plot , r, alog10(1.0E-3+abs(1.0E-04 + grav))
oplot, r, alog10(1.0E-3+abs(1.0E-04 + grav0)), color=!ctv.red
;oplot, r, alog10(1.0E-3+abs(1.0E-04 + grav1)), color=!ctv.green, linestyle=2
oplot, r, alog10(1.0E-3+abs(1.0E-04 +grav1)), color=!ctv.green, linestyle=2
;
!P.MULTI=0
!P.CHARSIZE=0
!P.PSYM=0
!Y.MARGIN=[4,2]
;
; end ; grav_test
