; pro rhd_makeblast_start
;
;------------------------------------------------------------------------------
;+
; NAME:
;   rhd_makeblast_start
;
; PURPOSE:
;   Generate a RHD start model file: Woodward doubel shock
;
; CATEGORY:
;   RHD
;
; CALLING SEQUENCE:
;   @rhd_makeblast_start
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;
; ROUTINES:
;   rhd_wrboxdata: Write RHD model into file.
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;   Start rhd_makeblast with reasonable parameters.
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   28.10.97 Written by Bernd Freytag, Astrophysik Kiel
;-
;------------------------------------------------------------------------------
;
; --- Scaling factors ---
x_fac=1.0e-5
t_fac=1.0
v_fac=x_fac/t_fac
rho_fac=1.0e+08
e_fac=v_fac^2
eps_fac=rho_fac*v_fac^2
p_fac=rho_fac*e_fac
;
gamma=1.4
fac=1
rhd_makeblast, file='wood' + strtrim(string(fac,format='(I3)'),2) + '00.sta', $
  form='formatted', conv='', $
  units='cgs', m1=1, $
  n1=fac*100, dx=1.00e+03/float(fac), dtime=0.00008/float(fac), $
  ei_left  =1./(gamma-1.0)*1000.0e02, rho_left  =1.0e-8, v_left  =0.0, $
  ei_center=1./(gamma-1.0)*0.0100e02, rho_center=1.0e-8, v_center=0.0, $
  ei_right =1./(gamma-1.0)*100.00e02, rho_right =1.0e-8, v_right =0.0
;
; end ; rhd_makeblast_start
