; pro rhd_makeeddy_start
;
;------------------------------------------------------------------------------
;+
; NAME:
;   rhd_makeeddy_start ('rhd_make_eddy_start')
;
; PURPOSE:
;   Generate a RHD start model file: stationary circular eddy
;
; CATEGORY:
;   RHD
;
; CALLING SEQUENCE:
;   @rhd_makeeddy_start
;
; INPUT:
;   None
;
; OUTPUT:
;   None
;
; KEYWORDS:
;   None
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;   rhd_makeeddy:
;
; SIDE EFFECTS:
;   Write a file
;
; RESTRICTIONS:
;
; PROCEDURE:
;   Start rhd_makeeddy with reasonable parameters.
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   2011-10-25 (B.F. Lyon) Written
;-
;------------------------------------------------------------------------------

eosdisk=getenv('HOME') + '/for/eos/dat/'
;eosfile='eos_mm00_l5.eos'

;eosfile='eos_gamma140.eos' & tabinter_rdcoeff, eosdisk + eosfile, EOS 
;n=17
;rhd_makeeddy, file='d2tsteddy01.sta', form='unformatted', conv='ieee_4', $
;  units='cgs', $
;  m1=-n, n1=n, m2=0, n2=0, m3=-n, n3=n, dx=1.0E+05, $
;  dtime=0.03, $
;  ei_in =1.0E+12 , rho_in =1.0E-12 , $
;  Radius=10.0E+05, Omega=0.1/7.272803, EOS=EOS

;eosfile='eos_gamma140.eos' & tabinter_rdcoeff, eosdisk + eosfile, EOS 
;n=17
;Radius=10.0E+05
;Omega =1.0/7.272803
;r0_grav=Radius*0.25
;r1_grav=Radius*1.1
;;GM_grav=0.2*(Radius^3*Omega^2)
;GM_grav=0.0
;M_grav=GM_grav/!con.G
;rhd_makeeddy, file='d2tsteddygrav01.sta', form='unformatted', conv='ieee_4', $
;  units='cgs', $
;  m1=-n, n1=n, m2=0, n2=0, m3=-n, n3=n, dx=1.0E+05, $
;  dtime=0.03, $
;  ei_in =1.0E+12 , rho_in =1.0E-12 , $
;  Radius=Radius, Omega=Omega, EOS=EOS, $
;  r0_grav=r0_grav, r1_grav=r1_grav, GM_grav=GM_grav
;help, r0_grav, r1_grav, M_grav

;eosfile='eos_gamma140.eos' & tabinter_rdcoeff, eosdisk + eosfile, EOS 
;n=27
;Radius=20.0E+05
;Omega =0.1/1.02726
;time_rot=2.0*!PI/Omega
;r0_grav=Radius*0.25
;r1_grav=Radius*1.1
;GM_grav=0.2*(Radius^3*Omega^2)
;;GM_grav=0.0
;M_grav=GM_grav/!con.G
;OmNorm=0.5*(1.0-cos(2.0*!PI*(findgen(501)/500.0 > 0.5)))
;rhd_makeeddy, file='d2tsteddygrav02.sta', form='unformatted', conv='ieee_4', $
;  units='cgs', $
;  m1=-n, n1=n, m2=0, n2=0, m3=-n, n3=n, dx=1.0E+05, $
;  dtime=0.03, $
;  ei_in =1.0E+12 , rho_in =1.0E-12 , $
;  Radius=Radius, Omega=Omega, OmNorm=OmNorm, EOS=EOS, $
;  r0_grav=r0_grav, r1_grav=r1_grav, GM_grav=GM_grav
;help, r0_grav, r1_grav, M_grav, time_rot

;eosfile='eos_gamma140.eos' & tabinter_rdcoeff, eosdisk + eosfile, EOS 
;n=27
;Radius=20.0E+05
;Omega =0.1/1.02726
;time_rot=2.0*!PI/Omega
;r0_grav=Radius*0.25
;r1_grav=Radius*1.1
;GM_grav=5.0*(Radius^3*Omega^2)
;;GM_grav=0.0
;M_grav=GM_grav/!con.G
;OmNorm=0.5*(1.0-cos(2.0*!PI*(findgen(501)/500.0 > 0.5)))
;rhd_makeeddy, file='d2tsteddygrav03.sta', form='unformatted', conv='ieee_4', $
;  units='cgs', $
;  m1=-n, n1=n, m2=0, n2=0, m3=-n, n3=n, dx=1.0E+05, $
;  dtime=0.03, $
;  ei_in =1.0E+12 , rho_in =1.0E-12 , $
;  Radius=Radius, Omega=Omega, OmNorm=OmNorm, EOS=EOS, $
;  r0_grav=r0_grav, r1_grav=r1_grav, GM_grav=GM_grav
;help, r0_grav, r1_grav, M_grav, time_rot

OutFile='d2tsteddygrav04.sta'
eosfile='eos_gamma140.eos' & tabinter_rdcoeff, eosdisk + eosfile, EOS 
n=25
Radius=15.0E+05
Omega =0.1/1.02726
time_rot=2.0*!PI/Omega
r0_grav=Radius*0.25
r1_grav=Radius*1.1
GM_grav=5.0*(Radius^3*Omega^2)
;GM_grav=0.0
M_grav=GM_grav/!con.G
OmNorm=0.5*(1.0-cos(2.0*!PI*(findgen(501)/500.0 > 0.5)))
rhd_makeeddy, file=OutFile, form='unformatted', conv='ieee_4', $
  units='cgs', $
  m1=-n, n1=n, m2=0, n2=0, m3=-n, n3=n, dx=1.0E+05, $
  dtime=0.03, $
  ei_in =1.0E+12 , rho_in =1.0E-12 , $
  Radius=Radius, Omega=Omega, OmNorm=OmNorm, EOS=EOS, $
  r0_grav=r0_grav, r1_grav=r1_grav, GM_grav=GM_grav
sta=uio_dataset_rd(OutFile)
help, r0_grav, r1_grav, M_grav, time_rot

;rhd_makesedov, file='radgreens3d01.sta', form='unformatted', conv='ieee_4', $
;  units='cgs', $
;  m1=1, n1=41, m2=1, n2=41, m3=1, n3=21, dx=1.0e+06, ren=0.5, $
;  dtime=0.1, $
;  ei_in =2.00e+12, rho_in =1.000e-8, v_in =0.0, $
;  ei_out=1.00e+12, rho_out=1.000e-8, v_out=0.0

; end ; rhd_makeeddy_start
