; pro rhd_makeionspike_start
;
;------------------------------------------------------------------------------
;+
; NAME:
;   rhd_makeionspike_start ('rhd_make_ionization_spike_start')
;
; PURPOSE:
;   Generate a RHD start model file: Simple linear advection
;
; CATEGORY:
;   RHD
;
; CALLING SEQUENCE:
;   @rhd_makeionspike_start
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;
; ROUTINES:
;   rhd_wrboxdata: Write RHD model into file.
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;   Before first use type
;     delvar, gas
;
; PROCEDURE:
;   Start rhd_makeionspike with reasonable parameters.
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   17.10.97 Written by Bernd Freytag, Astrophysik Kiel
;   19.10.97 (B.F.) Keyword funct added
;   25. 3.99 (B.F. Copenhagen) Different basic quantities
;   11. 3.00 (B.F. Kiel) Ionization
;-
;------------------------------------------------------------------------------
;
;eosdisk='/karldata/home2/supas024/eos/dat/'
eosdisk='/astro/b/bf/eos/dat/'
gasfile='gas_mm00.eos'     & prefix='ion'
;gasfile='gas_gamma166.eos' & prefix=''
;
if (n_elements(GAS) eq 0) then tabinter_rdcoeff, eosdisk + gasfile, gas
;
rhd_makeionspike, file=prefix + 'spike010vp20.sta', form='unformatted', conv='', $
  gas=gas, $
  funct='spikes', units='cgs', $
  m1=-99, n1=100, dx=1.0e+05, $
  dtime=0.02, $
  P_in =1.0e+04, T_in =1.0e+04, v_in =20.0e+05, $
  ampl=0.1
;
; end ; rhd_makeionspike_start
