; pro rhd_makerandom_start
;
;------------------------------------------------------------------------------
;+
; NAME:
;   rhd_makerandom_start
;
; PURPOSE:
;   Generate a RHD start model file: Rieman problem
;
; CATEGORY:
;   RHD
;
; CALLING SEQUENCE:
;   @rhd_makerandom_start
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;
; ROUTINES:
;   rhd_wrboxdata: Write RHD model into file.
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;   Start rhd_makerandom with reasonable parameters.
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   16.10.97 Written by Bernd Freytag, Astrophysik Kiel
;    3. 6.99 (B.F. Copenhagen)
;   12. 5.04 (B.F. Montpellier)
;   18. 5.04 (B.F.)
;-
;------------------------------------------------------------------------------

.run rhd_makerandom

rhd_makerandom, file='random3dn01.sta', form='unformatted', conv='ieee_4', $
  units='cgs', $
  m1=-30, n1=30, m2=-30, n2=30, m3=-30, n3=30, dx=1.0e+06, $
  dtime=1.0E-03, $
  ei_ampl=100.0   , rho_ampl=100.0  , v_ampl=100.0E+05, $
  ei_mean=1.00e+13, rho_mean=1.0E-10, v_mean=0.0

; end ; rhd_makerandom_start
