; pro rhd_makeshear_start
;
;------------------------------------------------------------------------------
;+
; NAME:
;   rhd_makeshear_start
;
; PURPOSE:
;   Generate a RHD start model file: Rieman problem
;
; CATEGORY:
;   RHD
;
; CALLING SEQUENCE:
;   @rhd_makeshear_start
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;
; ROUTINES:
;   rhd_wrboxdata: Write RHD model into file.
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;   Start rhd_makeshear with reasonable parameters.
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   17.10.97 Written by Bernd Freytag, Astrophysik Kiel
;   19.10.97 (B.F.) Keyword funct added
;   25. 3.99 (B.F. Copenhagen) Different basic quantities
;-
;------------------------------------------------------------------------------
;
; --- Scaling factors ---
x_fac   =1.0e-5
t_fac   =1.0
v_fac   =x_fac/t_fac
rho_fac =1.0e+08
e_fac   =v_fac^2
rhoe_fac=rho_fac*e_fac
p_fac   =rhoe_fac
;
rhd_makeshear, file='shear.sta', form='unformatted', conv='', $
  funct='spikes', units='cgs', $
  m1=-99, n1=100, m3=1, n3=10, dx=1.0e+05, $
  dtime=0.8, $
  ei_in =1.00e10, rho_in =1.000e-8, v_in =1.0e+05, $
  vampl=1.0
;
; end ; rhd_makeshear_start
