rhd_dir=getenv('HOME') + '/dat/job/j1/bak/'
eosdisk   =getenv('HOME') + '/for/eos/dat/'
funct='d1tstspike'
rhd1_file=funct + '.sta'
rhd2_file=model + '.end' &$
rhdpar_file=model + '.par'
dev='x'
x_fac   =1.0e-05
t_fac   =1.0
v_fac   =x_fac/t_fac
rho_fac =1.0
e_fac   =v_fac^2
rhoe_fac=1.0
p_fac   =1.0
  par=uio_struct_rd(rhd_dir + rhdpar_file) &$
  file=eosdisk + par.eosfile &$
  if (n_elements(eos) eq 0) then begin &$
    tabinter_rdcoeff, file, eos &$
  endif else if (file ne eos.head.file) then begin &$
    tabinter_rdcoeff, file, eos &$
  endif &$
  sta=uio_dataset_rd(rhd_dir + rhd1_file) &$
  eosbox, sta, eos=eos &$
  x_1  =reform(sta.z.xc1)     * x_fac &$
  rho_1=reform(sta.z.rho)     * rho_fac &$
  v_adv=avg(reform(sta.z.v1)) * v_fac &$
  fin=uio_dataset_rd(rhd_dir + rhd2_file) &$
  eosbox, fin, eos=eos &$
  x_2  =reform(fin.z.xc1)     * x_fac &$
  rho_2=reform(fin.z.rho)     * rho_fac &$
  time =fin.z.time            * t_fac &$
  itime=fin.z.itime &$
  nx=n_elements(x_2) &$
  init=1 &$
if (dev eq 'ps') then begin &$
  set_plot, 'ps' &$
  device, filename=model + '.ps' &$
  device, /landscape, xsize=29.0, ysize=19.3, xoffset=1.0,yoffset=29.7, $
    color=1 &$
  color=!ctv.green &$
endif else begin &$
  color=!ctv.green &$
endelse
!X.MARGIN=[16,4]
!Y.MARGIN=[3,1]
!X.THICK=2
!Y.THICK=2
!X.STYLE=1
!Y.STYLE=3
!P.FONT=0
!P.CHARSIZE=2.5
!P.SYMSIZE=1.5
psym=psymuser(102)
plot, x_1, rho_1, psym=-1, symsize=!P.SYMSIZE*0.7, $
                  ytitle=transfont('!4q!X')
oplot,x_2, rho_2, psym=psym, symsize=!P.SYMSIZE, color=color
if ( (where(tag_names(par) eq 'HDTIMEINTEGRATIONSCHEME'))[0] ne -1) then begin &$
  hdTimeIntegrationScheme=par.hdTimeIntegrationScheme &$
endif else begin &$
  hdTimeIntegrationScheme='' &$
endelse
if ( (where(tag_names(par) eq 'HDTRANSVELOMODE'))[0] ne -1) then begin &$
  hdTransVeloMode=par.hdTransVeloMode &$
endif else begin &$
  hdTransVeloMode='' &$
endelse
if ( (where(tag_names(par) eq 'HDENTROPYWAVEMODE'))[0] ne -1) then begin &$
  hdEntropyWaveMode=par.hdEntropyWaveMode &$
endif else begin &$
  hdEntropyWaveMode='' &$
endelse
if ( (where(tag_names(par) eq 'HDENTHALPYAVGMODE'))[0] ne -1) then begin &$
  hdEnthalpyAvgMode=par.hdEnthalpyAvgMode &$
endif else begin &$
  hdEnthalpyAvgMode='' &$
endelse
legend, ['Solv  =' + par.hdscheme, $
         'xRec  =' + par.reconstruction, $
         'xDir  =' + par.hdsplit, $
         'tInt  =' + hdTimeIntegrationScheme, $
         'MoEntr=' + hdEntropyWaveMode, $
         'MoEnth=' + hdEnthalpyAvgMode, $
         "t     ="      + strtrim(string(time, format='(F7.3)'),2), $
         "n!Dt!N   =" + strtrim(string(itime,format='(I7)')  ,2), $
         "n!Dx!N   =   " + strtrim(string(nx,   format='(I7)')  ,2), $
         "v     ="      + strtrim(string(v_adv,format='(F4.1)'),2)  $
        ],  $
        box=0, xali=1.0, yali=1.0, margin=0.2, spacing=0.9




!P.MULTI=0
!X.MARGIN=[12,3]
!Y.MARGIN=[4,2]
!X.THICK=0
!Y.THICK=0
!X.STYLE=0
!Y.STYLE=0
!P.FONT=-1
!P.CHARSIZE=0
!P.SYMSIZE=0
if (dev eq 'ps') then begin &$
  device, /close &$
  set_plot, 'x' &$
endif
