pro udb_Makesamples, uDB0, uDB1, uDB2, uDB3, uDB4, uDB5
;
;------------------------------------------------------------------------------
;+
; NAME:
;   udb_MakeSamples ('universal_data_base_Make_Samples')
;
; PURPOSE:
;   Produce some sample databases.
;
; CATEGORY:
;   udb, universal database handling
;
; CALLING SEQUENCE:
;   udb_Makesamples, uDB0, uDB1, uDB2, uDB3, uDB4, uDB5
;
; INPUT:
;   None
;
; OUTPUT:
;   uDB0:   ('universal_Data_Base_0')
;
; KEYWORDS:
;   None
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;
; SIDE EFFECTS:
;   Some pointer targets are created (in uDB2 and uDB3).
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;   udb_Makesamples, uDB0, uDB1, uDB2, uDB3, uDB4, uDB5
;
; MODIFICATION HISTORY:
;   2009-10-08 (B.F. Lyon)
;   2009-10-25 (B.F.) Databases with new types 'StructureOfVectors', 'UIOTable'
;-
;------------------------------------------------------------------------------

compile_opt defint32, strictarr

; --- Structure vector ---
uDB0=[ $

{ $
Model:         'm0', $
Model__NAME:   'Name of model', $
Aim:           'Provide entry in test database', $
nFile:             42 $
}, $

{ $
Model:         'm1', $
Model__NAME:   'Name of model', $
Aim:           'Provide entry in test database', $
nFile:             13 $
}, $

{ $
Model:         'm2', $
Model__NAME:   'Name of model', $
Aim:           'Provide entry in test database', $
nFile:             7 $
} $

]


; --- Structure vector ---
uDB1=[ $

{ $
Model:         'm0', $
Aim:           'Provide entry in test database', $
Comment:       'None', $
nFile:             42 $
}, $

{ $
Model:         'm1', $
Aim:           'Provide entry in test database', $
Comment:       'Here!', $
nFile:             20 $
}, $

{ $
Model:         'm2', $
Aim:           'Provide entry in test database', $
Comment:       'Oops', $
nFile:             77 $
}, $

{ $
Model:         'm3', $
Aim:           'Provide another entry in test database', $
Comment:       'Last', $
nFile:              3 $
} $

]


; --- Pointer list ---
nElDB=2
uDB2=ptrarr(nElDB, /allocate_heap)

*uDB2[0]={ $
Model:         'm0', $
Aim:           'Provide entry in test database with pointers', $
nFile:            420 $
}

*uDB2[1]={ $
Model:         'm4', $
Aim:           'Provide entry in test database with pointers', $
nFile:            4 $
}


; --- Pointer list ---
nElDB=4
uDB3=ptrarr(nElDB, /allocate_heap)

*uDB3[0]={ $
Model:         'm0', $
Aim:           'Provide entry in test database with pointers, more', $
nFile:            4200 $
}

*uDB3[1]={ $
Model:         'm4', $
Aim:           'Provide entry in test database with pointers, longer', $
Result:        'One more tag', $
nFile:            40 $
}

*uDB3[2]={ $
Model:         'm5', $
Aim:           'Provide entry in test database with pointers, better', $
Result:        'One more tag also here', $
nFile:           14 $
}

*uDB3[3]={ $
Model:         'm6', $
Aim:           'Provide entry in test database with pointers, wider', $
Comment:       'Another tag', $
nFile:           14 $
}


; --- Structure of vectors ---
uDB4={ $
Model:         ['m0'   , 'm1'   , 'm7'   ], $
Model__NAME:   'Name of model',             $
Aim:           ['Test0', 'Test1', 'Test7'], $
nFile:         [      3,       4,       7], $
nFile__NAME:   'Number of files'            $
}


; --- UIO table ---
uio_tab0, uDB5
uio_tabw, '', 'udb5', uDB5, format='1X', name='uDB in UIO format', date='now', /tableheader
uio_tabw, ['m0'   , 'm1'   , 'm8'   ], 'model', uDB5, name='Name of model'
uio_tabw, ['Test0', 'Test1', 'Test7'], 'aim'  , uDB5, name='Aim of simulation'
uio_tabw, [      3,       4,       7], 'nfile', uDB5, name='Number of files'


end ; udb_MakeSamples
