pro uio_template, in, out, key=key
; function uio_template, in, key=key
;------------------------------------------------------------------------------
;+
; NAME:
;   uio_template ('uio_template')
;
; PURPOSE:
;   Show the standard form for IDL uio routine. No effect.
;
; CATEGORY:
;   Input/Output
;
; CALLING SEQUENCE:
;   uio_template, in, out [, key=key]
;
; INPUT:
;   in:     ('input') input variable
;
; OUTPUT:
;   out:    ('output') output variable
;
; KEYWORDS:
;   key:    ('keyword') keyword
;
; ROUTINES:
;   None (List of non-standard procedures and functions used)
;
; INCLUDES:
;   uio_uiocstinc: status and convert type for all channels
;   uio_uiocvlinc: all convert type and default format for current machine
;   uio_uionaminc: names of types, keywords, identifiers; default formats
;   uio_uiosizinc: length of strings, size of tables (termt,lntab)
;   uio_uiotabinc: empty table
;
; COMMON BLOCKS:
;   uio_chainf in uio_uiocstinc
;   uio_cvlist in uio_uiocvlinc
;   uio_defnam in uio_uionaminc
;   uio_taborg in uio_uiotabinc
;
; SIDE EFFECTS:
;   Everything the procedure does except producing the explicit output
;   (e.g. plotting, changing system variables, writing into files ...)
;
; RESTRICTIONS:
;   List of things the procedure is not able to do or of things you should
;   avoid in the calling statement
;
; PROCEDURE:
;   Empty demonstration program (Give a short description of how the procedure
;   does what it does)
;
; EXAMPLE:
;   Show examples of usage:
;   To show that this procedure does indeed nothing type:
;     template, 5
;
; MODIFICATION HISTORY:
;    8. 2.96 Written by Bernd Freytag, Astrophysik Kiel
;-
;------------------------------------------------------------------------------
;
;
end ; uio_template
