pro uio_uclose, nc, outstr,ierr
;------------------------------------------------------------------------------
;+
; NAME:
;   uio_uclose ('uio_universal_close')
;
; PURPOSE:
;   Close file with special handling for conversion type.
;
; CATEGORY:
;   Input/Output
;
; CALLING SEQUENCE:
;   uio_uclose, nc, outstr,ierr
;
; INPUT:
;   nc:     ('number_channel') integer, channel unit number
;
; OUTPUT:
;   outstr: ('output_string'), character
;   ierr:   ('integer_error'), integer, contains exit error status
;            0: correct operation
;           >0: occurance of an error
;
; KEYWORDS:
;   None
;
; ROUTINES:
;   None
;
; INCLUDES:
;   None
;
; COMMON BLOCKS:
;   None
;
; SIDE EFFECTS:
;   A file is closed.
;
; RESTRICTIONS:
;
; PROCEDURE:
;   Just calls close.
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   18. 9.96 Written by Bernd Freytag, Astrophysik Kiel
;-
;------------------------------------------------------------------------------
;
ierr=0
outstr='done'
;
; --- Close channel ---
close, nc
;
end ; uio_close
