module testfunction_module
contains
  function testfu(x) result(y)
  ! --- kind of reals ---
  integer, parameter                               :: rk=kind(1.0)
  real(kind=rk), dimension(1:),        intent(in)  :: x
  real(kind=rk),dimension(1:size(x,1))             :: y
  y=sin(x)
  end function testfu
end module testfunction_module


program broydentest
!
!------------------------------------------------------------------------------
! 18-Mar-1996 21:56:37
!------------------------------------------------------------------------------
use broyden_module          ! --- Search for zero of n dimensional function ---
use testfunction_module     ! --- Module with testfunction ---
!
implicit none
!
! --- kind of reals ---
integer, parameter                                 :: rk=kind(1.0)
!
integer                                            :: kmax
real(kind=rk)                                      :: eps
real(kind=rk), dimension(1:3)                      :: xin, xout
!------------------------------------------------------------------------------
!
xin=(/0.4,0.3,0.2/)
eps=1e-5
kmax=20
!
write(6,*) xin
call broyden(xin,testfu,eps,kmax, xout)
write(6,*) xout
!
end program broydentest
