subroutine  dscal(n,da,dx,incx) 
!                                                                       
!     scales a vector by a constant.                                    
!     uses unrolled loops for increment equal to one.                   
!     jack dongarra, linpack, 3/11/78.                                  
!     modified 3/93 to return if incx .le. 0.                           
!     modified 12/3/93, array(1) declarations changed to array(*)       
!
! da : constant scalar 
! dx : vector
!
!---------------------------------------------------------------------
!
implicit none 
!
! --- I/O ---
integer,                          intent(in)    :: incx,n
double precision,                 intent(in)    :: da
double precision, dimension(1:n), intent(inout) :: dx
!
! --- internal variables ---
integer i,m,mp1,nincx 
!
!---------------------------------------------------------------------
!                                                                       
      if( n.le.0 .or. incx.le.0 )return 
      if(incx.eq.1)go to 20 
!                                                                       
!        code for increment not equal to 1                              
!                                                                       
      nincx = n*incx 
      do 10 i = 1,nincx,incx 
        dx(i) = da*dx(i) 
   10 continue 
      return 
!                                                                       
!        code for increment equal to 1                                  
!                                                                       
!                                                                       
!        clean-up loop                                                  
!                                                                       
   20 m = mod(n,5) 
      if( m .eq. 0 ) go to 40 
      do 30 i = 1,m 
        dx(i) = da*dx(i) 
   30 continue 
      if( n .lt. 5 ) return 
   40 mp1 = m + 1 
      do 50 i = mp1,n,5 
        dx(i) = da*dx(i) 
        dx(i + 1) = da*dx(i + 1) 
        dx(i + 2) = da*dx(i + 2) 
        dx(i + 3) = da*dx(i + 3) 
        dx(i + 4) = da*dx(i + 4) 
   50 continue 
      return 
end subroutine dscal                                      
!---------------------------------------------------------------------
