!-------******-----------------------------------------------------------------
program uiotst
!------------------------------------------------------------------------------
! --- 26-Jan-1998 13:46:33 --- B.F. ---
! --- 26.11.2000 (B.F.) ---
!
use uio_siz_module
use uio_nam_module
use uio_table_module
!
implicit none
!
integer                                 :: nc1, ierr, ntt, n, i, nbytes
real                                    :: val
double precision                        :: dval
integer                                 :: ival
complex                                 :: cval
integer, parameter                      :: i00=0, i03=66
integer                                 :: i01, i02
integer, dimension(1)                   :: ilow, iup
real, dimension(i00:i03)                :: a, b
character*(60)                          :: cs, ds
character*(60), dimension(i00:i03)      :: c
character*(40), dimension(i00:i03)      :: d
character*(80)                          :: outstr
character*(let)                         :: file, form, conv, &
                                           system,machin,osrels,osvers, &
                                           hrdwar,langua,progrm, &
                                           ident,format,name,unit,tran,date
character*(let)                         :: termt(2,nttmx)
! --- Table ---
type(uio_table_type)                    :: table, table1, table2, table3
integer, parameter                      :: it0=1, it1=it0, it2=12, it3=it2
integer,        dimension(it0:it3)      :: jt1, jt2
real,           dimension(it0:it3)      :: rt1, rt2, rt3
character*(20), dimension(it0:it3)      :: ct1, ct2
! --- Entry list ---
integer, parameter                      :: nentmx=300
integer                                 :: nentry
integer                                 :: poslist(1:nentmx)
character*(let)                         :: identlist(1:3,1:nentmx)
!------------------------------------------------------------------------------
!
write(6,*)
write(6,*) 'UIOTST'
write(6,*) '======'
write(6,*)
!
file='test.txt'
form='formatted'
conv='ieee_4'
!
! --- Set default write formats for numbers ---
write(6,*) 'Set default write formats for numbers'
call uio_init(progrm='uiotst')
!
! --- Write into file ---
!
write(6,*) 'Open file for writing-----------------------------'
ntt=0
call uio_adkeyw(termt,ntt,'greetings',keyval='hello')
call uio_openwr(nc1,file, form=form,conv=conv,termt=termt,ntt=ntt, &
                outstr=outstr)
!nc1=6
!call uio_wrfifo(nc1)
write(6,*) 'Channel unit: ', nc1, ', '//trim(outstr)
!
write(6,*) 'Write label'
call uio_wrlabl(nc1,'testdata',name='sample test data field',date='now', &
                outstr=outstr,ierr=ierr)
!
write(6,*) 'Call error handler'
call uio_err(outstr=outstr,ierr=ierr, nc=nc1, routine='uiotst', errlevel=0)
!
write(6,*) 'Write integer'
call uio_wr(nc1,42,'ia', format='I3', name='This is the answer')
!
write(6,*) 'Write complex'
call uio_wr(nc1,cmplx(4.0,2.0),'ca', name='This is a complex answer')
!
write(6,*) 'Write double precision real numbers'
call uio_wr(nc1,42.0D0,'da', name='precise answer')
!
write(6,*) 'Write real numbers'
call uio_wr(nc1,42.0,'answer', format='F4.0', name='answer', unit='1')
!
!ntt=0
!call uio_adkeyw(termt,ntt,'greetings',keyval='hello')
call uio_wr(nc1,42.0,'answer2', name='answer', unit='1')
!call uio_wr(nc1,42.0,'answer2', name='answer', unit='1', termt=termt,ntt=ntt)
call uio_wr(nc1,-2.0,'neg', name='neg. num.', unit='1')
call uio_wr(nc1,1.0,'pos', format='F4.1', name='pos. num.')
!
write(6,*) 'Write 2d real array'
call uio_wr(nc1,reshape((/(1.0*i,i=1,20)/),(/4,5/)),'real2d', &
            ishift=(/100,200/), mode=8)
!
write(6,*) 'Write 1d real array'
i01=1
i02=i03-3
do i=i01,i02
  a(i)=i
end do ! i
call uio_wr(nc1, a(i01:i02), 'array', ilb=(/10/), &
            format='1X,F10.6', name='test array', tran='log10')
!
call uio_wr(nc1,7.0,'seven',format='F4.1',name='seven')
!
write(6,*) 'Write character variable'
cs='This is a string.'
call uio_wr(nc1, cs,'testchar', nbytes=len_trim(cs))
!
write(6,*) 'Write character array'
i01=1
i02=10
do i=i01,i02
  c(i)='weirder and weirder and weirder and'
end do ! i
call uio_wr(nc1,c(i01:i02),'weird', nbytes=len_trim(c(i01)), &
            name='first char array')
!
write(6,*) 'Write label'
call uio_wrlabl(nc1,'tableblock',date='now')
!
! --- Table ---
write(6,*) 'Compose table'
outstr='abcdefghijklmnopqrstuvwxyz'
do i=it1,it2
  jt1(i)=i
  rt1(i)=2.0*i
  rt2(i)=10.0*i
  ct1(i)=outstr(:i)
end do ! i
!
! --- Initialize table ---
call uio_tabnull(table)
call uio_tabnull(table1)
call uio_tabnull(table2)
call uio_tabnull(table3)
! --- Make table of certain size ---

write(6,*) '  table header'
call uio_tabput(table, 'f90table', format='1X', &
                name='test table to test the table routines', &
                outstr=outstr,ierr=ierr)

write(6,*) '  table column 1'
call uio_tabput(table, jt1, 'int1', &
                format='I5', name='Integer: 1. Spalte', &
                outstr=outstr,ierr=ierr)

write(6,*) '  table column 2'
call uio_tabput(table, rt1, 'real1', &
                format='F5.1', name='Real: 2. Spalte')

write(6,*) '  table column 3'
call uio_tabput(table, ct1, 'char1', nbytes=16, &
                name='Char: 3. Spalte')

write(6,*) '  table column 4'
call uio_tabput(table, rt2, 'real2', &
                name='Real: 4. Spalte')

write(6,*) '  table column 5'
call uio_tabput(table, 2*jt1, 'int2', &
                format='I5', name='Integer: 5. Spalte', &
                outstr=outstr,ierr=ierr)

write(6,*) 'Write table'
call uio_wrtab(nc1, table)
!
! --- Delete table ---
call uio_tabdelete(table)
! --- Make table of certain size ---
!
if (nc1 /= 6) call uio_closwr(nc1, outstr=outstr)
write(6,*) 'Close file and'
write(6,*) 'return channel:', nc1, ', '//trim(outstr)
!
! --- Read from file ---
!
write(6,*) 'Open file for reading------------------------------'
call uio_openrd(nc1, file, form=form, conv=conv, date=date, &
                system=system,machin=machin,osrels=osrels,osvers=osvers, &
                hrdwar=hrdwar,langua=langua, progrm=progrm, &
                termt=termt,ntt=ntt)
!
write(6,*) 'form=   '//trim(  form)
write(6,*) 'conv=   '//trim(  conv)
write(6,*) 'date=   '//trim(  date)
write(6,*) 'system= '//trim(system)
write(6,*) 'machin= '//trim(machin)
write(6,*) 'osrels= '//trim(osrels)
write(6,*) 'osvers= '//trim(osvers)
write(6,*) 'hrdwar= '//trim(hrdwar)
write(6,*) 'langua= '//trim(langua)
write(6,*) 'progrm= '//trim(progrm)
do n=1,ntt
  write(6,*) trim(termt(1,n))//'='//trim(termt(2,n))
end do ! n
!
write(6,*) 'uio_filcon ---'
call uio_filcon(nc1, identlist,poslist,nentry)
write(6,*) 'File content:'
do n=1,nentry
  write(6,'(1X,I6,1X,A9,1X,A16,1X,A40)') poslist(n), identlist(:,n)
end do ! n
!
write(6,*) 'chpos ---'
call uio_chpos(nc1,mode='goto',posin=poslist(1))
!
write(6,*) 'uio_rdhd ---'
call uio_rdhd(nc1, termt,ntt)
call uio_pptrmt(termt,ntt)
write(6,*) 'rdlabl ---'
call uio_rdlabl(nc1, termt,ntt, ident)
write(6,*) 'pptrmt ---'
call uio_ppkeyw(lablna,'' , ident,'', ''   ,'' )
call uio_pptrmt(termt,ntt, mode=1)
!
write(6,*) 'uio_rdhd ---'
call uio_rdhd(nc1, termt,ntt)
write(6,*) 'rdi ---'
call uio_rd(nc1,termt,ntt,ival,ident, name=name, unit=unit)
write(6,*) trim(name)//'=', ival, ' '//trim(unit)
!
write(6,*) 'uio_rdhd ---'
call uio_rdhd(nc1, termt,ntt)
write(6,*) 'rdc ---'
call uio_rd(nc1,termt,ntt,cval,ident, name=name, unit=unit)
write(6,*) trim(name)//'=', cval, ' '//trim(unit)
!
call uio_rdhd(nc1, termt,ntt)
call uio_rd(nc1,termt,ntt,dval,ident, name=name, unit=unit)
write(6,*) trim(name)//'=', dval, ' '//trim(unit)
!
write(6,*) 'uio_rdhd ---'
call uio_rdhd(nc1, termt,ntt)
call uio_rd(nc1, termt,ntt, val,ident, name=name, unit=unit)
write(6,*) trim(ident) // ': ' // trim(name) // '=', val, ' ' // trim(unit)
!
write(6,*) 'uio_rdhd ---'
call uio_rdhd(nc1, termt,ntt)
call uio_rd(nc1, termt,ntt, val,ident, name=name, unit=unit)
write(6,*) trim(ident) // ': ' // trim(name) // '=', val, ' ' // trim(unit)
!
write(6,*) 'uio_srhd ---'
call uio_srhd(nc1, termt,ntt, type='real',ident='array',outstr=outstr,ierr=ierr)
write(6,*) 'uio_pptrmt ---'
call uio_pptrmt(termt,ntt)
write(6,*) 'uio_rd ---'
!call uio_rd(nc1,termt,ntt,b,ident, mode=0, name=name,unit=unit)
i01=1
i02=i03-3
call uio_rd(nc1,termt,ntt,b(i01:),ident, mode=2, name=name,unit=unit)
write(6,*) trim(name)//'=... '//trim(unit)
do i=i01,i02
  write(6,*) i,a(i),b(i)
end do ! i
!
call uio_rdhd(nc1, termt,ntt)
!       call uio_pptrmt(termt,ntt)
call uio_rd(nc1, termt,ntt, val,ident, name=name,unit=unit)
write(6,*) trim(ident) // ': ' // trim(name) // '=', val, ' ' // trim(unit)
!
call uio_rdhd(nc1, termt,ntt)
call uio_rd(nc1,termt,ntt,ds,ident,nbytes=nbytes)
write(6,*) trim(ident)//'='//ds(:nbytes)
!
call uio_rdhd(nc1, termt,ntt)
write(6,*) 'uio_pptrmt ---'
call uio_pptrmt(termt,ntt)
call uio_rd(nc1, termt,ntt, d, ident, ilow=ilow, iup=iup)
i01=ilow(1)
i02=iup(1)
write(6,*) trim(ident)//'='//d(i01)
!
write(6,*) 'uio_rdhd'
call uio_rdhd(nc1, termt,ntt)
write(6,*) 'rdlabl'
call uio_rdlabl(nc1, termt,ntt, ident)
write(6,*) 'ppkeyw'
call uio_ppkeyw(lablna,'' , ident,'', ''   ,'' )
call uio_pptrmt(termt,ntt, mode=1)
!
! --- Read table ---
call uio_rdhd(nc1, termt,ntt)
call uio_rdtab(nc1, termt,ntt, table1, ident)
call uio_wrtab(6, table1)

call uio_tabget(table1, 'real1', rt3)
write(6,*) (rt3(i),i=it1,it2)
call uio_tabget(table1, 'int1', jt2)
write(6,*) (jt2(i),i=it1,it2)
call uio_tabget(table1, 'char1', ct2, nbytes=nbytes)
write(6,*) (ct2(i)(:nbytes),i=it1,it2)
!
table2=table1
ct2=''
nbytes=0
call uio_tabget(table2, 'char1', ct2, nbytes=nbytes)
write(6,*) (ct2(i)(:nbytes),i=it1,it2)
call uio_wrtab(6, table2)
!
write(6,*) 'Close file'
call uio_closrd(nc1, outstr,ierr)
end
