; pro rhd_mpg_make
;
;------------------------------------------------------------------------------
;+
; NAME:
;   rhd_mpg_make ('radiation_mpeg_make')
;
; PURPOSE:
;
; CATEGORY:
;
; CALLING SEQUENCE:
;   @rhd_mpg_make
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;   Before first use type
;     delvar, eos
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   17. 5.99 Written by Bernd Freytag, Astronomical Observatory Copenhagen
;    3. 4.01 (B.F. Uppsala) rhd_plot -> rhd_movie
;    4. 4.02 (B.F.) rhd_movie -> rhd_mpg_make
;-
;------------------------------------------------------------------------------
;
; ================================
if (not keyword_set(external_control)) then begin &$
  ;stop &$
  ;
  ;modelident=''
  ;
  dP_scale=6.0 & B_scale=1.0 &$
  ;
  ;model='at80g40n20' & modelident='_??' & parmodelident='_03'
  ;model='at80g40n21' & modelident='_??' & parmodelident='_36'
  ;model='at80g40n22' & modelident='_??' & parmodelident='_07'
  ;model='at80g44n10_3D' & modelident='??' & parmodelident='bz'
  ;model='at85g40n01' & modelident='_??' & parmodelident='_07'
  ;model='at85g40n02' & modelident='_??' & parmodelident='_11'
  ;model='at85g44n13' & modelident='_??' & parmodelident='_24'
  ;model='at85g44n16' & modelident='_{1[2-9],20}' & parmodelident='_20'
  ;model='gt57g44n67_3D' & modelident='??' & parmodelident='kz'
  ;
  ;model='mt14g50mm00n03' & ModelIdent='_???' & parModelIdent='_038' & Irange=[0.15, 0.90] &$
  ;model='mt15g50mm00n06' & ModelIdent='_14?' & parModelIdent='_150' & Irange=[0.5, 1.2] &$
  ;model='mt15g50mm00n14' & modelident='_??[3-9]' & parmodelident='_004' & modelfile='chu2' &$
  ;  T_exe='' & T_range=[1300.0,1700.0] & rho_range=[-6.65,-6.45] &$
  ;  v_scale=8.0E-05 & dP_scale=2.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.3E+06 & s_range=[0.88,0.91]*1e9 &$
  ;model='mt15g50mm00n14' & modelident='_??[3-9]' & parmodelident='_004' & modelfile='chu3' &$
  ;  T_exe='' & T_range=[2433.0,2440.0] & rho_range=[-3.819,-3.817] &$
  ;  v_scale=10.0E-05 & dP_scale=20.0E+04 & vort_scale=2.5E+01 & ds_range=[-1.0,1.0]*0.3E+06 & s_range=[0.7270,0.7275]*1e9 &$
  ;model='mt15g50mm00n15' & ModelIdent='_???' & parModelIdent='_100' & Irange=[0.14, 0.90] &$
  ;model='mt15g50mm00n17' & ModelIdent='_???' & parModelIdent='_100' & Irange=[0.14, 0.90] &$
  ;model='mt16g50mm00n08' & ModelIdent='_???' & parModelIdent='_053' & Irange=[0.12, 0.80] &$
  ;model='mt17g50mm00n03' & ModelIdent='_???' & parModelIdent='_055' & Irange=[0.12, 0.64] &$
  ;model='mt18g50mm00n11' & ModelIdent='_???' & parModelIdent='_200' & Irange=[0.22, 0.56] &$
  ;model='mt18g50mm00n14' & ModelIdent='_???' & parModelIdent='_120' & Irange=[0.10, 0.56] &$

;#
  ;model='old:mt20g50mm00n09' & ModelIdent='_???' & parModelIdent='_200' & Irange=[0.34, 0.46] &$
  ;model='mt20g50mm00n09' & ModelIdent='_???' & parModelIdent='_200' & Irange=[0.20, 0.47] &$
  ;model='mt20g50mm00n11' & ModelIdent='_???' & parModelIdent='_100' & Irange=[0.20, 0.47] &$
  ;model='mt20g50mm00n12' & ModelIdent='_???' & parModelIdent='_100' & Irange=[0.20, 0.47] &$
  ;model='old:mt22g50mm00n08' & ModelIdent='_??'  & parModelIdent='_50'  & Irange=[0.38, 0.432] &$
  ;model='mt22g50mm00n08' & ModelIdent='_??'  & parModelIdent='_50'  & Irange=[0.355, 0.433] &$
  ;model='mt22g50mm00n09' & ModelIdent='_???' & parModelIdent='_300' & Irange=[0.355, 0.433] &$
  ;model='mt22g50mm00n10' & ModelIdent='_???' & parModelIdent='_131' & Irange=[0.355, 0.433] &$
  ;model='mt22g50mm00n11' & ModelIdent='_???' & parModelIdent='_077' & Irange=[0.355, 0.433] &$
  ;model='mt22g50mm00n13' & ModelIdent='_???' & parModelIdent='_100' & Irange=[0.355, 0.433] &$
  ;model='mt22g50mm00n14' & ModelIdent='_???' & parModelIdent='_100' & Irange=[0.355, 0.433] &$
  ;model='mt24g50mm00n02' & ModelIdent='_???' & parModelIdent='_100' & Irange=[0.384, 0.401] &$
  ;model='mt24g50mm00n03' & ModelIdent='_???' & parModelIdent='_100' & Irange=[0.384, 0.401] &$
  ;model='mt26g50mm00n05' & ModelIdent='_???' & parModelIdent='_140' & Irange=[0.361, 0.380] &$
  ;model='mt26g50mm00n07' & ModelIdent='_???' & parModelIdent='_100' & Irange=[0.361, 0.380] &$
  ;model='mt28g50mm00n03' & ModelIdent='_???' & parModelIdent='_200' & Irange=[0.348, 0.369] &$
  ;
  ;model='mt30g50mm00n10' & ModelIdent='_???' & parModelIdent='_150' & Irange=[0.336, 0.359] &$
  ;model='mt30g50mm00n11' & ModelIdent='_???' & parModelIdent='_100' & Irange=[0.336, 0.359] &$
  ;model='mt33g45mm00n02' & ModelIdent='_???' & parModelIdent='_140' & Irange=[0.303, 0.348] &$
  ;model='mt33g45mm00n03' & ModelIdent='_???' & parModelIdent='_180' & Irange=[0.303, 0.348] &$
  ;model='mt33g45mm00n04' & ModelIdent='_???' & parModelIdent='_100' & Irange=[0.303, 0.348] &$
  ;model='mt33g50mm00n02' & ModelIdent='_???' & parModelIdent='_080' & Irange=[0.325, 0.365] &$
  ;model='mt33g50mm00n03' & ModelIdent='_???' & parModelIdent='_050' & Irange=[0.325, 0.365] &$
  ;model='mt33g50mm00n07' & ModelIdent='_???' & parModelIdent='_200' & Irange=[0.325, 0.365] &$
  ;model='mt33g50mm00n08' & ModelIdent='_???' & parModelIdent='_100' & Irange=[0.325, 0.365] &$
  ;model='mt33g50mm00n09' & ModelIdent='_???' & parModelIdent='_100' & Irange=[0.325, 0.365] &$
  ;model='mt33g50mm00n10' & ModelIdent='_???' & parModelIdent='_004' & Irange=[0.325, 0.365] &$
  ;model='mt33g50mm00n11' & ModelIdent='_???' & parModelIdent='_002' & Irange=[0.325, 0.365] &$
  model='mt33g50mm00n12' & ModelIdent='_???' & parModelIdent='_002' & Irange=[0.325, 0.365] &$
  ;model='mt35g50mm00n02' & ModelIdent='_???' & parModelIdent='_042' & Irange=[0.311, 0.355] &$
  ;
  ;model='mt40g50mm00n04' & ModelIdent='_???' & parModelIdent='_014' & Irange=[0.3, 0.386] &$
  ;
  ;model='st22g35n01' & modelident='_???' & parmodelident='_016' & Irange=[0.0, 0.75] & vort_scale=3.0E+02 & v_scale=40.0e-06 & s_range=[0.910E9,0.930E9] &$
  ;                    T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,15000.] - 400.) & rho_range=[-1.9,-13.0] & dP_scale=100.0 &$
  ;model='st22g35n02' & modelident='_???' & parmodelident='_020' & Irange=[0.0, 0.70] & vort_scale=3.0E+02 & v_scale=40.0e-06 & s_range=[0.910E9,0.930E9] &$
  ;                    T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,15000.] - 400.) & rho_range=[-1.9,-13.0] & dP_scale=100.0 &$
  ;model='st22g35n03' & modelident='_???' & parmodelident='_009' & Irange=[0.0, 0.70] & vort_scale=3.0E+02 & v_scale=40.0e-06 & s_range=[0.910E9,0.930E9] &$
  ;                    T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,15000.] - 400.) & rho_range=[-1.9,-13.0] & dP_scale=100.0 &$
  ;model='st22g35n04' & modelident='_???' & parmodelident='_013' & Irange=[0.0, 0.70] & vort_scale=3.0E+02 & v_scale=40.0e-06 & s_range=[0.910E9,0.930E9] &$
  ;                    T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,15000.] - 400.) & rho_range=[-1.9,-13.0] & dP_scale=100.0 &$
  ;model='st22g35n05' & modelident='_???' & parmodelident='_080' & Irange=[0.0, 0.70] & vort_scale=3.0E+02 & v_scale=40.0e-06 & s_range=[0.910E9,0.930E9] &$
  ;                    T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,15000.] - 400.) & rho_range=[-1.9,-13.0] & dP_scale=100.0 &$
  ;model='st22g35n06' & modelident='_???' & parmodelident='_070' & Irange=[0.0, 0.70] & vort_scale=3.0E+02 & v_scale=40.0e-06 & s_range=[0.910E9,0.930E9] &$
  ;                    T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,15000.] - 400.) & rho_range=[-1.9,-13.0] & dP_scale=100.0 &$
  ;model='st22g35n07' & modelident='_???' & parmodelident='_170' & Irange=[0.0, 0.70] & vort_scale=3.0E+02 & v_scale=40.0e-06 & s_range=[0.910E9,0.930E9] &$
  ;                    T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,15000.] - 400.) & rho_range=[-1.9,-13.0] & dP_scale=1e4 &$
;#
  ;model='st22g35n08' & modelident='_???' & parmodelident='_100' & Irange=[0.0, 0.70] & vort_scale=3.0E+02 & v_scale=40.0e-06 & s_range=[0.910E9,0.930E9] &$
  ;                    T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,15000.] - 400.) & rho_range=[-1.9,-13.0] & dP_scale=2e4 &$
  ;model='st22g40n01' & modelident='_???' & parmodelident='_013' & Irange=[0.0, 0.75] & vort_scale=3.0E+02 & v_scale=40.0e-06 & s_range=[0.879E9,0.8857E9] &$
  ;                    T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,24100.] - 400.) & rho_range=[-1.21,-11.0] & dP_scale=80.0 &$

  ;model='st26g35n01' & modelident='_???' & parmodelident='_011' & Irange=[0.0, 1.0] &$
  ;model='st26g35n02' & modelident='_???' & parmodelident='_400' & Irange=[0.0, 0.8] &$
  ;                     T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-18.0] & s_range=[1.00E9,1.086E9] & vort_scale=2.0E+03 &$
                                ;model='st26g35n03' & modelident='_???' & parmodelident='_200' & Irange=[0.0, 0.8] &$
                                ;                     T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-18.0] & s_range=[1.00E9,1.086E9] & vort_scale=2.0E+03 &$
  ;model='st26g35n04' & modelident='_???' & parmodelident='_060' & Irange=[0.0, 0.7] &$
  ;                     T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.00E9,1.086E9] & vort_scale=2.0E+03 &$
  ;model='st26g35n05' & modelident='_???' & parmodelident='_003' & Irange=[0.0, 0.7] &$
  ;                     T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.00E9,1.086E9] & vort_scale=2.0E+03 &$
  ;model='st26g35n06' & modelident='_???' & parmodelident='_020' & Irange=[0.0, 0.7] & dP_scale=500.0 &$
  ;                     T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.07E9,1.085E9] & vort_scale=2.0E+03 &$
  ;model='st26g35n08' & modelident='_???' & parmodelident='_070' & Irange=[0.0, 0.7] & dP_scale=500.0 &$
  ;                     T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.07E9,1.085E9] & vort_scale=2.0E+03 &$
  ;
  ;model='st36g45n04' & modelident='_??' & parmodelident='_09' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 &$
  ;model='st36g45n04rot' & modelident='_??' & parmodelident='_09' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 &$
  ;model='st36g45n04rot2' & modelident='_??' & parmodelident='_09' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 &$
  ;model='st36g45n05' & modelident='_???' & parmodelident='_225' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n06' & modelident='_???' & parmodelident='_031' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n07' & modelident='_???' & parmodelident='_033' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n08' & modelident='_???' & parmodelident='_075' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n09' & modelident='_???' & parmodelident='_041' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n10' & modelident='_???' & parmodelident='_030' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n11' & modelident='_???' & parmodelident='_150' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n12' & modelident='_???' & parmodelident='_150' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n13' & modelident='_???' & parmodelident='_259' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n14' & modelident='_???' & parmodelident='_092' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n15' & modelident='_???' & parmodelident='_300' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n16' & modelident='_???' & parmodelident='_045' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n17' & modelident='_???' & parmodelident='_062' & Irange=[0.0, 1.2] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n27' & modelident='_???' & parmodelident='_003' & Irange=[0.0, 1.2] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n28' & modelident='_???' & parmodelident='_005' & Irange=[0.0, 1.2] &$
  ;                      T_exe='q=alog10((q-600.0) > 200.0)' & T_range=alog10([800.,19000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n29' & modelident='_???' & parmodelident='_007' & Irange=[0.0, 1.2] &$
  ;                      T_exe='q=alog10((q-1000.0) > 200.0)' & T_range=alog10([1200.,25000.] - 600.) & rho_range=[-2.5,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n36' & modelident='_???' & parmodelident='_080' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-1000.0) > 200.0)' & T_range=alog10([1200.,50000.] - 600.) & rho_range=[-2.0,-15.0] & s_range=[1.28E9,1.37E9] & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=200.0 &$
  ;model='st36g45n40' & modelident='_???' & parmodelident='_040' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-1000.0) > 200.0)' & T_range=alog10([1200.,70000.] - 600.) & rho_range=[-1.5,-13.0] & s_range=1.363E9+[-4.,0.2]*1e6 & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=1000.0 &$
  ;model='st36g45n44' & modelident='_???' & parmodelident='_009' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-1000.0) > 200.0)' & T_range=alog10([1200.,70000.] - 600.) & rho_range=[-1.5,-13.0] & s_range=1.363E9+[-4.,0.2]*1e6 & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=1000.0 &$
  ;model='st36g45n47' & modelident='_???' & parmodelident='_025' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-1000.0) > 200.0)' & T_range=alog10([1200.,70000.] - 600.) & rho_range=[-1.5,-13.0] & s_range=1.363E9+[-4.,0.2]*1e6 & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=1000.0 &$
  ;model='st36g45n48' & modelident='_???' & parmodelident='_030' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-1000.0) > 200.0)' & T_range=alog10([1200.,70000.] - 600.) & rho_range=[-1.5,-13.0] & s_range=1.363E9+[-4.,0.2]*1e6 & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=1000.0 &$
  ;model='st36g45n49b' & modelident='_???' & parmodelident='_001' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-1000.0) > 200.0)' & T_range=alog10([1200.,70000.] - 600.) & rho_range=[-1.5,-13.0] & s_range=1.363E9+[-4.,0.2]*1e6 & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=1000.0 &$
  ;model='st36g45n49c' & modelident='_???' & parmodelident='_004' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-1000.0) > 200.0)' & T_range=alog10([1200.,70000.] - 600.) & rho_range=[-1.5,-13.0] & s_range=1.363E9+[-4.,0.2]*1e6 & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=1000.0 &$
  ;model='st36g45n49d' & modelident='_???' & parmodelident='_040' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-1000.0) > 200.0)' & T_range=alog10([1200.,70000.] - 600.) & rho_range=[-1.5,-13.0] & s_range=1.363E9+[-4.,0.2]*1e6 & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=1000.0 &$
  ;model='st36g45n49f' & modelident='_???' & parmodelident='_002' & Irange=[0.0, 0.9] &$
  ;                      T_exe='q=alog10((q-1000.0) > 200.0)' & T_range=alog10([1200.,70000.] - 600.) & rho_range=[-1.5,-13.0] & s_range=1.363E9+[-4.,0.2]*1e6 & vort_scale=1.0E+02 & v_scale=20.0E-06  & dP_scale=1000.0 &$
  ;
  ;model='st26gm09n02' & modelident='_??' & parmodelident='_07'
  ;model='st28gm06n01' & modelident='_??' & parmodelident='_11'
  ;model='st28gm06n02' & modelident='_??' & parmodelident='_25'
  ;model='st28gm06n02' & modelident='_[1-2]*' & parmodelident='_28'
  ;model='st28gm06n03' & modelident='_??' & parmodelident='_17'
  ;model='st28gm06n05' & modelident='_??' & parmodelident='_22'
  ;model='st28gm06n06' & modelident='_02' & parmodelident='_23'
  ;model='st28gm06n13' & modelident='_???' & parmodelident='_120' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.) & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;model='st28gm06n14' & modelident='_???' & parmodelident='_100' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.) & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;model='st28gm06n15' & modelident='_???' & parmodelident='_004' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.) & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;model='st28gm06n16' & modelident='_???' & parmodelident='_100' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.) & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;model='st28gm06n18' & modelident='_???' & parmodelident='_050' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.)  & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;model='st28gm06n19' & modelident='_???' & parmodelident='_045' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.)  & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;model='st28gm06n20' & modelident='_???' & parmodelident='_011' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.)  & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;model='st28gm06n21' & modelident='_???' & parmodelident='_055' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.)  & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;model='st28gm06n22' & modelident='_???' & parmodelident='_026' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.)  & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;model='st28gm06n23' & modelident='_???' & parmodelident='_100' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.)  & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;model='st28gm06n24' & modelident='_???' & parmodelident='_100' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.)  & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;model='st28gm06n25' & modelident='_???' & parmodelident='_069' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.)  & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;model='st28gm06n26' & modelident='_???' & parmodelident='_100' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.)  & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;model='st28gm06n29' & modelident='_???' & parmodelident='_018' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.)  & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;model='st28gm05n001' & modelident='_???' & parmodelident='_100' & Irange=[0.0, 1.3] &$
  ;                      T_exe='q=alog10((q-400.0) > 200.0)' & T_range=alog10([600.,49000.] - 200.)  & rho_range=[-6.7,-14.0] & s_range=[1.23E9,2.95E9] & vort_scale=2.0E+06 & v_scale=4.0E-06  & dP_scale=15.0 &$
  ;
  ;model='st35gm06n01' & modelident='_02-03'
  ;model='st33gm06n03' & modelident='_??' & parmodelident='_60'
  ;
  ;model='st35gm04n01' & modelident='_??' & parmodelident='_35'
  ;model='st35gm04n02' & modelident='_??' & parmodelident='_27'
  ;model='st35gm04n03' & modelident='_??' & parmodelident='_26'
  ;model='st35gm04n04' & modelident='_??' & parmodelident='_38'
  ;model='st35gm04n05' & modelident='_??' & parmodelident='_50'
  ;model='st35gm04n06' & modelident='_??' & parmodelident='_15'
  ;model='st35gm04n07' & modelident='_??' & parmodelident='_37'
  ;model='st35gm04n08' & modelident='_??' & parmodelident='_04'
  ;model='st35gm04n21' & modelident='_??' & parmodelident='_01'
  ;model='st35gm04n22' & modelident='_??' & parmodelident='_42'
  ;model='st35gm04n23' & modelident='_??' & parmodelident='_06'
  ;model='st35gm04n24' & modelident='_??' & parmodelident='_09'
  ;model='st35gm04n25' & modelident='_??' & parmodelident='_23'
  ;model='st35gm04n26' & modelident='_??' & parmodelident='_75'
  ;model='st35gm04n26' & modelident='_{5[6-9],[6-7]?}' & parmodelident='_75'
  ;model='st35gm04n27' & modelident='_??' & parmodelident='_08'
  ;model='st35gm04n28' & modelident='_??' & parmodelident='_55'
  ;model='st35gm04n29' & modelident='_??' & parmodelident='_30'
  ;model='st35gm04n30' & modelident='_??' & parmodelident='_15'
  ;model='st35gm04n31' & modelident='_??' & parmodelident='_40'
  ;model='st35gm04n32' & modelident='_??' & parmodelident='_15'
  ;model='st35gm04n33' & modelident='_??' & parmodelident='_26'
  ;model='st35gm04n34' & modelident='_??' & parmodelident='_29'
  ;model='st35gm04n36' & modelident='_???' & parmodelident='_044' & Irange=[0.0, 1.1] & vort_scale=3.0E+06 & v_scale=5.0e-06 & s_range=[1.85E9,3.4E9] &$
  ;                    T_exe='q=alog10((q-1000.0) > 200.0)' & T_range=alog10([1200.,170000.] - 1000.) & rho_range=[-7.4,-15.0] & dP_scale=5.0 &$
  ;model='st35gm04n37' & modelident='_???' & parmodelident='_072' & Irange=[0.0, 1.1] & vort_scale=3.0E+06 & v_scale=5.0e-06 & s_range=[1.85E9,3.4E9] &$
  ;                    T_exe='q=alog10((q-1000.0) > 200.0)' & T_range=alog10([1200.,170000.] - 1000.) & rho_range=[-7.4,-15.0] & dP_scale=5.0 &$
  ;model='st35gm04n38' & modelident='_???' & parmodelident='_027' & Irange=[0.0, 1.1] & vort_scale=3.0E+06 & v_scale=5.0e-06 & s_range=[1.85E9,3.4E9] &$
  ;                    T_exe='q=alog10((q-1000.0) > 200.0)' & T_range=alog10([1200.,170000.] - 1000.) & rho_range=[-7.4,-15.0] & dP_scale=5.0 &$
  ;model='st35gm04b1n003' & modelident='_???' & parmodelident='_134' & Irange=[0.0, 1.1] & vort_scale=3.0E+06 & v_scale=5.0e-06 & s_range=[1.85E9,3.4E9] &$
  ;                       T_exe='q=alog10((q-1000.0) > 200.0)' & T_range=alog10([1200.,170000.] - 1000.) & rho_range=[-7.4,-15.0] & dP_scale=5.0 & B_scale=8.0E-02 &$
  ;
  ;model='st35gm03n01' & modelident='_??' & parmodelident='_03'
  ;model='st35gm03n02' & modelident='_??' & parmodelident='_30'
  ;model='st35gm03n03' & modelident='_??' & parmodelident='_05'
  ;model='st35gm03n04' & modelident='_??' & parmodelident='_50'
  ;model='st35gm03n05' & modelident='_??' & parmodelident='_06'
  ;model='st35gm03n06' & modelident='_??' & parmodelident='_55'
  ;model='st35gm03n07' & modelident='_???' & parmodelident='_132' &$
  ;model='st35gm03n10' & modelident='_??' & parmodelident='_24'
  ;model='st35gm03n11' & modelident='_??' & parmodelident='_32' &$
  ;model='st35gm03n13' & modelident='_???' & parmodelident='_072' & Irange=[0.0, 1.1] &$
  ;model='st35gm03n16' & modelident='_???' & parmodelident='_020' & Irange=[0.0, 1.3] & vort_scale=5.0E+06 & v_scale=6.0e-06 & s_range=[2.0E9,3.5E9] &$
  ;                    T_exe='q=alog10((q-900.0) > 200.0)' & T_range=alog10([1100.,330000.] - 900.) & rho_range=[-6.4,-17.0] & dP_scale=12.0 &$
  ;model='st35gm03n17' & modelident='_???' & parmodelident='_145' & Irange=[0.0, 1.3] & vort_scale=5.0E+06 & v_scale=6.0e-06 & s_range=[2.0E9,3.5E9] &$
  ;                    T_exe='q=alog10((q-900.0) > 200.0)' & T_range=alog10([1100.,330000.] - 900.) & rho_range=[-6.4,-17.0] & dP_scale=12.0 &$
  ;model='st35gm03n18' & modelident='_???' & parmodelident='_042' & Irange=[0.0, 1.3] & vort_scale=5.0E+06 & v_scale=6.0e-06 & s_range=[2.0E9,3.5E9] &$
  ;                    T_exe='q=alog10((q-900.0) > 200.0)' & T_range=alog10([1100.,330000.] - 900.) & rho_range=[-6.4,-17.0] & dP_scale=12.0 &$
  ;
  ;model='st40gm03n01' & modelident='_??' & parmodelident='_14'
  ;model='st40gm03n02' & modelident='_??' & parmodelident='_38'
  ;model='st40gm03n03' & modelident='_??' & parmodelident='_15'
  ;model='st40gm03n04' & modelident='_??' & parmodelident='_80'
  ;model='st45gm03n01' & modelident='_??' & parmodelident='_09'
  ;model='st45gm03n02' & modelident='_??' & parmodelident='_06'
  ;
  ;model='st57g44n07'  & modelident='_??' & parmodelident='_01'
  ;model='st57g44n08'  & modelident='_??' & parmodelident='_13'
  ;model='gt57g44n35dust'  & modelident='_??' & parmodelident='_01'
  ;model='chro2D03co08'  & modelident='_01' & parmodelident='_01'
  ;model='d3t57g44b0n014' & ModelIdent='_???' & parModelIdent='_003' & Irange=[0.25, 0.6] &$
  ;model='d3t57g44b0n025' & ModelIdent='_???' & parModelIdent='_018' & Irange=[0.22, 0.59] &$
  ;model='d3t57g44b0n031' & ModelIdent='_???' & parModelIdent='_001' & Irange=[0.22, 0.59] &$
  ;model='d3t57g44b0n032' & ModelIdent='_???' & parModelIdent='_007' & Irange=[0.22, 0.59] & s_range=[1.657E9,1.774E9] &$
  ;model='d3t57g44b0n033' & ModelIdent='_???' & parModelIdent='_029' & Irange=[0.25, 0.6] &$
  ;model='d3t57g44b1n031' & ModelIdent='_???' & parModelIdent='_004' & Irange=[0.25, 0.6] &$
  ;model='rhd'  & modelident='' & parmodelident=''
  ;
  ;allmodel='st28gm06n0[5,6]_??'
  ;
  ;n_subframe=2 & q_weightmode=2
  n_subframe=1 & q_weightmode=0 &$
  ;w_xsize=320 & w_ysize=240 & w_swap=0
  ;w_xsize=240 & w_ysize=320 & w_swap=1
  ;w_xsize=320 & w_ysize=200 & w_swap=0
  w_xsize=512 & w_ysize=532 & w_swap=0 &$
  ;w_xsize=700 & w_ysize=720 & w_swap=0 &$
  ;w_xsize=800 & w_ysize=820 & w_swap=0 &$
  ;w_xsize=800 & w_ysize=832 & w_swap=0 &$
  ;w_xsize=1056 & w_ysize=1080 & w_swap=0 &$
  ;w_xsize=640 & w_ysize=380 & w_swap=0
  ;
  ;Irange=[0.15, 0.6]    ; --- at80g40n20
  ;Irange=[0.15, 0.7]    ; --- at80g40n21/n22
  ;Irange=[0.15, 0.33]    ; --- at80g44n10
  ;Irange=[0.15, 0.50]    ; --- at85g44n10_3D
  ;Irange=[0.2, 0.55]    ; --- at85g44n13
  ;Irange=[0.15, 0.55]    ; --- at85g40n01
  ;Irange=[0.25, 0.48]    ; --- at85g40n02
  ;Irange=[0.0, 0.9]
  ;Irange=[0.0, 1.0]
  ;Irange=[0.0, 1.1]
  ;Irange=[0.0, 1.2] &$
  ;q_smooth=0 &$
  q_smooth=1 &$
  ;q_smooth=3 &$
  ;q_median=0 &$
  q_median=1 &$
  ;q_median=3 &$
  ;q_median=5 &$
;#
  n_timestep=40000L &$
  a_circle=1 &$
  ;
  jpg_flag=1 &$
  single_frame=1 &$
  ;mpg_quality=95 &$
  mpg_quality=-1 &$
  ;
endif
; ================================

f_id=''
modeldisk=getenv('HOME') + '/dat/rhd/d' + model + '/'
modelfile='mean' & f_id=''
;modelfile='chu1' & f_id='-c1'
;modelfile='chu2' & f_id='-c2'
;modelfile='chu3' & f_id='-c3'
;modeldisk='/u77/bf/dat/rhd/d' + model + '/'
;modeldisk='/mnt/sdd1/bf/dat/rhd/d' + model + '/'
;modeldisk='/p3/bf' + '/dat/rhd/d' + model + '/'
;modeldisk=getenv('HOME') + '/dat/job/j1/bak/'
eosdisk=getenv('HOME') + '/for/eos/dat/'
opadisk=getenv('HOME') + '/for/opa/dat/'

; --- Read EOS file ---
par=uio_struct_rd(modeldisk + model + parmodelident + '.par')
if (n_elements(EOS) eq 0) then begin &$
  tabinter_rdcoeff, eosdisk + par.eosfile, EOS &$
  dfopta, opadisk + par.opafile &$
endif

!P.BACKGROUND=!ctv.black
!P.CHARSIZE=1.2
;!P.CHARSIZE=0.9
;!X.STYLE=0      & !Y.STYLE=0
;!X.MARGIN=[7,1] & !Y.MARGIN=[2,1]
!X.STYLE=5      & !Y.STYLE=5
!X.MARGIN=[0,0] & !Y.MARGIN=[0,0]

.run rhd_mpg

if (0) then begin &$
  q_id='I1bl' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+'m'+f_id, q_smooth=q_smooth, q_median=q_median, q_weightmode=q_weightmode, drange=Irange, $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    t_colorrange=!ctv.ct3 &$
endif

if ((0) and (f_id eq '')) then begin &$
  q_id='I2bl' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    ;q_name=q_id+'m'+f_id, q_smooth=q_smooth, q_median=q_median, q_weightmode=q_weightmode, drange=Irange, $
    q_name=q_id+f_id, q_smooth=0, q_median=0, q_weightmode=q_weightmode, drange=Irange, $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    t_colorrange=!ctv.ct3 &$
endif

if ((0) and (f_id eq '')) then begin &$
  q_id='I2bl' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+'m'+f_id, q_smooth=q_smooth, q_median=q_median, q_weightmode=q_weightmode, drange=Irange, $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    t_colorrange=!ctv.ct3 &$
endif

if (0) then begin &$
  q_id='I3bl' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+'m'+f_id, q_smooth=q_smooth, q_median=q_median, q_weightmode=q_weightmode, drange=Irange, $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, $
    t_colorrange=!ctv.ct3 &$
endif

if ((0) and (f_id eq '')) then begin &$
  q_id='I1br' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+f_id, q_smooth=0, q_median=0, q_weightmode=q_weightmode, drange=Irange, $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, $
    t_colorrange=!ctv.ct3 &$
endif

if ((0) and (f_id eq '')) then begin &$
  q_id='I1br' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+'m'+f_id, q_smooth=q_smooth, q_median=q_median, q_weightmode=q_weightmode, drange=Irange, $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, $
    t_colorrange=!ctv.ct3 &$
endif

if ((0) and (f_id eq '')) then begin &$
  q_id='I2br' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+f_id, q_smooth=0, q_median=q_0, q_weightmode=q_weightmode, drange=Irange, $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    t_colorrange=!ctv.ct3 &$
endif

if ((0) and (f_id eq '')) then begin &$
  q_id='I2br' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+'m'+f_id, q_smooth=q_smooth, q_median=q_median, q_weightmode=q_weightmode, drange=Irange, $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap, $
    t_colorrange=!ctv.ct3 &$
endif

if ((1) and (f_id eq '')) then begin &$
  q_id='I3br' &$
  rhd_mpg, model, q_id, n_firststep=0, n_timestep=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+f_id, q_smooth=0, q_median=0, q_weightmode=q_weightmode, drange=Irange, $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, $
    t_colorrange=!ctv.ct3 &$
    ;t_colorrange=!ctv.ct0 &$
endif

if ((0) and (f_id eq '')) then begin &$
  q_id='I3br' &$
  rhd_mpg, model, q_id, n_firststep=0, n_timestep=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+'m'+f_id, q_smooth=q_smooth, q_median=q_median, q_weightmode=q_weightmode, drange=Irange, $
    ;q_name=q_id+f_id, q_smooth=0, q_median=0, q_weightmode=q_weightmode, drange=Irange, $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, $
    t_colorrange=!ctv.ct3 &$
    ;t_colorrange=!ctv.ct0 &$
endif

if ((0) and (f_id eq '')) then begin &$
  q_id='I3br' &$
  rhd_mpg, model, q_id, n_firststep=0, n_timestep=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+'mm'+f_id, q_smooth=100, q_median=q_median, q_weightmode=q_weightmode, drange=Irange, $
    ;q_name=q_id+f_id, q_smooth=0, q_median=0, q_weightmode=q_weightmode, drange=Irange, $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, $
    t_colorrange=!ctv.ct3 &$
    ;t_colorrange=!ctv.ct0 &$
endif

if (0) then begin &$
  q_id='I013br' & Irange=[0.05, 0.24] &$   ; --- at80g40n22
  ;q_id='I023br' & Irange=[0.0, 0.06] &$   ; --- at80g40n22
  ;q_id='I033br' & Irange=[0.08, 0.25] &$   ; --- at80g40n22
  ;q_id='I043br' & Irange=[0.001, 0.002] &$   ; --- at80g40n22
  ;q_id='I053br' & Irange=[0.000017, 0.00015] &$   ; --- at80g40n22
  rhd_mpg, model, q_id, n_firststep=0, n_timestep=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+f_id, q_smooth=0, q_median=0, q_weightmode=q_weightmode, drange=Irange, $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, $
    t_colorrange=!ctv.ct1 &$
endif

; --------------------

if (0) then begin &$
  q_id='T' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, eos=EOS, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+f_id, q_title='Temperature', q_weightmode=q_weightmode, $
    q_execute=T_exe, drange=T_range, $
    ;  q_execute='q=alog10((q-2300.0) > 1200.0)', drange=alog10([2500.,400000.] - 2300.), $
    ;  q_execute='q=alog10((q-1300.0) > 200.0)', drange=alog10([1500.,200000.] - 1300.), $
    ;  q_execute='q=alog10((q-1300.0) > 200.0)', drange=alog10([1500.,100000.] - 1300.), $
    ;  q_execute='q=alog10((q-500.0) > 200.0)', drange=alog10([700.,100000.] - 500.), $
    ;  q_execute='q=alog10((q-2300.0) > 200.0)', drange=alog10([2500.,120000.] - 2300.), $
    ;  q_execute='q=alog10((q-1600.0) > 200.0)', drange=alog10([1800.,17000.] - 1600.), $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=(f_id eq '' ? !ctv.ct4 : !ctv.ct3) &$
endif

if (0) then begin &$
  q_id='T' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, eos=EOS, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='Tbubble'+f_id, q_title='Temperature+Bubbles', q_weightmode=q_weightmode, $
    q_execute=T_exe, drange=T_range, $
    ;   q_execute='q=alog10((q-2300.0) > 1200.0)', drange=alog10([2500.,400000.] - 2300.), $
    ;   q_execute='q=alog10((q-1300.0) > 200.0)', drange=alog10([1500.,280000.] - 1300.), $
    ;   q_execute='q=alog10((q-1300.0) > 200.0)', drange=alog10([1500.,100000.] - 1300.), $
    ;   q_execute='q=alog10((q-500.0) > 200.0)', drange=alog10([700.,100000.] - 500.), $
    ;   q_execute='q=alog10((q-2300.0) > 200.0)', drange=alog10([2500.,120000.] - 2300.), $
    n_subframe=n_subframe, $
    bubble=1, b_rgb=[1,1,1]*30.0, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct4 &$
endif

;q_id='quc001orho'
;rhd_mpg, model, q_id, n_firststep=0, n_time=n_timestep, $
;  par=par, eos=EOS, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
;   modelident=modelident, modeldisk=modeldisk, modelfile=modeldisk + model + modelident + '.full', $
;   q_name='quc001orho'+f_id, q_title='CO concentration', $
;drange=[0.0,0.447], $
; q_execute='q=sqrt(q/1.68599e+20)', $
;;    drange=[-4.0,-0.5], $
;; q_execute='q=alog10((q/1.68599e+20) > 1.0E-04)', $
;   c_q_id='t', c_levels=[3000.0, 6000.0, 9000.0, 12000.0], c_thick=[2,2,2,3], $
;c_color=[!ctv.red, !ctv.yellow, !ctv.white, !ctv.cyan], $
;   n_subframe=n_subframe, q_weightmode=q_weightmode, $
;   w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
;   t_colorrange=!ctv.ct3

;       rhoC_str=string(2.89750e+20*(par.c_dust01-1.0), format='(E13.6)')
;       q_id='quc004orho'
;       rhd_mpg, model, q_id, n_firststep=0, n_time=n_timestep, $
;   par=par, eos=EOS, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
;    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
;    q_name='quc004orho'+f_id, q_title='Degree of condensation', $
;   drange=[0.0,1.0], $
;  q_execute='q=sqrt(q/' + rhoC_str + ')', $
;       ;  q_execute='q=sqrt(q/2.318E20)', $
;       ;  q_execute='q=sqrt(q/1.159E20)', $
;       ;    drange=[-4.0,-0.5], $
;       ; q_execute='q=alog10((q/1.159e+20) > 1.0E-04)', $
;       ;   c_q_id='t', c_levels=[3000.0, 6000.0, 9000.0, 12000.0], c_thick=[2,2,2,3], $
;       ;c_color=[!ctv.red, !ctv.yellow, !ctv.white, !ctv.cyan], $
;    n_subframe=n_subframe, q_weightmode=q_weightmode, $
;    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
;    t_colorrange=!ctv.ct3

;     rhoC_str=string(2.89750e+20*(par.c_dust01-1.0), format='(E13.6)')
;     q_id='quc004orho'
;     rhd_mpg, model, q_id, n_firststep=0, n_time=n_timestep, $
;       par=par, eos=EOS, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
;        modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
;        q_name='quc004orhobubble'+f_id, q_title='Dust condens. + bubbles', $
;       drange=[0.0,1.2], $
;      q_execute='q=sqrt(q/' + rhoC_str + ')', $
;     ;  q_execute='q=sqrt(q/2.318E20)', $
;     ;  q_execute='q=sqrt(q/1.159E20)', $
;     ;    drange=[-4.0,-0.5], $
;     ; q_execute='q=alog10((q/1.159e+20) > 1.0E-04)', $
;     ;   c_q_id='t', c_levels=[3000.0, 6000.0, 9000.0, 12000.0], c_thick=[2,2,2,3], $
;     ;c_color=[!ctv.red, !ctv.yellow, !ctv.white, !ctv.cyan], $
;        n_subframe=n_subframe, q_weightmode=q_weightmode, $
;        bubble=1, $
;        w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
;        t_colorrange=!ctv.ct3

;    q_id='em'
;    rhd_mpg, model, q_id, n_firststep=0, n_time=n_timestep, $
; par=par, eos=EOS, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
; modelident=modelident, modeldisk=modeldisk, modelfile=modeldisk + model + modelident + '.full', $
; q_name='Bmag'+f_id, q_title='Magnetic Field', $
;   drange=[0.0,10.0]*0, $
;  ; q_execute='q=sqrt(q)', $
;   q_execute='q=alog10(q+0.01*max(q))', $
;   s_q_id='Bc', s_colu=40,s_row=20,s_time=1e2,s_arrow=5,s_nstep=15, $
;   c_q_id='tau3r', c_levels=[1.0], c_thick=[2], $
;     c_color=[!ctv.yellow], $
; n_subframe=n_subframe, q_weightmode=q_weightmode, $
; bubble=0, $
; w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
; t_colorrange=!ctv.ct3



;; BDs
if (0) then begin &$
  q_id='qucallm1orho' &$
  rhd_mpg, model, q_id, n_time=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+f_id, q_title='dust: rho_dust/rho_gas', $
    q_execute='q=sqrt(sqrt(q/0.0017545))', drange=[0.0,1.05], $
   ;q_execute='q=sqrt(sqrt(q/0.0017545))', drange=[4.1E-6,5.0E-2], $
   ;   c_q_id='t', c_levels=[3000.0, 6000.0, 9000.0, 12000.0], c_thick=[2,2,2,3], $
   ;   c_color=[!ctv.red, !ctv.yellow, !ctv.white, !ctv.cyan], $
    n_subframe=n_subframe, q_weightmode=q_weightmode, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct3 &$
endif

if (0) then begin &$
  q_id='rho' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+f_id, q_title='Density', $
    q_log10=1, q_weightmode=q_weightmode, $
      drange=rho_range, $
      ;drange=[-19.0,-7.5], $
      ;drange=[-17.0,-6.5], $
    ;  c_q_id='rho', c_levels=[1.0E-14,1.0E-10], c_color=[!ctv.white], c_thick=[1,2], $
    n_subframe=n_subframe, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct3 &$
endif

if (0) then begin &$
  q_id='rho' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='rhobubble'+f_id, q_title='Density+Bubbles', $
    q_log10=1, q_weightmode=q_weightmode, $
      drange=rho_range, $
      ;drange=[-19.0,-7.5], $
      ;drange=[-17.0,-6.5], $
    ;  c_q_id='rho', c_levels=[1.0E-14,1.0E-10], c_color=[!ctv.white], c_thick=[1,2], $
    n_subframe=n_subframe, $
    bubble=1, b_rgb=[60.0,40.0,40.0], $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct3 &$
endif

if (0) then begin &$
  q_id='P' &$
  rhd_mpg, model, q_id, n_firststep=2, n_timestep=n_timestep>3, $
    par=par, eos=EOS, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='dP'+f_id, q_title='dP', $
    q_log10=1, q_scale=dP_scale, q_weightmode=11, q_atan=1, drange=[-0.8,0.98], $
    ;q_log10=1, q_scale=dP_scale, q_weightmode=12, q_atan=1, drange=[-0.8,0.98], $
    ;q_log10=1, q_scale=dP_scale, q_weightmode=13, q_atan=1, drange=[-0.8,0.98], $
    ;  q_log10=1, q_scale=20.0, q_weightmode=11, q_atan=1, drange=[-0.8,0.98], $
    ;  q_log10=1, q_scale=80.0, q_weightmode=12, q_atan=1, drange=[-0.8,0.98], $
    n_subframe=n_subframe, a_circle=a_circle, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct3 &$
endif

if (0) then begin &$
  q_id='s' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, eos=EOS, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+f_id, q_title='Entropy', $
      q_weightmode=q_weightmode, $
      drange=s_range, $
    n_subframe=n_subframe, a_circle=a_circle, $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct8 &$
endif

;q_id='divV'
;drange=[-3.0E-07,3.0E-07]
;rhd_mpg, model, q_id, n_timestep=n_timestep, $
;  par=par, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
;  modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
;  q_name='divVbubble'+f_id, q_title='div(V12)+Bubbles', $
;    q_scale=-1.0E07, q_weightmode=q_weightmode, q_atan=1, drange=[-0.8,1.2], $
;  n_subframe=n_subframe, a_circle=a_circle, $
;  bubble=1, b_rgb=[0.0,60.0,70.0], $
;  t_colorrange=!ctv.ct3

; q_id='divV'
; rhd_mpg, model, q_id, n_firststep=2, n_timestep=n_timestep, $
;   par=par, eos=EOS, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
;   modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
;   q_name='ddivV'+f_id, q_title='ddiv(V12)', $
;     q_scale=-1.0E07, q_weightmode=11, q_atan=1, drange=[-0.8,1.0], $
;   n_subframe=n_subframe, a_circle=a_circle, $
;   bubble=0, b_rgb=[0.0,60.0,70.0], $
;   t_colorrange=!ctv.ct3

if (0) then begin &$
  q_id='v2' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, eos=EOS, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+f_id, q_title='Velocity 2', $
    q_weightmode=q_weightmode, q_atan=1, drange=[-0.95,0.95], $
      q_scale=v_scale, $
    n_subframe=n_subframe, a_circle=a_circle, $
    c_q_id=(f_id eq '' ? 'tauharm' : ''), c_levels=[1.0], c_color=[!ctv.red], c_thick=[2], $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct1 &$
endif

if (0) then begin &$
  q_id='v3' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, eos=EOS, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+f_id, q_title='Velocity 3', $
    q_weightmode=q_weightmode, q_atan=1, drange=[-0.95,0.95], $
      q_scale=v_scale, $
    n_subframe=n_subframe, a_circle=a_circle, $
    c_q_id=(f_id eq '' ? 'tauharm' : ''), c_levels=[1.0], c_color=[!ctv.red], c_thick=[2], $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct1 &$
endif

if (0) then begin &$
  q_id='v' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, eos=EOS, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+f_id, q_title='Velocity', $
    q_weightmode=q_weightmode, q_atan=1, drange=[0.0,0.95], $
      q_scale=sqrt(v_scale), q_execute='q=sqrt(q)', $
    n_subframe=n_subframe, a_circle=a_circle, $
    c_q_id=(f_id eq '' ? 'tauharm' : ''), c_levels=[1.0], c_color=[!ctv.red], c_thick=[2], $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct1 &$
endif

if (0) then begin &$
  q_id='vort' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, eos=EOS, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name='tauvort-eq'+f_id, q_title='Vorticity3', $
    q_weightmode=q_weightmode, q_atan=1, drange=[-1.0,1.0], $
      q_scale=vort_scale, $
    n_subframe=n_subframe, a_circle=a_circle, $
    c_q_id=(f_id eq '' ? 'tauharm' : ''), c_levels=[1.0], c_color=[!ctv.red], c_thick=[2], $
    bubble=0, b_rgb=[0.0,60.0,70.0], $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct0 &$
endif

if (0) then begin &$
  q_id='Bc' &$
  rhd_mpg, model, q_id, n_timestep=n_timestep, $
    par=par, eos=EOS, mpg_quality=mpg_quality, jpg_flag=jpg_flag, single_frame=single_frame, $
    modelident=modelident, modeldisk=modeldisk, modelfile=modelfile, $
    q_name=q_id+f_id, q_title='Mag. Field', $
    q_weightmode=q_weightmode, q_atan=1, drange=[0.0,0.95], $
      ;q_scale=B_scale, $
      q_scale=sqrt(B_scale), q_execute='q=sqrt(q)', $
    n_subframe=n_subframe, a_circle=a_circle, $
    c_q_id=(f_id eq '' ? 'tauharm' : ''), c_levels=[1.0], c_color=[!ctv.green], c_thick=[2], $
    w_xsize=w_xsize, w_ysize=w_ysize, w_swap=w_swap,  $
    t_colorrange=!ctv.ct7 &$
endif



!P.BACKGROUND=0
!P.CHARSIZE=0
!X.STYLE=0       & !Y.STYLE=0
!X.MARGIN=[12,3] & !Y.MARGIN=[4,2]
;
;exit
;
; convert -resize 160x160 -quality 90 st35gm04n26_Tbubble.jpg st35gm04n26_Tbubble_thumb.jpg
;
; end ; rhd_mpg_make
